import { z } from "zod";
import { TimestampStringSchema, URLStringSchema } from "./branded-primitives";
import { CamperChipSchema } from "./core";
////////////
// SHAPES //
////////////
export const DiscordIdentitySchema = z.object({
    camper: CamperChipSchema,
    discordId: z.string(),
    discordUsername: z.string(),
    discordDisplayName: z.string(),
    discordAvatar: URLStringSchema,
});
export const DiscordMessageSchema = z.object({
    id: z.number(),
    author: CamperChipSchema,
    discordMessageId: z.string(),
    discordChannelId: z.string(),
    discordParentChannelId: z.string().nullable(),
    content: z.string(),
    createdAt: TimestampStringSchema,
    isThread: z.boolean(),
    link: URLStringSchema,
});
////////////
// EVENTS //
////////////
export const DiscordRelayEvents = {
    "discord:message": DiscordMessageSchema,
};
