export declare const MERIT_BADGE_SLUGS: readonly ["minecrafter", "trial1complete", "trial1Exalted", "trial2complete", "trial2Exalted", "lodgeLaunch", "botanyPropagator", "botanyGreenThumb", "botanyGrowTogether", "visitedSkyCafe", "sparkleFoot", "stellarvibe2022", "stellarvibe2024", "stellarvibe2024Max", "thunderstruck", "selfthunderstruck", "potluckParticipant", "potluckHero", "sousChef", "starboarded", "seeds100", "seeds500", "seeds1000", "waterOther100", "waterOther1000", "waterOther10000", "waterOther100000", "fruitHarvest", "trophyThistleHarvest"];
export type MeritBadgeSlug = (typeof MERIT_BADGE_SLUGS)[number];
export declare function parseMeritBadgeSlug(check: string): MeritBadgeSlug;
export declare function isMeritBadgeSlug(check: string): check is MeritBadgeSlug;
export interface MeritBadgeDefinition {
    slug: MeritBadgeSlug;
    name: string;
    description: string;
    level: 1 | 2 | 3;
    icon: string;
}
export declare function getMeritBadgeDefinition(slug: MeritBadgeSlug): MeritBadgeDefinition;
export declare const MERIT_BADGES: Record<MeritBadgeSlug, MeritBadgeDefinition>;
