import { z } from "zod";
import { MERIT_BADGE_SLUGS } from "./badges";
import { BotanyPlantSchema } from "./botany";
import { ConcoctionRecipeSchema, ConcoctionSchema } from "./chemistry";
import { ItemSchema } from "./items";
export const CharacterSheetSchema = z.object({
    sheetId: z.number(),
    camperId: z.number(),
    resources: z.object({
        conduits: z.number(),
        silkwater: z.number(),
    }),
    inventory: z.array(ItemSchema),
    badges: z.array(z.enum(MERIT_BADGE_SLUGS)),
    flowers: z.array(BotanyPlantSchema),
    concoctions: z.array(ConcoctionSchema),
    recipes: z.array(ConcoctionRecipeSchema),
});
