import { TradingCardImages } from "../../assets";
const CardGenerations = {
    GEN_GILLROY: "genGillroy",
    GEN1_DROP1: "gen1drop1",
    GEN1_DROP2: "gen1drop2",
    GEN2_DROP1: "gen2drop1",
    GEN2_DROP2: "gen2drop2",
};
const RarityValues = {
    common: 100,
    uncommon: 300,
    rare: 750,
    relic: 2000,
};
export const CARD_ITEMS = {
    tcGen1Beeatrice: {
        slug: "tcGen1Beeatrice",
        name: "Beeatrice",
        flavorText: `"My memory can be a bit fuzzy these days. That's for dang sure. But I tell ya, I ain't never gonna forget how important it is to trust the soil beneath yer feet." ~Beeatrice`,
        description: "",
        icon: TradingCardImages.Beeatrice,
        value: RarityValues.common,
        category: "card",
        dropIcon: "🎴",
        rarity: "common",
        cardGeneration: CardGenerations.GEN1_DROP1,
    },
    tcGen1Campfire: {
        slug: "tcGen1Campfire",
        name: "Campfire",
        flavorText: `"The Astral Realm is ever expanding. My light can only reach so far." ~Campfire`,
        description: "",
        icon: TradingCardImages.Campfire,
        value: RarityValues.common,
        category: "card",
        dropIcon: "🎴",
        rarity: "common",
        cardGeneration: CardGenerations.GEN1_DROP1,
    },
    tcGen1Chisel: {
        slug: "tcGen1Chisel",
        name: "Chisel",
        flavorText: `"Um? Hello, yes? I, um. Chisel can give a quote for a trading card. Yes. Did I do it correctly?" ~Chisel`,
        description: "",
        icon: TradingCardImages.Chisel,
        value: RarityValues.common,
        category: "card",
        dropIcon: "🎴",
        rarity: "common",
        cardGeneration: CardGenerations.GEN1_DROP1,
    },
    tcGen1Cloudsailor: {
        slug: "tcGen1Cloudsailor",
        name: "Emerald Cloudsailor",
        flavorText: `"Freedom is found in the veil of the clouds" ~Inscribed on the hull of the Emerald Cloudsailor`,
        description: "",
        icon: TradingCardImages.EmeraldCloudsailor,
        value: RarityValues.uncommon,
        category: "card",
        dropIcon: "🎴",
        rarity: "uncommon",
        cardGeneration: CardGenerations.GEN1_DROP1,
    },
    tcGen1Lodge: {
        slug: "tcGen1Lodge",
        name: "Lodge",
        flavorText: `"Finally, it is complete. I never truly thought we'd finish construction, let alone that it'd actually be standing, but here it is. The Lodge. But uh, where's the door?" ~Unknown`,
        description: "",
        icon: TradingCardImages.Lodge,
        value: RarityValues.uncommon,
        category: "card",
        dropIcon: "🎴",
        rarity: "uncommon",
        cardGeneration: CardGenerations.GEN1_DROP1,
    },
    tcGen1Murmus: {
        slug: "tcGen1Murmus",
        name: "Murmus",
        flavorText: `"I will carry their memory with me until my final breath." ~Murmus`,
        description: "",
        icon: TradingCardImages.Murmus,
        value: RarityValues.common,
        category: "card",
        dropIcon: "🎴",
        rarity: "common",
        cardGeneration: CardGenerations.GEN1_DROP1,
    },
    tcGen1MurmusFoil: {
        slug: "tcGen1MurmusFoil",
        name: "Murmus Trading Card (Foil)",
        flavorText: `"In our darkest hour, we can trust that Murmus will find a way out once more. But until then our fate has been sealed, and we must play the part we must, not the part we hoped for." ~Unknown`,
        description: "",
        icon: TradingCardImages.MurmusFoil,
        value: RarityValues.rare,
        category: "card",
        dropIcon: "🎴",
        rarity: "rare",
        cardGeneration: CardGenerations.GEN1_DROP1,
    },
    tcGen1Giant: {
        slug: "tcGen1Giant",
        name: "Obsidian Giant",
        flavorText: `"..." ~Obsidian Giant`,
        description: "",
        icon: TradingCardImages.ObsidianGiant,
        value: RarityValues.uncommon,
        category: "card",
        dropIcon: "🎴",
        rarity: "uncommon",
        cardGeneration: CardGenerations.GEN1_DROP2,
    },
    tcGen1LettersInFlight: {
        slug: "tcGen1LettersInFlight",
        name: "Letters in Flight",
        flavorText: `"The strange thing is that we don't have a mail carrier. Them letters just kinda deliver themselves." ~Beeatrice`,
        description: "",
        icon: TradingCardImages.LettersInFlight,
        value: RarityValues.common,
        category: "card",
        dropIcon: "🎴",
        rarity: "common",
        cardGeneration: CardGenerations.GEN1_DROP2,
    },
    tcGen1SkyCafe: {
        slug: "tcGen1SkyCafe",
        name: "Sky Cafe",
        flavorText: `"Ah, yes. The Cafe in the clouds. Look, I'm just glad that people finally figured out how to land safely." ~Murmus`,
        description: "",
        icon: TradingCardImages.SkyCafe,
        value: RarityValues.common,
        category: "card",
        dropIcon: "🎴",
        rarity: "common",
        cardGeneration: CardGenerations.GEN1_DROP2,
    },
    tcGen1UnknownLunar: {
        slug: "tcGen1UnknownLunar",
        name: "Unknown (Lunar)",
        flavorText: `"Trickery is a funny thing. At it's best, the target doesn't even know it happened." ~Unknown`,
        description: "",
        icon: TradingCardImages.UnknownLunar,
        value: RarityValues.uncommon,
        category: "card",
        dropIcon: "🎴",
        rarity: "uncommon",
        cardGeneration: CardGenerations.GEN1_DROP2,
    },
    tcGen1UnknownSolar: {
        slug: "tcGen1UnknownSolar",
        name: "Unknown (Solar)",
        flavorText: `"Power wielded without reason isn't power. It's chaos." ~Unknown`,
        description: "",
        icon: TradingCardImages.UnknownSolar,
        value: RarityValues.uncommon,
        category: "card",
        dropIcon: "🎴",
        rarity: "uncommon",
        cardGeneration: CardGenerations.GEN1_DROP2,
    },
    tcGen1SecretSauce: {
        slug: "tcGen1SecretSauce",
        name: "Secret Sauce",
        flavorText: `"In your time of need, you rallied behind the Dish of Fate. And oh, what a dish it was." ~Jurgen`,
        description: "",
        icon: TradingCardImages.SecretSauce,
        value: RarityValues.uncommon,
        category: "card",
        dropIcon: "🎴",
        rarity: "uncommon",
        cardGeneration: CardGenerations.GEN1_DROP2,
    },
    tcGen1GillroyFoil: {
        slug: "tcGen1GillroyFoil",
        name: "Gillroy (Foil)",
        flavorText: `"There's NOTHING fishy about these prices!" ~Gillroy`,
        description: "",
        icon: TradingCardImages.GillroyFoil,
        value: 50000,
        category: "card",
        dropIcon: "🎴",
        rarity: "rare",
        cardGeneration: CardGenerations.GEN_GILLROY,
    },
    // GEN 2
    tcGen2DapperInPurple: {
        slug: "tcGen2DapperInPurple",
        name: "Dapper in Purple",
        flavorText: `"I quite love the color purple. It's so very... purple." ~Unknown`,
        description: "",
        icon: TradingCardImages.DapperInPurple,
        value: RarityValues.common,
        category: "card",
        dropIcon: "🎴",
        rarity: "common",
        cardGeneration: CardGenerations.GEN2_DROP1,
    },
    tcGen2DefinitelyFits: {
        slug: "tcGen2DefinitelyFits",
        name: "Definitely Fits",
        flavorText: `"It's on my head, is it not?." ~Unknown`,
        description: "",
        icon: TradingCardImages.DefinitelyFits,
        value: RarityValues.common,
        category: "card",
        dropIcon: "🎴",
        rarity: "common",
        cardGeneration: CardGenerations.GEN2_DROP1,
    },
    tcGen2KnowsHowItWorks: {
        slug: "tcGen2KnowsHowItWorks",
        name: "Knows How It Works",
        flavorText: `"Ready to go, why do you ask?" ~Unknown`,
        description: "",
        icon: TradingCardImages.KnowsHowItWorks,
        value: RarityValues.common,
        category: "card",
        dropIcon: "🎴",
        rarity: "common",
        cardGeneration: CardGenerations.GEN2_DROP1,
    },
    tcGen2Casual: {
        slug: "tcGen2Casual",
        name: "Casual",
        flavorText: `"This is my street fit." ~Unknown`,
        description: "",
        icon: TradingCardImages.Casual,
        value: RarityValues.common,
        category: "card",
        dropIcon: "🎴",
        rarity: "common",
        cardGeneration: CardGenerations.GEN2_DROP1,
    },
    tcGen2Arcwild: {
        slug: "tcGen2Arcwild",
        name: "Arcwild",
        flavorText: `"This city will never truly know peace, but it is my duty to try regardless." ~Agitha Steelhart`,
        description: "",
        icon: TradingCardImages.Arcwild,
        value: RarityValues.uncommon,
        category: "card",
        dropIcon: "🎴",
        rarity: "uncommon",
        cardGeneration: CardGenerations.GEN2_DROP1,
    },
    tcGen2Mysthull: {
        slug: "tcGen2Mysthull",
        name: "Mysthull",
        flavorText: `"We be settin' sail, lads! I need me some lunch!" ~Beauregard Cornwallace`,
        description: "",
        icon: TradingCardImages.Mysthull,
        value: RarityValues.uncommon,
        category: "card",
        dropIcon: "🎴",
        rarity: "uncommon",
        cardGeneration: CardGenerations.GEN2_DROP1,
    },
    tcGen2Lelatoll: {
        slug: "tcGen2Lelatoll",
        name: "Lelatoll",
        flavorText: `"May the Mists bless our home, and may the weary know peace upon this spire." ~Clarissa Brendwick`,
        description: "",
        icon: TradingCardImages.Lelatoll,
        value: RarityValues.uncommon,
        category: "card",
        dropIcon: "🎴",
        rarity: "uncommon",
        cardGeneration: CardGenerations.GEN2_DROP1,
    },
    tcGen2Skyhook: {
        slug: "tcGen2Skyhook",
        name: "Skyhook",
        flavorText: `"You want to arm wrestle? Why not full wrestle?" ~Jazz`,
        description: "",
        icon: TradingCardImages.Skyhook,
        value: RarityValues.uncommon,
        category: "card",
        dropIcon: "🎴",
        rarity: "uncommon",
        cardGeneration: CardGenerations.GEN2_DROP1,
    },
    tcGen2Goldspire: {
        slug: "tcGen2Goldspire",
        name: "Goldspire",
        flavorText: `"You will show respect to this city within my walls! I will NOT hear otherwise!" ~Nikolas Willowberry`,
        description: "",
        icon: TradingCardImages.Goldspire,
        value: RarityValues.rare,
        category: "card",
        dropIcon: "🎴",
        rarity: "rare",
        cardGeneration: CardGenerations.GEN2_DROP1,
    },
    tcGen2DukePepperbottom: {
        slug: "tcGen2DukePepperbottom",
        name: "Duke Pepperbottom",
        flavorText: `"The DYYYYUUUUUUUUKEEEEEE" ~Endeavorance`,
        description: "",
        icon: TradingCardImages.DukePepperbottom,
        value: RarityValues.rare,
        category: "card",
        dropIcon: "🎴",
        rarity: "rare",
        cardGeneration: CardGenerations.GEN2_DROP1,
    },
    tcGen2StudioFoil: {
        slug: "tcGen2StudioFoil",
        name: "Studio (Foil)",
        flavorText: `"Bark" ~Flynn`,
        description: "",
        icon: TradingCardImages.StudioFoil,
        value: RarityValues.rare,
        category: "card",
        dropIcon: "🎴",
        rarity: "rare",
        cardGeneration: CardGenerations.GEN2_DROP1,
    },
};
