import { ConcoctionImages, FlowerImages, ItemImages } from "../../assets";
export const CHEMISTRY_ITEMS = {
    // -- COMPONENTS -- //
    randomScrap: {
        slug: "randomScrap",
        name: "Random Scrap",
        description: "Some random scrap. Surely someone will still love this.",
        flavorText: "To you, this may be a random bit of garbage. But to an Obsidian Sprite, this is anything and everything.",
        rarity: "common",
        icon: ItemImages.RandomScrap,
        value: 15,
        category: "component",
        dropIcon: "🔩",
    },
    mermaidScale: {
        slug: "mermaidScale",
        name: "Mermaid Scale",
        description: "A shimmering scale from a mermaid.",
        flavorText: "Let's uh... not... tell Murmus what we're using this for.",
        icon: ItemImages.MermaidScale,
        value: 50,
        category: "component",
        rarity: "uncommon",
        dropIcon: "🧜",
    },
    timerootBark: {
        slug: "timerootBark",
        name: "Timeroot Bark",
        description: "A piece of bark from a timeroot tree.",
        flavorText: "This bark is imbued with the power of time. It's also a little bit sticky. From the time, probably.",
        icon: ItemImages.TimerootBark,
        value: 35,
        category: "component",
        rarity: "uncommon",
        dropIcon: "🌳",
    },
    spritzBottle: {
        slug: "spritzBottle",
        name: "Spritz Bottle",
        description: "A small bottle for spritzing.",
        flavorText: "Feline's Bane",
        icon: ItemImages.SpritzBottle,
        value: 50,
        category: "component",
        dropIcon: "💦",
        rarity: "common",
    },
    livingIcicle: {
        slug: "livingIcicle",
        name: "Wandering Icicle",
        description: "An icicle that's alive.",
        flavorText: "It seems to be melting. But also... growing?",
        icon: ItemImages.LivingIcicle,
        value: 150,
        category: "component",
        rarity: "uncommon",
        dropIcon: "🧊",
    },
    stardustBag: {
        slug: "stardustBag",
        name: "Stardust Bag",
        description: "A bag of stardust.",
        flavorText: "If we're all made of stardust, what is stardust made of?",
        icon: ItemImages.BagOfStardust,
        value: 100,
        category: "component",
        rarity: "uncommon",
        dropIcon: "🌟",
    },
    flaskSmall: {
        slug: "flaskSmall",
        name: "Small Flask",
        description: "A small flask. Great for putting liquids in.",
        flavorText: "Get ye flask.",
        icon: ItemImages.SmallFlask,
        value: 50,
        category: "component",
        rarity: "common",
        dropIcon: "🧪",
    },
    harvestedAstralDaisy: {
        slug: "harvestedAstralDaisy",
        name: "Astral Daisy",
        description: "A simple flower grown in the Astral Realm.",
        flavorText: "Pretty. Plain, but pretty.",
        icon: FlowerImages.AstralDaisy,
        value: 10,
        category: "component",
        rarity: "common",
        dropIcon: "🌼",
    },
    harvestedVoidIvy: {
        slug: "harvestedVoidIvy",
        name: "Void Ivy",
        description: "Dripping with inky black void juice and ripe for mixing.",
        flavorText: "Don't think about it too much, it's fine.",
        icon: FlowerImages.VoidIvy,
        value: 30,
        category: "component",
        rarity: "uncommon",
        dropIcon: "🌿",
    },
    harvestedCrystalOrchid: {
        slug: "harvestedCrystalOrchid",
        name: "Crystal Orchid",
        description: "Precious and beautiful. Worth a good few Conduits.",
        flavorText: "Fragility compounded back and forth forever.",
        icon: FlowerImages.CrystalOrchid,
        value: 80,
        category: "component",
        rarity: "uncommon",
        dropIcon: "🌸",
    },
    harvestedBloodLily: {
        slug: "harvestedBloodLily",
        name: "Blood Lily",
        description: "This thing grew FAST.",
        flavorText: "Is that... actual blood?",
        icon: FlowerImages.BloodLily,
        value: 50,
        category: "component",
        rarity: "rare",
        dropIcon: "🩸",
    },
    harvestedRainbowLotus: {
        slug: "harvestedRainbowLotus",
        name: "Rainbow Lotus",
        description: "A delicate flower imbued with a rainbow.",
        flavorText: "It does not taste like neopolitan ice cream.",
        icon: FlowerImages.RainbowLotus,
        value: 100,
        category: "component",
        rarity: "uncommon",
        dropIcon: "🌈",
    },
    harvestedDragonleaf: {
        slug: "harvestedDragonleaf",
        name: "Dragonleaf",
        description: "Its hot to the touch.",
        icon: FlowerImages.Dragonleaf,
        value: 250,
        category: "component",
        rarity: "rare",
        flavorText: "It is rumored that all dragons started as a Dragonleaf. Of course, nobody has seen a dragon that we know of, so, where did the rumors come from?",
        dropIcon: "🐉",
    },
    harvestedAcidBlossom: {
        slug: "harvestedAcidBlossom",
        name: "Acid Blossom",
        description: "Is this...? This cannot be food safe.",
        icon: FlowerImages.AcidBlossom,
        value: 250,
        category: "component",
        rarity: "rare",
        flavorText: "Don't touch it with your bare hands, please.",
        dropIcon: "☠️",
    },
    harvestedLightningLotus: {
        slug: "harvestedLightningLotus",
        name: "Lightning Lotus",
        description: "It crackles with raw energy. Its potential is fascinating.",
        icon: FlowerImages.LightningLotus,
        value: 1000,
        category: "component",
        rarity: "rare",
        flavorText: "It's not dangerous, right?",
        dropIcon: "⚡",
    },
    // -- CONCOCTION RECIPES -- //
    recipeBlankPlaceholder: {
        slug: "recipeBlankPlaceholder",
        name: "Recipe: Placeholder",
        description: "An empty recipe.",
        icon: ItemImages.Recipe,
        value: 100,
        category: "recipe",
        canBeUsed: true,
        relatedConcoction: "liquidWanderingIce",
        rarity: "common",
        dropIcon: "📗",
        flavorText: "",
    },
    recipeLiquidWanderingIce: {
        slug: "recipeLiquidWanderingIce",
        name: "Recipe: Liquid Wandering Ice",
        description: "A recipe for Liquid Wandering Ice.",
        icon: ItemImages.Recipe,
        value: 100,
        category: "recipe",
        canBeUsed: true,
        relatedConcoction: "liquidWanderingIce",
        rarity: "common",
        dropIcon: "📗",
        flavorText: "",
    },
    recipeSolidLiquidWanderingIce: {
        slug: "recipeSolidLiquidWanderingIce",
        name: "Recipe: Solid Liquid Wandering Ice",
        description: "A recipe for Solid Liquid Wandering Ice. I'm confused too.",
        icon: ItemImages.Recipe,
        value: 100,
        category: "recipe",
        canBeUsed: true,
        relatedConcoction: "solidLiquidWanderingIce",
        rarity: "common",
        dropIcon: "📗",
        flavorText: "",
    },
    recipeLightningInABottle: {
        slug: "recipeLightningInABottle",
        name: "Recipe: Lightning in a Bottle",
        description: "A recipe for Lightning in a Bottle. Not quite sure how this was written down, but hey, it works.",
        icon: ItemImages.Recipe,
        value: 100,
        category: "recipe",
        canBeUsed: true,
        relatedConcoction: "lightningInABottle",
        rarity: "uncommon",
        dropIcon: "📗",
        flavorText: "",
    },
    recipeSoulWater: {
        slug: "recipeSoulWater",
        name: "Recipe: Soul Water",
        description: "A recipe for Soul Water. Capable of reviving dead plants.",
        icon: ItemImages.Recipe,
        value: 100,
        category: "recipe",
        canBeUsed: true,
        relatedConcoction: "soulWater",
        rarity: "uncommon",
        dropIcon: "📗",
        flavorText: "",
    },
    recipeSilkwaterMist: {
        slug: "recipeSilkwaterMist",
        name: "Recipe: Silkwater Mist",
        description: "A recipe for Silkwater Mist.",
        icon: ItemImages.Recipe,
        value: 100,
        category: "recipe",
        canBeUsed: true,
        relatedConcoction: "silkwaterMist",
        rarity: "rare",
        dropIcon: "📗",
        flavorText: "",
    },
    recipeQuantumSeed: {
        slug: "recipeQuantumSeed",
        name: "Recipe: Quantum Seed",
        description: "A recipe for Quantum Seed.",
        icon: ItemImages.Recipe,
        value: 100,
        category: "recipe",
        canBeUsed: true,
        relatedConcoction: "quantumSeed",
        rarity: "uncommon",
        dropIcon: "📗",
        flavorText: "",
    },
    recipeFourthDimensionalPlantFood: {
        slug: "recipeFourthDimensionalPlantFood",
        name: "Recipe: 4th Dimensional Plant Food",
        description: "Plant food unbound from the linear flow of time. Use it on a plant to advance its growth by 1 turn.",
        icon: ItemImages.Recipe,
        value: 100,
        category: "recipe",
        canBeUsed: true,
        relatedConcoction: "fourthDimensionalPlantFood",
        rarity: "rare",
        dropIcon: "📗",
        flavorText: "",
    },
    // -- CONCOCTIONS -- //
    liquidWanderingIce: {
        slug: "liquidWanderingIce",
        name: "Liquid Wandering Ice",
        description: "The liquid seems to want to get out of its container at times.",
        flavorText: "You'd think this would just be 'Wandering Water,' but nope. Wandering Ice, but liquid.",
        icon: ConcoctionImages.liquidWanderingIce,
        value: 30,
        category: "concoction",
        rarity: "common",
        dropIcon: "💧",
        relatedConcoction: "liquidWanderingIce",
    },
    soulWater: {
        slug: "soulWater",
        name: "Soul Water",
        description: "Life essence distilled to liquid. Capable of reviving dead plants.",
        flavorText: "If we're being honest, it tastes pretty good, too.",
        icon: ConcoctionImages.soulWater,
        value: 300,
        category: "concoction",
        rarity: "uncommon",
        canUseInBotany: true,
        canBeUsed: true,
        dropIcon: "💧",
        relatedConcoction: "soulWater",
    },
    silkwaterMist: {
        slug: "silkwaterMist",
        name: "Silkwater Mist Bottle",
        description: "A refreshig mist of Silkwater which fills the space it's released in. Waters all plants for all Campers to full.",
        icon: ConcoctionImages.silkwaterMist,
        value: 100,
        category: "concoction",
        rarity: "rare",
        canBeUsed: true,
        flavorText: "",
        dropIcon: "💧",
        relatedConcoction: "silkwaterMist",
    },
    lightningInABottle: {
        slug: "lightningInABottle",
        name: "Lightning in a Bottle",
        description: "Wow! So much power in the palm of your hands. Uncorking it will release the lightning. It may strike another Camper, but lightning in the Astral Realm is MOSTLY harmless. Mostly. Just... unpredictable.",
        icon: ConcoctionImages.lightningInABottle,
        value: 500,
        category: "concoction",
        canBeUsed: true,
        dropIcon: "⚡",
        rarity: "uncommon",
        flavorText: "So we just... this is how its done huh?",
        relatedConcoction: "lightningInABottle",
    },
};
