import { ItemImages } from "../../assets";
export const CONTAINER_ITEMS = {
    crystalGeode: {
        slug: "crystalGeode",
        name: "Crystal Geode",
        description: "A hardened crystalline geode found beneath the surface. Opening it up may reveal hidden treasures inside...",
        icon: ItemImages.CrystalGeode,
        value: 100,
        category: "container",
        canBeUsed: true,
        contents: {
            items: [
                "mundaneSeed",
                "cosmicPinwheel",
                "cosmicPinwheel",
                "discardedJacket",
                "discardedJacket",
                "randomScrap",
                "randomScrap",
            ],
            count: 1,
        },
        rarity: "common",
        dropIcon: "📦",
        flavorText: "",
    },
    treasureChest: {
        slug: "treasureChest",
        name: "Treasure Chest",
        description: "A recovered chest from the depths of the cloud oceans. Who knows what could be inside!",
        icon: ItemImages.TreasureChest,
        value: 125,
        category: "container",
        canBeUsed: true,
        contents: {
            items: [
                "silkwaterJug",
                "silkwaterJugLarge",
                "cosmicPinwheel",
                "trident",
                "cosmicSocks",
                "lightningInABottle",
                "quantumSeed",
            ],
            count: 1,
        },
        rarity: "common",
        dropIcon: "📦",
        flavorText: "",
    },
    leafPile: {
        slug: "leafPile",
        name: "Leaf Pile",
        description: "A pile of leaves from an Astral Maple. Its pretty common to find something hiding in the pile. Take a closer look and see whats inside!",
        icon: ItemImages.LeafPile,
        value: 250,
        category: "container",
        canBeUsed: true,
        rarity: "common",
        dropIcon: "📦",
        flavorText: "",
        contents: {
            items: ["cosmicPinwheel", "cosmicSocks", "trident", "goldLeaf"],
            count: 1,
        },
    },
    fallenStar: {
        slug: "fallenStar",
        name: "Fallen Star",
        description: "A shining star that fell from beyond. There's something inside it...",
        icon: ItemImages.FallenStar,
        value: 100,
        category: "container",
        canBeUsed: true,
        rarity: "common",
        dropIcon: "📦",
        flavorText: "",
        contents: {
            items: [
                "silkwaterJug",
                "crystalOrchidSeed",
                "goldLeaf",
                "randomScrap",
                "cracklingRainmeter",
                "voidIvySeed",
                "bloodLilySeed",
            ],
            count: 1,
        },
    },
    frozenTreasureChest: {
        slug: "frozenTreasureChest",
        name: "Frozen Treasure Chest",
        description: "It is quite cold, but nothing a little defrosting can't fix. Open it up and see what's inside!",
        icon: ItemImages.FrozenTreasureChest,
        value: 100,
        category: "container",
        canBeUsed: true,
        rarity: "common",
        dropIcon: "📦",
        flavorText: "",
        contents: {
            items: [
                "lightningInABottle",
                "randomScrap",
                "trident",
                "goldLeaf",
                "cracklingRainmeter",
            ],
            count: 1,
        },
    },
    heartShapedBox: {
        slug: "heartShapedBox",
        name: "Heart Shaped Box",
        description: "Its almost warm to the touch. I bet something is inside!",
        icon: ItemImages.HeartShapedBox,
        value: 100,
        category: "container",
        canBeUsed: true,
        rarity: "common",
        dropIcon: "📦",
        flavorText: "",
        contents: {
            items: [
                "lightningInABottle",
                "dragonleafSeed",
                "bloodLilySeed",
                "smoulderingRoseSeed",
                "quantumSeed",
                "quantumSeed",
            ],
            count: 1,
        },
    },
    shippingCrate: {
        slug: "shippingCrate",
        name: "Interdimensional Shipping Crate",
        description: "The postage is written in some kind of swirling runic language, but federal law doesnt apply here so you can probably just open it",
        icon: ItemImages.ShippingCrate,
        value: 100,
        category: "container",
        canBeUsed: true,
        rarity: "common",
        dropIcon: "📦",
        flavorText: "",
        contents: {
            items: [
                "silkwaterJug",
                "silkwaterJug",
                "silkwaterJugLarge",
                "cosmicSocks",
                "cracklingRainmeter",
                "crystalGeode",
            ],
            count: 1,
        },
    },
    giantsGift: {
        slug: "giantsGift",
        name: "Gift from a Giant",
        description: "It's... heavy. But what's inside??",
        icon: ItemImages.GiantsGift,
        value: 100,
        category: "container",
        canBeUsed: true,
        rarity: "common",
        dropIcon: "📦",
        flavorText: "",
        contents: {
            items: [
                "stardustBlossomSeed",
                "stardustBlossomSeed",
                "stardustBlossomSeed",
                "stardustBlossomSeed",
                "quantumSeed",
                "swirlingStormwrangler",
                "flaskSmall",
                "lightningInABottle",
                "randomScrap",
                "fallenStar",
                "harvestedSmoulderingRose",
                "harvestedBloodLily",
            ],
            count: 1,
        },
    },
    seedPouch: {
        slug: "seedPouch",
        name: "Seed Pouch",
        description: "A pouch containing a random seed for a plant.",
        icon: ItemImages.SeedPouch,
        value: 15,
        category: "container",
        canBeUsed: true,
        rarity: "common",
        dropIcon: "📦",
        flavorText: "",
        contents: {
            items: [
                "bloodLilySeed",
                "mundaneSeed",
                "crystalOrchidSeed",
                "voidIvySeed",
                "obsidianRoseSeed",
                "rainbowLotusSeed",
                "dragonleafSeed",
            ],
            count: 1,
        },
    },
    tcBoosterPackGen1Common: {
        slug: "tcBoosterPackGen1Common",
        name: "Mystery Common Card",
        description: "A random common Gen 1 trading card!",
        icon: ItemImages.CardBoosterPack,
        value: 1000,
        category: "container",
        rarity: "common",
        dropIcon: "📦",
        canBeUsed: true,
        flavorText: "",
        contents: {
            items: [
                "tcGen1Beeatrice",
                "tcGen1Campfire",
                "tcGen1Chisel",
                "tcGen1Murmus",
                "tcGen1LettersInFlight",
                "tcGen1SkyCafe",
            ],
            count: 1,
        },
    },
    tcBoosterPackGen1Uncommon: {
        slug: "tcBoosterPackGen1Uncommon",
        name: "Mystery Uncommon Card",
        description: "A random uncommon Gen 1 trading card!",
        icon: ItemImages.CardBoosterPack,
        value: 5000,
        category: "container",
        rarity: "uncommon",
        canBeUsed: true,
        dropIcon: "📦",
        flavorText: "",
        contents: {
            items: [
                "tcGen1Cloudsailor",
                "tcGen1Lodge",
                "tcGen1Giant",
                "tcGen1UnknownLunar",
                "tcGen1UnknownSolar",
            ],
            count: 1,
        },
    },
    tcBoosterPackGen1Part2: {
        slug: "tcBoosterPackGen1Part2",
        name: "Mystery Card (Gen 1.2)",
        description: "A random Gen 1 (Drop 2) trading card! Does not include foil.",
        icon: ItemImages.CardBoosterPack,
        value: 3500,
        category: "container",
        rarity: "common",
        dropIcon: "📦",
        canBeUsed: true,
        flavorText: "",
        contents: {
            items: [
                "tcGen1LettersInFlight",
                "tcGen1SkyCafe",
                "tcGen1LettersInFlight",
                "tcGen1SkyCafe",
                "tcGen1UnknownLunar",
                "tcGen1UnknownSolar",
            ],
            count: 1,
        },
    },
    tcBoosterPackGen1Full: {
        slug: "tcBoosterPackGen1Full",
        name: "Mystery Card (Gen 1)",
        description: "A random Gen 1 trading card! Does not include the Gillroy Foil",
        icon: ItemImages.CardBoosterPack,
        value: 500,
        category: "container",
        rarity: "common",
        dropIcon: "📦",
        flavorText: "",
        canBeUsed: true,
        contents: {
            items: [
                "tcGen1Beeatrice",
                "tcGen1Campfire",
                "tcGen1Chisel",
                "tcGen1Murmus",
                "tcGen1LettersInFlight",
                "tcGen1SkyCafe",
                "tcGen1Beeatrice",
                "tcGen1Campfire",
                "tcGen1Chisel",
                "tcGen1Murmus",
                "tcGen1LettersInFlight",
                "tcGen1SkyCafe",
                "tcGen1Beeatrice",
                "tcGen1Campfire",
                "tcGen1Chisel",
                "tcGen1Murmus",
                "tcGen1LettersInFlight",
                "tcGen1SkyCafe",
                "tcGen1Cloudsailor",
                "tcGen1Lodge",
                "tcGen1Giant",
                "tcGen1UnknownLunar",
                "tcGen1UnknownSolar",
                "tcGen1Cloudsailor",
                "tcGen1Lodge",
                "tcGen1Giant",
                "tcGen1UnknownLunar",
                "tcGen1UnknownSolar",
                "tcGen1MurmusFoil",
            ],
            count: 1,
        },
    },
    tcBoosterPackGen2Drop1: {
        slug: "tcBoosterPackGen2Drop1",
        name: "Mystery Card (Gen 2)",
        description: "A random Gen 2 trading card!",
        icon: ItemImages.CardBoosterPack,
        value: 2500,
        category: "container",
        rarity: "common",
        dropIcon: "📦",
        canBeUsed: true,
        flavorText: "",
        contents: {
            items: [
                // 4x common chance
                "tcGen2DapperInPurple",
                "tcGen2DefinitelyFits",
                "tcGen2KnowsHowItWorks",
                "tcGen2Casual",
                "tcGen2DapperInPurple",
                "tcGen2DefinitelyFits",
                "tcGen2KnowsHowItWorks",
                "tcGen2Casual",
                "tcGen2DapperInPurple",
                "tcGen2DefinitelyFits",
                "tcGen2KnowsHowItWorks",
                "tcGen2Casual",
                "tcGen2DapperInPurple",
                "tcGen2DefinitelyFits",
                "tcGen2KnowsHowItWorks",
                "tcGen2Casual",
                // 3x Uncommon chance
                "tcGen2Arcwild",
                "tcGen2Mysthull",
                "tcGen2Lelatoll",
                "tcGen2Skyhook",
                "tcGen2Arcwild",
                "tcGen2Mysthull",
                "tcGen2Lelatoll",
                "tcGen2Skyhook",
                "tcGen2Arcwild",
                "tcGen2Mysthull",
                "tcGen2Lelatoll",
                "tcGen2Skyhook",
                // 2x Rare
                "tcGen2Goldspire",
                "tcGen2DukePepperbottom",
                "tcGen2Goldspire",
                "tcGen2DukePepperbottom",
                // 1x Foil chance
                "tcGen2StudioFoil",
            ],
            count: 1,
        },
    },
};
