import { ConcoctionImages, ItemImages, SeedImages, StellarvibeImages, } from "../../assets";
export const RELIC_ITEMS = {
    shatteredSpyglassLens: {
        slug: "shatteredSpyglassLens",
        name: "Shattered Spyglass Lens [Relic]",
        description: "A once sought-after piece of a Spyglass, now a relic of the past.",
        icon: ItemImages.SpyglassLens,
        value: 25,
        category: "relic",
        rarity: "relic",
        flavorText: "",
        dropIcon: "🖼️",
    },
    shatteredSpyglassBody: {
        slug: "shatteredSpyglassBody",
        name: "Shattered Spyglass Body [Relic]",
        description: "A once sought-after piece of a Spyglass, now a relic of the past.",
        icon: ItemImages.SpyglassBody,
        value: 25,
        category: "relic",
        rarity: "relic",
        flavorText: "",
        dropIcon: "🖼️",
    },
    shatteredSpyglassEyepiece: {
        slug: "shatteredSpyglassEyepiece",
        name: "Shattered Spyglass Eyepiece [Relic]",
        description: "A once sought-after piece of a Spyglass, now a relic of the past.",
        icon: ItemImages.SpyglassEyepiece,
        value: 25,
        category: "relic",
        rarity: "relic",
        flavorText: "",
        dropIcon: "🖼️",
    },
    restoredSpyglass: {
        slug: "restoredSpyglass",
        name: "Spyglass [Relic]",
        description: "This Spyglass has a storied history of adventures, curses and culinary arts. Now its a simple relic of the past.",
        icon: ItemImages.Spyglass,
        value: 100,
        category: "relic",
        rarity: "relic",
        flavorText: "",
        dropIcon: "🖼️",
    },
    netheriteVoucher: {
        slug: "netheriteVoucher",
        name: "Netherite Voucher [Relic]",
        description: "Once able to summon the strongest of metals in the strangest of lands, now a reminder of what we have built.",
        icon: ItemImages.NetheriteVoucher,
        value: 250,
        category: "relic",
        rarity: "relic",
        flavorText: "",
        dropIcon: "🖼️",
    },
    fatefulLoom: {
        slug: "fatefulLoom",
        name: "Fateful Loom [Relic]",
        description: "Where once this loom may have weaved a new destiny, it now sits dormant: a relic of what was.",
        icon: ItemImages.FatefulLoom,
        value: 1000,
        category: "relic",
        rarity: "relic",
        flavorText: "",
        dropIcon: "🖼️",
    },
    bullhorn: {
        slug: "bullhorn",
        name: "Bullhorn [Relic]",
        description: "Once connected directly to the Camp PA system, this bullhorn is now a fancy collectors item.",
        icon: ItemImages.Bullhorn,
        value: 150,
        category: "relic",
        rarity: "relic",
        flavorText: "",
        dropIcon: "🖼️",
    },
    fleetingFeather: {
        slug: "fleetingFeather",
        name: "Fleeting Feather [Relic]",
        description: "Once able to bestow the power of flight to visit a sky-high cafe, now this feather would probably make a pretty good quill. That said, its a relic, so maybe treat it a bit carefully.",
        icon: ItemImages.FleetingFeather,
        value: 150,
        category: "relic",
        rarity: "relic",
        flavorText: "",
        dropIcon: "🖼️",
    },
    celestialStone: {
        slug: "celestialStone",
        name: "Celestial Stone",
        description: "A stone that has fallen from the heavens. It seems to resonate with the energy of the Astral Realm.",
        icon: ItemImages.CelestialStone,
        value: 100,
        category: "relic",
        rarity: "relic",
        flavorText: "",
        dropIcon: "🖼️",
    },
    // STELLARVIBE 2024
    stellarvibePresent2024: {
        slug: "stellarvibePresent2024",
        name: "Joyful Gift",
        description: "A gift of joy from Stellarvibe 2024. Mysterious power has sealed it shut.",
        flavorText: "A gift from the stars!",
        icon: StellarvibeImages.Gift2024,
        value: 5,
        category: "relic",
        canBeUsed: false,
        rarity: "uncommon",
        dropIcon: "🎁",
    },
    stellarvibePresentGlowing2024: {
        slug: "stellarvibePresentGlowing2024",
        name: "Glowing Joyful Gift",
        description: "A gift of joy from Stellarvibe 2024. Mysterious power has sealed it shut.",
        icon: StellarvibeImages.GiftGlowing2024,
        value: 5,
        category: "relic",
        canBeUsed: false,
        dropIcon: "🎁",
        flavorText: "",
        rarity: "uncommon",
    },
    stellarvibePresent2024Max: {
        slug: "stellarvibePresent2024Max",
        name: "Maximum Joyful Gift",
        description: "A gift of joy from Stellarvibe 2024. Mysterious power has sealed it shut.",
        flavorText: "A gift from the stars!",
        icon: StellarvibeImages.GiftMax2024,
        value: 5000,
        category: "relic",
        canBeUsed: false,
        rarity: "rare",
        dropIcon: "🎁",
    },
    stellarvibePresent2024GlowingMax: {
        slug: "stellarvibePresent2024Max",
        name: "Glowing Maximum Joyful Gift",
        description: "A gift of joy from Stellarvibe 2024. Mysterious power has sealed it shut.",
        flavorText: "A gift from the stars!",
        icon: StellarvibeImages.GiftMax2024,
        value: 5000,
        category: "relic",
        canBeUsed: false,
        rarity: "rare",
        dropIcon: "🎁",
    },
    // STELLARVIBE 2023
    stellarvibePresentSmall2023: {
        slug: "stellarvibePresentSmall2023",
        name: "Small Dimmed Gift",
        description: "A gift of joy from Stellarvibe 2023. Mysterious power has sealed it shut.",
        icon: StellarvibeImages.Gift2023Small,
        value: 1,
        category: "relic",
        canBeUsed: false,
        dropIcon: "🎁",
        flavorText: "",
        rarity: "uncommon",
    },
    stellarvibePresentSmallGlowing2023: {
        slug: "stellarvibePresentSmallGlowing2023",
        name: "Small Dimmed Gift",
        description: "A gift of joy from Stellarvibe 2023. Mysterious power has sealed it shut.",
        icon: StellarvibeImages.Gift2023Small,
        value: 1,
        category: "relic",
        canBeUsed: false,
        dropIcon: "🎁",
        flavorText: "",
        rarity: "uncommon",
    },
    stellarvibePresentMedium2023: {
        slug: "stellarvibePresentMedium2023",
        name: "Large Dimmed Gift",
        description: "A gift of joy from Stellarvibe 2023. Mysterious power has sealed it shut.",
        icon: StellarvibeImages.Gift2023Medium,
        value: 2,
        category: "relic",
        canBeUsed: false,
        dropIcon: "🎁",
        flavorText: "",
        rarity: "uncommon",
    },
    stellarvibePresentMediumGlowing2023: {
        slug: "stellarvibePresentMediumGlowing2023",
        name: "Large Dimmed Gift",
        description: "A gift of joy from Stellarvibe 2023. Mysterious power has sealed it shut.",
        icon: StellarvibeImages.Gift2023Medium,
        value: 2,
        category: "relic",
        canBeUsed: false,
        dropIcon: "🎁",
        flavorText: "",
        rarity: "uncommon",
    },
    // STELLARVIBE 2022
    stellarvibePresentSmall: {
        slug: "stellarvibePresentSmall",
        name: "Small Stellarvibe Gift",
        description: "A gift of joy from Stellarvibe 2022. Mysterious power has sealed it shut.",
        icon: StellarvibeImages.StellarvibePresentSmall,
        value: 5,
        category: "relic",
        canBeUsed: false,
        dropIcon: "🎁",
        flavorText: "",
        rarity: "uncommon",
    },
    stellarvibePresentSmallGlowing: {
        slug: "stellarvibePresentSmallGlowing",
        name: "Small Glowing Stellarvibe Gift",
        description: "A gift of joy from Stellarvibe 2022. Mysterious power has sealed it shut.",
        icon: StellarvibeImages.StellarvibePresentSmallGlowing,
        value: 5,
        category: "relic",
        canBeUsed: false,
        dropIcon: "🎁",
        flavorText: "",
        rarity: "uncommon",
    },
    stellarvibePresentMedium: {
        slug: "stellarvibePresentMedium",
        name: "Stellarvibe Gift",
        description: "A gift of joy from Stellarvibe 2022. Mysterious power has sealed it shut.",
        icon: StellarvibeImages.StellarvibePresentMedium,
        value: 5,
        category: "relic",
        canBeUsed: false,
        dropIcon: "🎁",
        flavorText: "",
        rarity: "uncommon",
    },
    stellarvibePresentMediumGlowing: {
        slug: "stellarvibePresentMediumGlowing",
        name: "Glowing Stellarvibe Gift",
        description: "A gift of joy from Stellarvibe 2022. Mysterious power has sealed it shut.",
        icon: StellarvibeImages.StellarvibePresentMediumGlowing,
        value: 5,
        category: "relic",
        canBeUsed: false,
        dropIcon: "🎁",
        flavorText: "",
        rarity: "uncommon",
    },
    stellarvibePresentLarge: {
        name: "Massive Stellarvibe Gift",
        slug: "stellarvibePresentLarge",
        description: "A gift of joy from Stellarvibe 2022. Mysterious power has sealed it shut.",
        icon: StellarvibeImages.StellarvibePresentLarge,
        value: 5,
        category: "relic",
        canBeUsed: false,
        dropIcon: "🎁",
        flavorText: "",
        rarity: "uncommon",
    },
    stellarvibePresentLargeGlowing: {
        slug: "stellarvibePresentLargeGlowing",
        name: "Massive Glowing Stellarvibe Gift",
        description: "A gift of joy from Stellarvibe 2022. Mysterious power has sealed it shut.",
        icon: StellarvibeImages.StellarvibePresentLargeGlowing,
        value: 5,
        category: "relic",
        canBeUsed: false,
        dropIcon: "🎁",
        flavorText: "",
        rarity: "uncommon",
    },
    joyfultilizer: {
        slug: "joyfultilizer",
        name: "Joyfultilizer",
        description: "A special blend of nutrients and magic capable of turning a Joyroot plant into something more.",
        flavorText: "Spread the joy.",
        icon: ConcoctionImages.Joyfultilizer,
        value: 50,
        category: "relic",
        rarity: "rare",
        canBeUsed: false,
        canUseInBotany: false,
        dropIcon: "🌱",
        relatedConcoction: "joyfultilizer",
    },
    maxJoyfultilizer: {
        slug: "maxJoyfultilizer",
        name: "Maximum Joyfultilizer",
        description: "A perfect combination of joy and cheer distilled into the elements necessary to sustain joyous plant life. Use on a Joyblossom to empower it further.",
        flavorText: "A seasonal masterpiece.",
        icon: ConcoctionImages.MaximumJoyfultilizer,
        value: 50,
        category: "relic",
        rarity: "rare",
        canBeUsed: false,
        canUseInBotany: false,
        dropIcon: "🌱",
        relatedConcoction: "maxJoyfultilizer",
    },
    joyrootSeed: {
        slug: "joyrootSeed",
        name: "Joyroot Seed",
        description: "A dormant seed radiating memories of joy",
        icon: SeedImages.joyrootSeed,
        value: 50,
        category: "relic",
        rarity: "uncommon",
        flavorText: "",
        dropIcon: "🌱",
    },
    recipeJoyfultilizer: {
        slug: "recipeJoyfultilizer",
        name: "Recipe: Joyfultilizer",
        description: "A recipe for Joyfultilizer. The text has scrambled to become unreadable.",
        icon: ItemImages.Recipe,
        value: 10,
        category: "relic",
        canBeUsed: false,
        rarity: "common",
        dropIcon: "📗",
        flavorText: "",
    },
    recipeMaxJoyfultilizer: {
        slug: "recipeMaxJoyfultilizer",
        name: "Recipe: Maximum Joyfultilizer",
        description: "A recipe for Joyfultilizer. The text has scrambled to become unreadable.",
        icon: ItemImages.Recipe,
        value: 100,
        category: "relic",
        canBeUsed: false,
        rarity: "rare",
        dropIcon: "📗",
        flavorText: "True joy demands true focus.",
    },
};
