import { SeedImages } from "../../assets";
export const SEED_ITEMS = {
    quantumSeed: {
        slug: "quantumSeed",
        name: "Quantum Seed",
        description: "It... contains everything? You could certainly plant it but who knows what might grow.",
        icon: SeedImages.quantumSeed,
        value: 50,
        category: "seed",
        rarity: "uncommon",
        flavorText: "",
        dropIcon: "🌱",
        relatedFlower: [
            "astralDaisy",
            "voidIvy",
            "crystalOrchid",
            "bloodLily",
            "obsidianRose",
            "rainbowLotus",
            "dragonleaf",
            "wanderingIce",
            "smoulderingRose",
            "stardustBlossom",
            "celestialBulb",
            "celestialBoonflower",
            "ritualPumpkin",
        ],
    },
    mundaneSeed: {
        slug: "mundaneSeed",
        name: "Astral Daisy Seed",
        description: "A seed for a simple Astral Daisy",
        flavorText: "It's not much now, but once it's planted and grown? It'll still not be much, honestly.",
        icon: SeedImages.mundaneSeed,
        value: 10,
        category: "seed",
        dropIcon: "🌱",
        rarity: "common",
        relatedFlower: "astralDaisy",
    },
    voidIvySeed: {
        slug: "voidIvySeed",
        name: "Void Ivy Seed",
        description: "An inky black seed known to grow Void Ivy.",
        icon: SeedImages.voidIvySeed,
        value: 10,
        category: "seed",
        dropIcon: "🌱",
        rarity: "common",
        flavorText: "",
        relatedFlower: "voidIvy",
    },
    crystalOrchidSeed: {
        slug: "crystalOrchidSeed",
        name: "Crystal Orchid Seed",
        description: "A brilliant crystalline seed.",
        icon: SeedImages.crystalOrchidSeed,
        value: 50,
        category: "seed",
        dropIcon: "🌱",
        rarity: "uncommon",
        flavorText: "",
        relatedFlower: "crystalOrchid",
    },
    bloodLilySeed: {
        slug: "bloodLilySeed",
        name: "Blood Lily Seed",
        description: "It resonates with weird energy.",
        icon: SeedImages.bloodLilySeed,
        value: 50,
        category: "seed",
        dropIcon: "🌱",
        rarity: "uncommon",
        flavorText: "",
        relatedFlower: "bloodLily",
    },
    obsidianRoseSeed: {
        slug: "obsidianRoseSeed",
        name: "Obsidian Rose Seed",
        description: "A hard, dense seed to grow a hard, dense flower.",
        icon: SeedImages.obsidianRoseSeed,
        value: 50,
        category: "seed",
        dropIcon: "🌱",
        rarity: "uncommon",
        flavorText: "",
        relatedFlower: "obsidianRose",
    },
    rainbowLotusSeed: {
        slug: "rainbowLotusSeed",
        name: "Rainbow Lotus Seed",
        description: "A huge specrum of color all in this one little seed.",
        icon: SeedImages.rainbowLotusSeed,
        value: 10,
        category: "seed",
        dropIcon: "🌱",
        rarity: "common",
        flavorText: "",
        relatedFlower: "rainbowLotus",
    },
    dragonleafSeed: {
        slug: "dragonleafSeed",
        name: "Dragonleaf Seed",
        description: "Its warm to the touch.",
        icon: SeedImages.dragonleafSeed,
        value: 10,
        category: "seed",
        dropIcon: "🌱",
        rarity: "common",
        flavorText: "",
        relatedFlower: "dragonleaf",
    },
    smoulderingRoseSeed: {
        slug: "smoulderingRoseSeed",
        name: "Smouldering Rose Seed",
        description: "It drips with magma.",
        icon: SeedImages.smoulderingRoseSeed,
        value: 200,
        category: "seed",
        dropIcon: "🌱",
        rarity: "rare",
        flavorText: "",
        relatedFlower: "smoulderingRose",
    },
    wanderingIceSeed: {
        slug: "wanderingIceSeed",
        name: "Wandering Ice Seed",
        description: "A cold block of ice encasing a seed.",
        icon: SeedImages.wanderingIceSeed,
        value: 50,
        category: "seed",
        dropIcon: "🌱",
        rarity: "uncommon",
        flavorText: "",
        relatedFlower: "wanderingIce",
    },
    stardustBlossomSeed: {
        slug: "stardustBlossomSeed",
        name: "Stardust Blossom Seed",
        description: "Like a seed of reality.",
        icon: SeedImages.stardustBlossomSeed,
        value: 50,
        category: "seed",
        dropIcon: "🌱",
        rarity: "uncommon",
        flavorText: "",
        relatedFlower: "stardustBlossom",
    },
    celestialBulbSeed: {
        slug: "celestialBulbSeed",
        name: "Celestial Bulb Seed",
        description: "It is made from material found beyond the stars.",
        icon: SeedImages.celestialBulbSeed,
        value: 50,
        category: "seed",
        dropIcon: "🌱",
        rarity: "uncommon",
        flavorText: "",
        relatedFlower: "celestialBulb",
    },
    celestialBoonflowerSeed: {
        slug: "celestialBoonflowerSeed",
        name: "Celestial Boonflower Seed",
        description: "It is made from material found beyond the stars. It glows with a gorgeous light.",
        icon: SeedImages.celestialBoonflowerSeed,
        value: 100,
        category: "seed",
        dropIcon: "🌱",
        rarity: "rare",
        flavorText: "",
        relatedFlower: "celestialBoonflower",
    },
    astralMangoTreeSeed: {
        slug: "astralMangoTreeSeed",
        name: "Astral Mango Tree Seed",
        description: "A seed for an Astral Mango tree.",
        icon: SeedImages.astralMangoTreeSeed,
        value: 500,
        category: "seed",
        rarity: "uncommon",
        flavorText: "",
        dropIcon: "🌱",
        relatedFlower: "astralMangoTree",
    },
    spectralPapayaTreeSeed: {
        slug: "spectralPapayaTreeSeed",
        name: "Spectral Papaya Tree Seed",
        description: "A seed for a Spectral Papaya tree.",
        icon: SeedImages.spectralPapayaTreeSeed,
        value: 500,
        category: "seed",
        rarity: "uncommon",
        flavorText: "",
        dropIcon: "🌱",
        relatedFlower: "spectralPapayaTree",
    },
    ritualPumpkinSeed: {
        slug: "ritualPumpkinSeed",
        name: "Ritual Pumpkin Seed",
        description: "A pumpkin seed that seems like its eager to reach across into the unkown...",
        icon: SeedImages.ritualPumpkinSeed,
        value: 50,
        category: "seed",
        rarity: "uncommon",
        flavorText: "",
        dropIcon: "🌱",
        relatedFlower: "ritualPumpkin",
    },
    trophyThistleSeed: {
        slug: "trophyThistleSeed",
        name: "Trophy Thistle Seed",
        description: "The seed itself presents a challenge. A botanist's dream, but are you truly worthy?",
        icon: SeedImages.trophyThistleSeed,
        value: 50,
        category: "seed",
        rarity: "uncommon",
        flavorText: "",
        dropIcon: "🌱",
        relatedFlower: "trophyThistle",
    },
    acidBlossomSeed: {
        slug: "acidBlossomSeed",
        name: "Acid Blossom Seed",
        description: "A slimy, acidic seed. Acid Blossoms grow in 4 ticks, but only grow during Acid Rain. While your Botany plot has an Acid Blossom, it will absorb all Acid Rain, protecting your plants from negative effects, but only while growing.",
        icon: SeedImages.acidBlossomSeed,
        value: 300,
        category: "seed",
        rarity: "rare",
        flavorText: "",
        dropIcon: "🌱",
        relatedFlower: "acidBlossom",
    },
};
