export const BOTANY_ITEM_SLUGS = [
    "silkwaterJug",
    "silkwaterJugLarge",
    "cracklingRainmeter",
    "swirlingStormwrangler",
    "fourthDimensionalPlantFood",
];
export const CARD_ITEM_SLUGS = [
    "tcGen1Beeatrice",
    "tcGen1Campfire",
    "tcGen1Chisel",
    "tcGen1Cloudsailor",
    "tcGen1Lodge",
    "tcGen1Murmus",
    "tcGen1MurmusFoil",
    "tcGen1Giant",
    "tcGen1LettersInFlight",
    "tcGen1SkyCafe",
    "tcGen1UnknownLunar",
    "tcGen1UnknownSolar",
    "tcGen1SecretSauce",
    "tcGen1GillroyFoil",
    "tcGen2DapperInPurple",
    "tcGen2DefinitelyFits",
    "tcGen2KnowsHowItWorks",
    "tcGen2Casual",
    "tcGen2Arcwild",
    "tcGen2Mysthull",
    "tcGen2Lelatoll",
    "tcGen2Skyhook",
    "tcGen2Goldspire",
    "tcGen2DukePepperbottom",
    "tcGen2StudioFoil",
];
export const COMPONENT_ITEM_SLUGS = [
    "randomScrap",
    "mermaidScale",
    "timerootBark",
    "spritzBottle",
    "livingIcicle",
    "stardustBag",
    "flaskSmall",
    "harvestedAstralDaisy",
    "harvestedVoidIvy",
    "harvestedCrystalOrchid",
    "harvestedBloodLily",
    "harvestedRainbowLotus",
    "harvestedDragonleaf",
    "harvestedAcidBlossom",
    "harvestedLightningLotus",
];
export const RECIPE_ITEM_SLUGS = [
    "recipeLiquidWanderingIce",
    "recipeSolidLiquidWanderingIce",
    "recipeLightningInABottle",
    "recipeSoulWater",
    "recipeSilkwaterMist",
    "recipeQuantumSeed",
    "recipeFourthDimensionalPlantFood",
    "recipeBlankPlaceholder",
];
export const CONCOCTION_RESULT_ITEM_SLUGS = [
    "liquidWanderingIce",
    "soulWater",
    "silkwaterMist",
    "lightningInABottle",
];
export const CONTAINER_ITEM_SLUGS = [
    "crystalGeode",
    "treasureChest",
    "leafPile",
    "fallenStar",
    "frozenTreasureChest",
    "heartShapedBox",
    "shippingCrate",
    "giantsGift",
    "seedPouch",
    "tcBoosterPackGen1Common",
    "tcBoosterPackGen1Uncommon",
    "tcBoosterPackGen1Part2",
    "tcBoosterPackGen1Full",
    "tcBoosterPackGen2Drop1",
];
export const COSMETIC_ITEM_SLUGS = [
    "cosmicPinwheel",
    "discardedJacket",
    "trident",
    "goldLeaf",
    "doubloon",
];
export const FLOWER_ITEM_SLUGS = [
    "harvestedObsidianRose",
    "harvestedSmoulderingRose",
    "harvestedRitualPumpkin",
    "harvestedTrophyThistle",
];
export const FOOD_ITEM_SLUGS = [
    "astralMango",
    "spectralPapaya",
    "mysticMorel",
    "otherworldlyOnion",
    "bansheeBerry",
    "secretSauce",
];
export const REDEEMABLE_ITEM_SLUGS = [
    "cosmicSocks",
    "compositionNotebook",
];
export const RELIC_ITEM_SLUGS = [
    "shatteredSpyglassLens",
    "shatteredSpyglassBody",
    "shatteredSpyglassEyepiece",
    "restoredSpyglass",
    "netheriteVoucher",
    "fatefulLoom",
    "bullhorn",
    "fleetingFeather",
    "celestialStone",
    "stellarvibePresentSmall2023",
    "stellarvibePresentMedium2023",
    "stellarvibePresentSmallGlowing2023",
    "stellarvibePresentMediumGlowing2023",
    "stellarvibePresent2024",
    "stellarvibePresentGlowing2024",
    "stellarvibePresent2024Max",
    "stellarvibePresent2024GlowingMax",
    "stellarvibePresentSmall",
    "stellarvibePresentSmallGlowing",
    "stellarvibePresentMedium",
    "stellarvibePresentMediumGlowing",
    "stellarvibePresentLarge",
    "stellarvibePresentLargeGlowing",
    "joyfultilizer",
    "maxJoyfultilizer",
    "joyrootSeed",
    "recipeJoyfultilizer",
    "recipeMaxJoyfultilizer",
];
export const SCROLL_ITEM_SLUGS = [
    "scrollOfCultivation",
    "scrollOfGreaterCultivation",
];
export const SEED_ITEM_SLUGS = [
    "quantumSeed",
    "mundaneSeed",
    "voidIvySeed",
    "crystalOrchidSeed",
    "bloodLilySeed",
    "obsidianRoseSeed",
    "rainbowLotusSeed",
    "dragonleafSeed",
    "smoulderingRoseSeed",
    "wanderingIceSeed",
    "stardustBlossomSeed",
    "celestialBulbSeed",
    "celestialBoonflowerSeed",
    "astralMangoTreeSeed",
    "spectralPapayaTreeSeed",
    "ritualPumpkinSeed",
    "trophyThistleSeed",
    "acidBlossomSeed",
];
export const ITEM_SLUGS = [
    ...BOTANY_ITEM_SLUGS,
    ...CARD_ITEM_SLUGS,
    ...COMPONENT_ITEM_SLUGS,
    ...RECIPE_ITEM_SLUGS,
    ...CONCOCTION_RESULT_ITEM_SLUGS,
    ...CONTAINER_ITEM_SLUGS,
    ...COSMETIC_ITEM_SLUGS,
    ...FLOWER_ITEM_SLUGS,
    ...FOOD_ITEM_SLUGS,
    ...REDEEMABLE_ITEM_SLUGS,
    ...RELIC_ITEM_SLUGS,
    ...SCROLL_ITEM_SLUGS,
    ...SEED_ITEM_SLUGS,
];
export function parseItemSlug(check) {
    if (!ITEM_SLUGS.includes(check)) {
        throw new Error(`Invalid ItemSlug: ${check}`);
    }
    return check;
}
export function isItemSlug(check) {
    return ITEM_SLUGS.includes(check);
}
