import { z } from "zod";
import { CONCOCTION_SLUGS } from "../chemistry";
import { ITEM_SLUGS } from "./internal";
export const ITEM_CATEGORIES = [
    "redeemable",
    "cosmetic",
    "container",
    "seed",
    "flower",
    "consumable",
    "card",
    "food",
    "relic",
    "scroll",
    "concoction",
    "recipe",
    "component",
];
export const ItemCategorySchema = z.enum(ITEM_CATEGORIES);
export const ITEM_RARITIES = ["common", "uncommon", "rare", "relic"];
export const ItemRaritySchema = z.enum(ITEM_RARITIES);
export const ItemSchema = z.object({
    itemId: z.number(),
    camperId: z.number(),
    slug: z.enum(ITEM_SLUGS),
    name: z.string(),
    description: z.string(),
    flavorText: z.string(),
    icon: z.string(),
    value: z.number(),
    category: z.enum(ITEM_CATEGORIES),
    categoryTitle: z.string(),
    preserveAfterUsing: z.boolean(),
    canBeUsed: z.boolean(),
    canUseInBotany: z.boolean(),
    rarity: z.enum(["common", "uncommon", "rare", "relic"]),
    relatedConcoction: z.enum(CONCOCTION_SLUGS).optional(),
});
export const ItemUseResultSchema = z.union([
    z.string(),
    z.object({ error: z.string() }),
]);
