import { z } from "zod";
import { type ItemSlug } from "./items";
/**************
 * SHOP STOCK *
 **************/
export declare const STOCK_ITEMS_STATIC: ItemSlug[];
export declare const STOCK_ITEMS_COMMON_POOL: ItemSlug[];
export declare const STOCK_ITEMS_RARE_POOL: ItemSlug[];
export declare const FULL_ITEM_POOL: ItemSlug[];
/**********
 * SHAPES *
 **********/
export declare const ShopStockEntryShcema: z.ZodObject<{
    slug: z.ZodEnum<["silkwaterJug", "silkwaterJugLarge", "cracklingRainmeter", "swirlingStormwrangler", "fourthDimensionalPlantFood", "tcGen1Beeatrice", "tcGen1Campfire", "tcGen1Chisel", "tcGen1Cloudsailor", "tcGen1Lodge", "tcGen1Murmus", "tcGen1MurmusFoil", "tcGen1Giant", "tcGen1LettersInFlight", "tcGen1SkyCafe", "tcGen1UnknownLunar", "tcGen1UnknownSolar", "tcGen1SecretSauce", "tcGen1GillroyFoil", "tcGen2DapperInPurple", "tcGen2DefinitelyFits", "tcGen2KnowsHowItWorks", "tcGen2Casual", "tcGen2Arcwild", "tcGen2Mysthull", "tcGen2Lelatoll", "tcGen2Skyhook", "tcGen2Goldspire", "tcGen2DukePepperbottom", "tcGen2StudioFoil", "randomScrap", "mermaidScale", "timerootBark", "spritzBottle", "livingIcicle", "stardustBag", "flaskSmall", "harvestedAstralDaisy", "harvestedVoidIvy", "harvestedCrystalOrchid", "harvestedBloodLily", "harvestedRainbowLotus", "harvestedDragonleaf", "harvestedAcidBlossom", "harvestedLightningLotus", "recipeLiquidWanderingIce", "recipeSolidLiquidWanderingIce", "recipeLightningInABottle", "recipeSoulWater", "recipeSilkwaterMist", "recipeQuantumSeed", "recipeFourthDimensionalPlantFood", "recipeBlankPlaceholder", "liquidWanderingIce", "soulWater", "silkwaterMist", "lightningInABottle", "crystalGeode", "treasureChest", "leafPile", "fallenStar", "frozenTreasureChest", "heartShapedBox", "shippingCrate", "giantsGift", "seedPouch", "tcBoosterPackGen1Common", "tcBoosterPackGen1Uncommon", "tcBoosterPackGen1Part2", "tcBoosterPackGen1Full", "tcBoosterPackGen2Drop1", "cosmicPinwheel", "discardedJacket", "trident", "goldLeaf", "doubloon", "harvestedObsidianRose", "harvestedSmoulderingRose", "harvestedRitualPumpkin", "harvestedTrophyThistle", "astralMango", "spectralPapaya", "mysticMorel", "otherworldlyOnion", "bansheeBerry", "secretSauce", "cosmicSocks", "compositionNotebook", "shatteredSpyglassLens", "shatteredSpyglassBody", "shatteredSpyglassEyepiece", "restoredSpyglass", "netheriteVoucher", "fatefulLoom", "bullhorn", "fleetingFeather", "celestialStone", "stellarvibePresentSmall2023", "stellarvibePresentMedium2023", "stellarvibePresentSmallGlowing2023", "stellarvibePresentMediumGlowing2023", "stellarvibePresent2024", "stellarvibePresentGlowing2024", "stellarvibePresent2024Max", "stellarvibePresent2024GlowingMax", "stellarvibePresentSmall", "stellarvibePresentSmallGlowing", "stellarvibePresentMedium", "stellarvibePresentMediumGlowing", "stellarvibePresentLarge", "stellarvibePresentLargeGlowing", "joyfultilizer", "maxJoyfultilizer", "joyrootSeed", "recipeJoyfultilizer", "recipeMaxJoyfultilizer", "scrollOfCultivation", "scrollOfGreaterCultivation", "quantumSeed", "mundaneSeed", "voidIvySeed", "crystalOrchidSeed", "bloodLilySeed", "obsidianRoseSeed", "rainbowLotusSeed", "dragonleafSeed", "smoulderingRoseSeed", "wanderingIceSeed", "stardustBlossomSeed", "celestialBulbSeed", "celestialBoonflowerSeed", "astralMangoTreeSeed", "spectralPapayaTreeSeed", "ritualPumpkinSeed", "trophyThistleSeed", "acidBlossomSeed"]>;
    valueModifier: z.ZodNumber;
    originalValue: z.ZodNumber;
    purchasePrice: z.ZodNumber;
    valueDifference: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    slug: "silkwaterJug" | "silkwaterJugLarge" | "cracklingRainmeter" | "swirlingStormwrangler" | "fourthDimensionalPlantFood" | "tcGen1Beeatrice" | "tcGen1Campfire" | "tcGen1Chisel" | "tcGen1Cloudsailor" | "tcGen1Lodge" | "tcGen1Murmus" | "tcGen1MurmusFoil" | "tcGen1Giant" | "tcGen1LettersInFlight" | "tcGen1SkyCafe" | "tcGen1UnknownLunar" | "tcGen1UnknownSolar" | "tcGen1SecretSauce" | "tcGen1GillroyFoil" | "tcGen2DapperInPurple" | "tcGen2DefinitelyFits" | "tcGen2KnowsHowItWorks" | "tcGen2Casual" | "tcGen2Arcwild" | "tcGen2Mysthull" | "tcGen2Lelatoll" | "tcGen2Skyhook" | "tcGen2Goldspire" | "tcGen2DukePepperbottom" | "tcGen2StudioFoil" | "randomScrap" | "mermaidScale" | "timerootBark" | "spritzBottle" | "livingIcicle" | "stardustBag" | "flaskSmall" | "harvestedAstralDaisy" | "harvestedVoidIvy" | "harvestedCrystalOrchid" | "harvestedBloodLily" | "harvestedRainbowLotus" | "harvestedDragonleaf" | "harvestedAcidBlossom" | "harvestedLightningLotus" | "recipeLiquidWanderingIce" | "recipeSolidLiquidWanderingIce" | "recipeLightningInABottle" | "recipeSoulWater" | "recipeSilkwaterMist" | "recipeQuantumSeed" | "recipeFourthDimensionalPlantFood" | "recipeBlankPlaceholder" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "crystalGeode" | "treasureChest" | "leafPile" | "fallenStar" | "frozenTreasureChest" | "heartShapedBox" | "shippingCrate" | "giantsGift" | "seedPouch" | "tcBoosterPackGen1Common" | "tcBoosterPackGen1Uncommon" | "tcBoosterPackGen1Part2" | "tcBoosterPackGen1Full" | "tcBoosterPackGen2Drop1" | "cosmicPinwheel" | "discardedJacket" | "trident" | "goldLeaf" | "doubloon" | "harvestedObsidianRose" | "harvestedSmoulderingRose" | "harvestedRitualPumpkin" | "harvestedTrophyThistle" | "astralMango" | "spectralPapaya" | "mysticMorel" | "otherworldlyOnion" | "bansheeBerry" | "secretSauce" | "cosmicSocks" | "compositionNotebook" | "shatteredSpyglassLens" | "shatteredSpyglassBody" | "shatteredSpyglassEyepiece" | "restoredSpyglass" | "netheriteVoucher" | "fatefulLoom" | "bullhorn" | "fleetingFeather" | "celestialStone" | "stellarvibePresentSmall2023" | "stellarvibePresentMedium2023" | "stellarvibePresentSmallGlowing2023" | "stellarvibePresentMediumGlowing2023" | "stellarvibePresent2024" | "stellarvibePresentGlowing2024" | "stellarvibePresent2024Max" | "stellarvibePresent2024GlowingMax" | "stellarvibePresentSmall" | "stellarvibePresentSmallGlowing" | "stellarvibePresentMedium" | "stellarvibePresentMediumGlowing" | "stellarvibePresentLarge" | "stellarvibePresentLargeGlowing" | "joyfultilizer" | "maxJoyfultilizer" | "joyrootSeed" | "recipeJoyfultilizer" | "recipeMaxJoyfultilizer" | "scrollOfCultivation" | "scrollOfGreaterCultivation" | "quantumSeed" | "mundaneSeed" | "voidIvySeed" | "crystalOrchidSeed" | "bloodLilySeed" | "obsidianRoseSeed" | "rainbowLotusSeed" | "dragonleafSeed" | "smoulderingRoseSeed" | "wanderingIceSeed" | "stardustBlossomSeed" | "celestialBulbSeed" | "celestialBoonflowerSeed" | "astralMangoTreeSeed" | "spectralPapayaTreeSeed" | "ritualPumpkinSeed" | "trophyThistleSeed" | "acidBlossomSeed";
    valueModifier: number;
    originalValue: number;
    purchasePrice: number;
    valueDifference: number;
}, {
    slug: "silkwaterJug" | "silkwaterJugLarge" | "cracklingRainmeter" | "swirlingStormwrangler" | "fourthDimensionalPlantFood" | "tcGen1Beeatrice" | "tcGen1Campfire" | "tcGen1Chisel" | "tcGen1Cloudsailor" | "tcGen1Lodge" | "tcGen1Murmus" | "tcGen1MurmusFoil" | "tcGen1Giant" | "tcGen1LettersInFlight" | "tcGen1SkyCafe" | "tcGen1UnknownLunar" | "tcGen1UnknownSolar" | "tcGen1SecretSauce" | "tcGen1GillroyFoil" | "tcGen2DapperInPurple" | "tcGen2DefinitelyFits" | "tcGen2KnowsHowItWorks" | "tcGen2Casual" | "tcGen2Arcwild" | "tcGen2Mysthull" | "tcGen2Lelatoll" | "tcGen2Skyhook" | "tcGen2Goldspire" | "tcGen2DukePepperbottom" | "tcGen2StudioFoil" | "randomScrap" | "mermaidScale" | "timerootBark" | "spritzBottle" | "livingIcicle" | "stardustBag" | "flaskSmall" | "harvestedAstralDaisy" | "harvestedVoidIvy" | "harvestedCrystalOrchid" | "harvestedBloodLily" | "harvestedRainbowLotus" | "harvestedDragonleaf" | "harvestedAcidBlossom" | "harvestedLightningLotus" | "recipeLiquidWanderingIce" | "recipeSolidLiquidWanderingIce" | "recipeLightningInABottle" | "recipeSoulWater" | "recipeSilkwaterMist" | "recipeQuantumSeed" | "recipeFourthDimensionalPlantFood" | "recipeBlankPlaceholder" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "crystalGeode" | "treasureChest" | "leafPile" | "fallenStar" | "frozenTreasureChest" | "heartShapedBox" | "shippingCrate" | "giantsGift" | "seedPouch" | "tcBoosterPackGen1Common" | "tcBoosterPackGen1Uncommon" | "tcBoosterPackGen1Part2" | "tcBoosterPackGen1Full" | "tcBoosterPackGen2Drop1" | "cosmicPinwheel" | "discardedJacket" | "trident" | "goldLeaf" | "doubloon" | "harvestedObsidianRose" | "harvestedSmoulderingRose" | "harvestedRitualPumpkin" | "harvestedTrophyThistle" | "astralMango" | "spectralPapaya" | "mysticMorel" | "otherworldlyOnion" | "bansheeBerry" | "secretSauce" | "cosmicSocks" | "compositionNotebook" | "shatteredSpyglassLens" | "shatteredSpyglassBody" | "shatteredSpyglassEyepiece" | "restoredSpyglass" | "netheriteVoucher" | "fatefulLoom" | "bullhorn" | "fleetingFeather" | "celestialStone" | "stellarvibePresentSmall2023" | "stellarvibePresentMedium2023" | "stellarvibePresentSmallGlowing2023" | "stellarvibePresentMediumGlowing2023" | "stellarvibePresent2024" | "stellarvibePresentGlowing2024" | "stellarvibePresent2024Max" | "stellarvibePresent2024GlowingMax" | "stellarvibePresentSmall" | "stellarvibePresentSmallGlowing" | "stellarvibePresentMedium" | "stellarvibePresentMediumGlowing" | "stellarvibePresentLarge" | "stellarvibePresentLargeGlowing" | "joyfultilizer" | "maxJoyfultilizer" | "joyrootSeed" | "recipeJoyfultilizer" | "recipeMaxJoyfultilizer" | "scrollOfCultivation" | "scrollOfGreaterCultivation" | "quantumSeed" | "mundaneSeed" | "voidIvySeed" | "crystalOrchidSeed" | "bloodLilySeed" | "obsidianRoseSeed" | "rainbowLotusSeed" | "dragonleafSeed" | "smoulderingRoseSeed" | "wanderingIceSeed" | "stardustBlossomSeed" | "celestialBulbSeed" | "celestialBoonflowerSeed" | "astralMangoTreeSeed" | "spectralPapayaTreeSeed" | "ritualPumpkinSeed" | "trophyThistleSeed" | "acidBlossomSeed";
    valueModifier: number;
    originalValue: number;
    purchasePrice: number;
    valueDifference: number;
}>;
export type ShopStockEntry = z.infer<typeof ShopStockEntryShcema>;
/**
 * A single stocked item in the shop alongside its price modifier
 */
export interface ShopStockChip {
    slug: ItemSlug;
    modifier: number;
}
export type ShopStockChipList = ShopStockChip[];
