import { z } from "zod";
import { CamperChipSchema } from "./core";
export const MAX_MAIL_LENGTH = 1000;
export const MailSchema = z.object({
    id: z.number(),
    to: CamperChipSchema,
    from: CamperChipSchema,
    content: z.string().max(MAX_MAIL_LENGTH),
    read: z.boolean(),
    createdAt: z.number(),
});
/***********
 * ACTIONS *
 ***********/
export const MailRelayActions = {
    "mail@send": {
        input: z.object({
            recipientId: z.number(),
            content: z.string(),
        }),
        output: MailSchema,
    },
    "mail@read": {
        input: z.object({
            mailIds: z.number().array(),
        }),
        output: z.literal(true),
    },
    "mail@all-read": {
        input: z.object({}),
        output: z.literal(true),
    },
    "mail@delete": {
        input: z.object({
            mailIds: z.number().array(),
        }),
        output: z.literal(true),
    },
};
