import { z } from "zod";
import { CamperChipSchema } from "./core";
/*********************
 * RELAY NOTE SHAPES *
 *********************/
const NOTE_VISIBILITY_OPTIONS = ["public", "private"];
const NOTE_CATEGORY_OPTIONS = [
    "game",
    "game:botany",
    "game:chemistry",
    "game:economy",
    "game:badge",
    "game:item",
    "game:portent",
    "social",
    "social:mastodon",
    "social:prose",
    "social:twitch",
    "social:discord",
    "camp",
    "camp:mail",
    "camp:vibe-check",
    "camp:shortlink",
    "camp:camper",
];
export const NoteVisibilitySchema = z.enum(NOTE_VISIBILITY_OPTIONS);
export const NoteCategorySchema = z.enum(NOTE_CATEGORY_OPTIONS);
/**
 * A note associated with a camper
 */
export const NoteSchema = z.object({
    noteId: z.number(),
    camper: CamperChipSchema,
    content: z.string(),
    category: NoteCategorySchema,
    visibility: NoteVisibilitySchema,
    createdAt: z.string(),
});
