import { z } from "zod";
import { CamperChipSchema } from "./core";
export const ProseIdentitySchema = z.object({
    proseIdentityId: z.number(),
    camper: CamperChipSchema.nullable(),
    alias: z.string(),
});
export const ProseBlogPostSchema = z.object({
    id: z.number(),
    proseIdentityId: z.number(),
    author: ProseIdentitySchema,
    prosePostId: z.string(),
    createdAt: z.string(),
    title: z.string(),
    content: z.string(),
    tags: z.string().array(),
    slug: z.string().nullable(),
});
