import { z } from "zod";
export declare const RelayActions: {
    readonly "vibe-check@create": {
        input: z.ZodObject<{
            content: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            content: string;
        }, {
            content: string;
        }>;
        output: z.ZodObject<{
            id: z.ZodNumber;
            camperId: z.ZodNumber;
            timestamp: z.ZodString;
            content: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id: number;
            content: string;
            camperId: number;
            timestamp: string;
        }, {
            id: number;
            content: string;
            camperId: number;
            timestamp: string;
        }>;
    };
    readonly "twitch@chat": {
        readonly input: z.ZodObject<{
            channelTwitchId: z.ZodString;
            content: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            content: string;
            channelTwitchId: string;
        }, {
            content: string;
            channelTwitchId: string;
        }>;
        readonly output: z.ZodBoolean;
    };
    readonly "twitch@delete-chat-record": {
        readonly input: z.ZodObject<{
            messageTwitchId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            messageTwitchId: string;
        }, {
            messageTwitchId: string;
        }>;
        readonly output: z.ZodBoolean;
    };
    readonly "twitch@shoutout": {
        readonly input: z.ZodString;
        readonly output: z.ZodBoolean;
    };
    readonly "twitch@clear-chat": {
        readonly input: z.ZodUndefined;
        readonly output: z.ZodBoolean;
    };
    readonly "shortlinks@create": {
        readonly input: z.ZodObject<{
            href: z.ZodString;
            alias: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            href: string;
            alias: string;
        }, {
            href: string;
            alias: string;
        }>;
        readonly output: z.ZodObject<{
            camper: z.ZodObject<{
                id: z.ZodNumber;
                name: z.ZodBranded<z.ZodString, "CamperDisplayName">;
                handle: z.ZodBranded<z.ZodString, "CamperHandle">;
                color: z.ZodNullable<z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">>;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarUrl: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            }>;
            href: z.ZodString;
            alias: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            };
            href: string;
            alias: string;
        }, {
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            };
            href: string;
            alias: string;
        }>;
    };
    readonly "shortlinks@delete": {
        readonly input: z.ZodObject<{
            alias: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            alias: string;
        }, {
            alias: string;
        }>;
        readonly output: z.ZodBoolean;
    };
    readonly "mastodon@attach-identity": {
        readonly input: z.ZodObject<{
            token: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            token: string;
        }, {
            token: string;
        }>;
        readonly output: z.ZodString;
    };
    readonly "mastodon@detach-identity": {
        readonly input: z.ZodVoid;
        readonly output: z.ZodBoolean;
    };
    readonly "mastodon@status": {
        readonly input: z.ZodObject<{
            status: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            status: string;
        }, {
            status: string;
        }>;
        readonly output: z.ZodString;
    };
    readonly "mail@send": {
        readonly input: z.ZodObject<{
            recipientId: z.ZodNumber;
            content: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            content: string;
            recipientId: number;
        }, {
            content: string;
            recipientId: number;
        }>;
        readonly output: z.ZodObject<{
            id: z.ZodNumber;
            to: z.ZodObject<{
                id: z.ZodNumber;
                name: z.ZodBranded<z.ZodString, "CamperDisplayName">;
                handle: z.ZodBranded<z.ZodString, "CamperHandle">;
                color: z.ZodNullable<z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">>;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarUrl: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            }>;
            from: z.ZodObject<{
                id: z.ZodNumber;
                name: z.ZodBranded<z.ZodString, "CamperDisplayName">;
                handle: z.ZodBranded<z.ZodString, "CamperHandle">;
                color: z.ZodNullable<z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">>;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarUrl: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            }>;
            content: z.ZodString;
            read: z.ZodBoolean;
            createdAt: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            id: number;
            createdAt: number;
            content: string;
            to: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            };
            from: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            };
            read: boolean;
        }, {
            id: number;
            createdAt: number;
            content: string;
            to: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            };
            from: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            };
            read: boolean;
        }>;
    };
    readonly "mail@read": {
        readonly input: z.ZodObject<{
            mailIds: z.ZodArray<z.ZodNumber, "many">;
        }, "strip", z.ZodTypeAny, {
            mailIds: number[];
        }, {
            mailIds: number[];
        }>;
        readonly output: z.ZodLiteral<true>;
    };
    readonly "mail@all-read": {
        readonly input: z.ZodObject<{}, "strip", z.ZodTypeAny, {}, {}>;
        readonly output: z.ZodLiteral<true>;
    };
    readonly "mail@delete": {
        readonly input: z.ZodObject<{
            mailIds: z.ZodArray<z.ZodNumber, "many">;
        }, "strip", z.ZodTypeAny, {
            mailIds: number[];
        }, {
            mailIds: number[];
        }>;
        readonly output: z.ZodLiteral<true>;
    };
    readonly "shop@sell-item": {
        readonly input: z.ZodObject<{
            itemId: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            itemId: number;
        }, {
            itemId: number;
        }>;
        readonly output: z.ZodNumber;
    };
    readonly "shop@bulk-sell-item": {
        readonly input: z.ZodObject<{
            itemSlug: z.ZodEnum<["silkwaterJug", "silkwaterJugLarge", "cracklingRainmeter", "swirlingStormwrangler", "fourthDimensionalPlantFood", "tcGen1Beeatrice", "tcGen1Campfire", "tcGen1Chisel", "tcGen1Cloudsailor", "tcGen1Lodge", "tcGen1Murmus", "tcGen1MurmusFoil", "tcGen1Giant", "tcGen1LettersInFlight", "tcGen1SkyCafe", "tcGen1UnknownLunar", "tcGen1UnknownSolar", "tcGen1SecretSauce", "tcGen1GillroyFoil", "tcGen2DapperInPurple", "tcGen2DefinitelyFits", "tcGen2KnowsHowItWorks", "tcGen2Casual", "tcGen2Arcwild", "tcGen2Mysthull", "tcGen2Lelatoll", "tcGen2Skyhook", "tcGen2Goldspire", "tcGen2DukePepperbottom", "tcGen2StudioFoil", "randomScrap", "mermaidScale", "timerootBark", "spritzBottle", "livingIcicle", "stardustBag", "flaskSmall", "harvestedAstralDaisy", "harvestedVoidIvy", "harvestedCrystalOrchid", "harvestedBloodLily", "harvestedRainbowLotus", "harvestedDragonleaf", "harvestedAcidBlossom", "harvestedLightningLotus", "recipeLiquidWanderingIce", "recipeSolidLiquidWanderingIce", "recipeLightningInABottle", "recipeSoulWater", "recipeSilkwaterMist", "recipeQuantumSeed", "recipeFourthDimensionalPlantFood", "recipeBlankPlaceholder", "liquidWanderingIce", "soulWater", "silkwaterMist", "lightningInABottle", "crystalGeode", "treasureChest", "leafPile", "fallenStar", "frozenTreasureChest", "heartShapedBox", "shippingCrate", "giantsGift", "seedPouch", "tcBoosterPackGen1Common", "tcBoosterPackGen1Uncommon", "tcBoosterPackGen1Part2", "tcBoosterPackGen1Full", "tcBoosterPackGen2Drop1", "cosmicPinwheel", "discardedJacket", "trident", "goldLeaf", "doubloon", "harvestedObsidianRose", "harvestedSmoulderingRose", "harvestedRitualPumpkin", "harvestedTrophyThistle", "astralMango", "spectralPapaya", "mysticMorel", "otherworldlyOnion", "bansheeBerry", "secretSauce", "cosmicSocks", "compositionNotebook", "shatteredSpyglassLens", "shatteredSpyglassBody", "shatteredSpyglassEyepiece", "restoredSpyglass", "netheriteVoucher", "fatefulLoom", "bullhorn", "fleetingFeather", "celestialStone", "stellarvibePresentSmall2023", "stellarvibePresentMedium2023", "stellarvibePresentSmallGlowing2023", "stellarvibePresentMediumGlowing2023", "stellarvibePresent2024", "stellarvibePresentGlowing2024", "stellarvibePresent2024Max", "stellarvibePresent2024GlowingMax", "stellarvibePresentSmall", "stellarvibePresentSmallGlowing", "stellarvibePresentMedium", "stellarvibePresentMediumGlowing", "stellarvibePresentLarge", "stellarvibePresentLargeGlowing", "joyfultilizer", "maxJoyfultilizer", "joyrootSeed", "recipeJoyfultilizer", "recipeMaxJoyfultilizer", "scrollOfCultivation", "scrollOfGreaterCultivation", "quantumSeed", "mundaneSeed", "voidIvySeed", "crystalOrchidSeed", "bloodLilySeed", "obsidianRoseSeed", "rainbowLotusSeed", "dragonleafSeed", "smoulderingRoseSeed", "wanderingIceSeed", "stardustBlossomSeed", "celestialBulbSeed", "celestialBoonflowerSeed", "astralMangoTreeSeed", "spectralPapayaTreeSeed", "ritualPumpkinSeed", "trophyThistleSeed", "acidBlossomSeed"]>;
            count: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            count: number;
            itemSlug: "silkwaterJug" | "silkwaterJugLarge" | "cracklingRainmeter" | "swirlingStormwrangler" | "fourthDimensionalPlantFood" | "tcGen1Beeatrice" | "tcGen1Campfire" | "tcGen1Chisel" | "tcGen1Cloudsailor" | "tcGen1Lodge" | "tcGen1Murmus" | "tcGen1MurmusFoil" | "tcGen1Giant" | "tcGen1LettersInFlight" | "tcGen1SkyCafe" | "tcGen1UnknownLunar" | "tcGen1UnknownSolar" | "tcGen1SecretSauce" | "tcGen1GillroyFoil" | "tcGen2DapperInPurple" | "tcGen2DefinitelyFits" | "tcGen2KnowsHowItWorks" | "tcGen2Casual" | "tcGen2Arcwild" | "tcGen2Mysthull" | "tcGen2Lelatoll" | "tcGen2Skyhook" | "tcGen2Goldspire" | "tcGen2DukePepperbottom" | "tcGen2StudioFoil" | "randomScrap" | "mermaidScale" | "timerootBark" | "spritzBottle" | "livingIcicle" | "stardustBag" | "flaskSmall" | "harvestedAstralDaisy" | "harvestedVoidIvy" | "harvestedCrystalOrchid" | "harvestedBloodLily" | "harvestedRainbowLotus" | "harvestedDragonleaf" | "harvestedAcidBlossom" | "harvestedLightningLotus" | "recipeLiquidWanderingIce" | "recipeSolidLiquidWanderingIce" | "recipeLightningInABottle" | "recipeSoulWater" | "recipeSilkwaterMist" | "recipeQuantumSeed" | "recipeFourthDimensionalPlantFood" | "recipeBlankPlaceholder" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "crystalGeode" | "treasureChest" | "leafPile" | "fallenStar" | "frozenTreasureChest" | "heartShapedBox" | "shippingCrate" | "giantsGift" | "seedPouch" | "tcBoosterPackGen1Common" | "tcBoosterPackGen1Uncommon" | "tcBoosterPackGen1Part2" | "tcBoosterPackGen1Full" | "tcBoosterPackGen2Drop1" | "cosmicPinwheel" | "discardedJacket" | "trident" | "goldLeaf" | "doubloon" | "harvestedObsidianRose" | "harvestedSmoulderingRose" | "harvestedRitualPumpkin" | "harvestedTrophyThistle" | "astralMango" | "spectralPapaya" | "mysticMorel" | "otherworldlyOnion" | "bansheeBerry" | "secretSauce" | "cosmicSocks" | "compositionNotebook" | "shatteredSpyglassLens" | "shatteredSpyglassBody" | "shatteredSpyglassEyepiece" | "restoredSpyglass" | "netheriteVoucher" | "fatefulLoom" | "bullhorn" | "fleetingFeather" | "celestialStone" | "stellarvibePresentSmall2023" | "stellarvibePresentMedium2023" | "stellarvibePresentSmallGlowing2023" | "stellarvibePresentMediumGlowing2023" | "stellarvibePresent2024" | "stellarvibePresentGlowing2024" | "stellarvibePresent2024Max" | "stellarvibePresent2024GlowingMax" | "stellarvibePresentSmall" | "stellarvibePresentSmallGlowing" | "stellarvibePresentMedium" | "stellarvibePresentMediumGlowing" | "stellarvibePresentLarge" | "stellarvibePresentLargeGlowing" | "joyfultilizer" | "maxJoyfultilizer" | "joyrootSeed" | "recipeJoyfultilizer" | "recipeMaxJoyfultilizer" | "scrollOfCultivation" | "scrollOfGreaterCultivation" | "quantumSeed" | "mundaneSeed" | "voidIvySeed" | "crystalOrchidSeed" | "bloodLilySeed" | "obsidianRoseSeed" | "rainbowLotusSeed" | "dragonleafSeed" | "smoulderingRoseSeed" | "wanderingIceSeed" | "stardustBlossomSeed" | "celestialBulbSeed" | "celestialBoonflowerSeed" | "astralMangoTreeSeed" | "spectralPapayaTreeSeed" | "ritualPumpkinSeed" | "trophyThistleSeed" | "acidBlossomSeed";
        }, {
            count: number;
            itemSlug: "silkwaterJug" | "silkwaterJugLarge" | "cracklingRainmeter" | "swirlingStormwrangler" | "fourthDimensionalPlantFood" | "tcGen1Beeatrice" | "tcGen1Campfire" | "tcGen1Chisel" | "tcGen1Cloudsailor" | "tcGen1Lodge" | "tcGen1Murmus" | "tcGen1MurmusFoil" | "tcGen1Giant" | "tcGen1LettersInFlight" | "tcGen1SkyCafe" | "tcGen1UnknownLunar" | "tcGen1UnknownSolar" | "tcGen1SecretSauce" | "tcGen1GillroyFoil" | "tcGen2DapperInPurple" | "tcGen2DefinitelyFits" | "tcGen2KnowsHowItWorks" | "tcGen2Casual" | "tcGen2Arcwild" | "tcGen2Mysthull" | "tcGen2Lelatoll" | "tcGen2Skyhook" | "tcGen2Goldspire" | "tcGen2DukePepperbottom" | "tcGen2StudioFoil" | "randomScrap" | "mermaidScale" | "timerootBark" | "spritzBottle" | "livingIcicle" | "stardustBag" | "flaskSmall" | "harvestedAstralDaisy" | "harvestedVoidIvy" | "harvestedCrystalOrchid" | "harvestedBloodLily" | "harvestedRainbowLotus" | "harvestedDragonleaf" | "harvestedAcidBlossom" | "harvestedLightningLotus" | "recipeLiquidWanderingIce" | "recipeSolidLiquidWanderingIce" | "recipeLightningInABottle" | "recipeSoulWater" | "recipeSilkwaterMist" | "recipeQuantumSeed" | "recipeFourthDimensionalPlantFood" | "recipeBlankPlaceholder" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "crystalGeode" | "treasureChest" | "leafPile" | "fallenStar" | "frozenTreasureChest" | "heartShapedBox" | "shippingCrate" | "giantsGift" | "seedPouch" | "tcBoosterPackGen1Common" | "tcBoosterPackGen1Uncommon" | "tcBoosterPackGen1Part2" | "tcBoosterPackGen1Full" | "tcBoosterPackGen2Drop1" | "cosmicPinwheel" | "discardedJacket" | "trident" | "goldLeaf" | "doubloon" | "harvestedObsidianRose" | "harvestedSmoulderingRose" | "harvestedRitualPumpkin" | "harvestedTrophyThistle" | "astralMango" | "spectralPapaya" | "mysticMorel" | "otherworldlyOnion" | "bansheeBerry" | "secretSauce" | "cosmicSocks" | "compositionNotebook" | "shatteredSpyglassLens" | "shatteredSpyglassBody" | "shatteredSpyglassEyepiece" | "restoredSpyglass" | "netheriteVoucher" | "fatefulLoom" | "bullhorn" | "fleetingFeather" | "celestialStone" | "stellarvibePresentSmall2023" | "stellarvibePresentMedium2023" | "stellarvibePresentSmallGlowing2023" | "stellarvibePresentMediumGlowing2023" | "stellarvibePresent2024" | "stellarvibePresentGlowing2024" | "stellarvibePresent2024Max" | "stellarvibePresent2024GlowingMax" | "stellarvibePresentSmall" | "stellarvibePresentSmallGlowing" | "stellarvibePresentMedium" | "stellarvibePresentMediumGlowing" | "stellarvibePresentLarge" | "stellarvibePresentLargeGlowing" | "joyfultilizer" | "maxJoyfultilizer" | "joyrootSeed" | "recipeJoyfultilizer" | "recipeMaxJoyfultilizer" | "scrollOfCultivation" | "scrollOfGreaterCultivation" | "quantumSeed" | "mundaneSeed" | "voidIvySeed" | "crystalOrchidSeed" | "bloodLilySeed" | "obsidianRoseSeed" | "rainbowLotusSeed" | "dragonleafSeed" | "smoulderingRoseSeed" | "wanderingIceSeed" | "stardustBlossomSeed" | "celestialBulbSeed" | "celestialBoonflowerSeed" | "astralMangoTreeSeed" | "spectralPapayaTreeSeed" | "ritualPumpkinSeed" | "trophyThistleSeed" | "acidBlossomSeed";
        }>;
        readonly output: z.ZodNumber;
    };
    readonly "shop@purchase-item": {
        readonly input: z.ZodObject<{
            itemSlug: z.ZodEnum<["silkwaterJug", "silkwaterJugLarge", "cracklingRainmeter", "swirlingStormwrangler", "fourthDimensionalPlantFood", "tcGen1Beeatrice", "tcGen1Campfire", "tcGen1Chisel", "tcGen1Cloudsailor", "tcGen1Lodge", "tcGen1Murmus", "tcGen1MurmusFoil", "tcGen1Giant", "tcGen1LettersInFlight", "tcGen1SkyCafe", "tcGen1UnknownLunar", "tcGen1UnknownSolar", "tcGen1SecretSauce", "tcGen1GillroyFoil", "tcGen2DapperInPurple", "tcGen2DefinitelyFits", "tcGen2KnowsHowItWorks", "tcGen2Casual", "tcGen2Arcwild", "tcGen2Mysthull", "tcGen2Lelatoll", "tcGen2Skyhook", "tcGen2Goldspire", "tcGen2DukePepperbottom", "tcGen2StudioFoil", "randomScrap", "mermaidScale", "timerootBark", "spritzBottle", "livingIcicle", "stardustBag", "flaskSmall", "harvestedAstralDaisy", "harvestedVoidIvy", "harvestedCrystalOrchid", "harvestedBloodLily", "harvestedRainbowLotus", "harvestedDragonleaf", "harvestedAcidBlossom", "harvestedLightningLotus", "recipeLiquidWanderingIce", "recipeSolidLiquidWanderingIce", "recipeLightningInABottle", "recipeSoulWater", "recipeSilkwaterMist", "recipeQuantumSeed", "recipeFourthDimensionalPlantFood", "recipeBlankPlaceholder", "liquidWanderingIce", "soulWater", "silkwaterMist", "lightningInABottle", "crystalGeode", "treasureChest", "leafPile", "fallenStar", "frozenTreasureChest", "heartShapedBox", "shippingCrate", "giantsGift", "seedPouch", "tcBoosterPackGen1Common", "tcBoosterPackGen1Uncommon", "tcBoosterPackGen1Part2", "tcBoosterPackGen1Full", "tcBoosterPackGen2Drop1", "cosmicPinwheel", "discardedJacket", "trident", "goldLeaf", "doubloon", "harvestedObsidianRose", "harvestedSmoulderingRose", "harvestedRitualPumpkin", "harvestedTrophyThistle", "astralMango", "spectralPapaya", "mysticMorel", "otherworldlyOnion", "bansheeBerry", "secretSauce", "cosmicSocks", "compositionNotebook", "shatteredSpyglassLens", "shatteredSpyglassBody", "shatteredSpyglassEyepiece", "restoredSpyglass", "netheriteVoucher", "fatefulLoom", "bullhorn", "fleetingFeather", "celestialStone", "stellarvibePresentSmall2023", "stellarvibePresentMedium2023", "stellarvibePresentSmallGlowing2023", "stellarvibePresentMediumGlowing2023", "stellarvibePresent2024", "stellarvibePresentGlowing2024", "stellarvibePresent2024Max", "stellarvibePresent2024GlowingMax", "stellarvibePresentSmall", "stellarvibePresentSmallGlowing", "stellarvibePresentMedium", "stellarvibePresentMediumGlowing", "stellarvibePresentLarge", "stellarvibePresentLargeGlowing", "joyfultilizer", "maxJoyfultilizer", "joyrootSeed", "recipeJoyfultilizer", "recipeMaxJoyfultilizer", "scrollOfCultivation", "scrollOfGreaterCultivation", "quantumSeed", "mundaneSeed", "voidIvySeed", "crystalOrchidSeed", "bloodLilySeed", "obsidianRoseSeed", "rainbowLotusSeed", "dragonleafSeed", "smoulderingRoseSeed", "wanderingIceSeed", "stardustBlossomSeed", "celestialBulbSeed", "celestialBoonflowerSeed", "astralMangoTreeSeed", "spectralPapayaTreeSeed", "ritualPumpkinSeed", "trophyThistleSeed", "acidBlossomSeed"]>;
        }, "strip", z.ZodTypeAny, {
            itemSlug: "silkwaterJug" | "silkwaterJugLarge" | "cracklingRainmeter" | "swirlingStormwrangler" | "fourthDimensionalPlantFood" | "tcGen1Beeatrice" | "tcGen1Campfire" | "tcGen1Chisel" | "tcGen1Cloudsailor" | "tcGen1Lodge" | "tcGen1Murmus" | "tcGen1MurmusFoil" | "tcGen1Giant" | "tcGen1LettersInFlight" | "tcGen1SkyCafe" | "tcGen1UnknownLunar" | "tcGen1UnknownSolar" | "tcGen1SecretSauce" | "tcGen1GillroyFoil" | "tcGen2DapperInPurple" | "tcGen2DefinitelyFits" | "tcGen2KnowsHowItWorks" | "tcGen2Casual" | "tcGen2Arcwild" | "tcGen2Mysthull" | "tcGen2Lelatoll" | "tcGen2Skyhook" | "tcGen2Goldspire" | "tcGen2DukePepperbottom" | "tcGen2StudioFoil" | "randomScrap" | "mermaidScale" | "timerootBark" | "spritzBottle" | "livingIcicle" | "stardustBag" | "flaskSmall" | "harvestedAstralDaisy" | "harvestedVoidIvy" | "harvestedCrystalOrchid" | "harvestedBloodLily" | "harvestedRainbowLotus" | "harvestedDragonleaf" | "harvestedAcidBlossom" | "harvestedLightningLotus" | "recipeLiquidWanderingIce" | "recipeSolidLiquidWanderingIce" | "recipeLightningInABottle" | "recipeSoulWater" | "recipeSilkwaterMist" | "recipeQuantumSeed" | "recipeFourthDimensionalPlantFood" | "recipeBlankPlaceholder" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "crystalGeode" | "treasureChest" | "leafPile" | "fallenStar" | "frozenTreasureChest" | "heartShapedBox" | "shippingCrate" | "giantsGift" | "seedPouch" | "tcBoosterPackGen1Common" | "tcBoosterPackGen1Uncommon" | "tcBoosterPackGen1Part2" | "tcBoosterPackGen1Full" | "tcBoosterPackGen2Drop1" | "cosmicPinwheel" | "discardedJacket" | "trident" | "goldLeaf" | "doubloon" | "harvestedObsidianRose" | "harvestedSmoulderingRose" | "harvestedRitualPumpkin" | "harvestedTrophyThistle" | "astralMango" | "spectralPapaya" | "mysticMorel" | "otherworldlyOnion" | "bansheeBerry" | "secretSauce" | "cosmicSocks" | "compositionNotebook" | "shatteredSpyglassLens" | "shatteredSpyglassBody" | "shatteredSpyglassEyepiece" | "restoredSpyglass" | "netheriteVoucher" | "fatefulLoom" | "bullhorn" | "fleetingFeather" | "celestialStone" | "stellarvibePresentSmall2023" | "stellarvibePresentMedium2023" | "stellarvibePresentSmallGlowing2023" | "stellarvibePresentMediumGlowing2023" | "stellarvibePresent2024" | "stellarvibePresentGlowing2024" | "stellarvibePresent2024Max" | "stellarvibePresent2024GlowingMax" | "stellarvibePresentSmall" | "stellarvibePresentSmallGlowing" | "stellarvibePresentMedium" | "stellarvibePresentMediumGlowing" | "stellarvibePresentLarge" | "stellarvibePresentLargeGlowing" | "joyfultilizer" | "maxJoyfultilizer" | "joyrootSeed" | "recipeJoyfultilizer" | "recipeMaxJoyfultilizer" | "scrollOfCultivation" | "scrollOfGreaterCultivation" | "quantumSeed" | "mundaneSeed" | "voidIvySeed" | "crystalOrchidSeed" | "bloodLilySeed" | "obsidianRoseSeed" | "rainbowLotusSeed" | "dragonleafSeed" | "smoulderingRoseSeed" | "wanderingIceSeed" | "stardustBlossomSeed" | "celestialBulbSeed" | "celestialBoonflowerSeed" | "astralMangoTreeSeed" | "spectralPapayaTreeSeed" | "ritualPumpkinSeed" | "trophyThistleSeed" | "acidBlossomSeed";
        }, {
            itemSlug: "silkwaterJug" | "silkwaterJugLarge" | "cracklingRainmeter" | "swirlingStormwrangler" | "fourthDimensionalPlantFood" | "tcGen1Beeatrice" | "tcGen1Campfire" | "tcGen1Chisel" | "tcGen1Cloudsailor" | "tcGen1Lodge" | "tcGen1Murmus" | "tcGen1MurmusFoil" | "tcGen1Giant" | "tcGen1LettersInFlight" | "tcGen1SkyCafe" | "tcGen1UnknownLunar" | "tcGen1UnknownSolar" | "tcGen1SecretSauce" | "tcGen1GillroyFoil" | "tcGen2DapperInPurple" | "tcGen2DefinitelyFits" | "tcGen2KnowsHowItWorks" | "tcGen2Casual" | "tcGen2Arcwild" | "tcGen2Mysthull" | "tcGen2Lelatoll" | "tcGen2Skyhook" | "tcGen2Goldspire" | "tcGen2DukePepperbottom" | "tcGen2StudioFoil" | "randomScrap" | "mermaidScale" | "timerootBark" | "spritzBottle" | "livingIcicle" | "stardustBag" | "flaskSmall" | "harvestedAstralDaisy" | "harvestedVoidIvy" | "harvestedCrystalOrchid" | "harvestedBloodLily" | "harvestedRainbowLotus" | "harvestedDragonleaf" | "harvestedAcidBlossom" | "harvestedLightningLotus" | "recipeLiquidWanderingIce" | "recipeSolidLiquidWanderingIce" | "recipeLightningInABottle" | "recipeSoulWater" | "recipeSilkwaterMist" | "recipeQuantumSeed" | "recipeFourthDimensionalPlantFood" | "recipeBlankPlaceholder" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "crystalGeode" | "treasureChest" | "leafPile" | "fallenStar" | "frozenTreasureChest" | "heartShapedBox" | "shippingCrate" | "giantsGift" | "seedPouch" | "tcBoosterPackGen1Common" | "tcBoosterPackGen1Uncommon" | "tcBoosterPackGen1Part2" | "tcBoosterPackGen1Full" | "tcBoosterPackGen2Drop1" | "cosmicPinwheel" | "discardedJacket" | "trident" | "goldLeaf" | "doubloon" | "harvestedObsidianRose" | "harvestedSmoulderingRose" | "harvestedRitualPumpkin" | "harvestedTrophyThistle" | "astralMango" | "spectralPapaya" | "mysticMorel" | "otherworldlyOnion" | "bansheeBerry" | "secretSauce" | "cosmicSocks" | "compositionNotebook" | "shatteredSpyglassLens" | "shatteredSpyglassBody" | "shatteredSpyglassEyepiece" | "restoredSpyglass" | "netheriteVoucher" | "fatefulLoom" | "bullhorn" | "fleetingFeather" | "celestialStone" | "stellarvibePresentSmall2023" | "stellarvibePresentMedium2023" | "stellarvibePresentSmallGlowing2023" | "stellarvibePresentMediumGlowing2023" | "stellarvibePresent2024" | "stellarvibePresentGlowing2024" | "stellarvibePresent2024Max" | "stellarvibePresent2024GlowingMax" | "stellarvibePresentSmall" | "stellarvibePresentSmallGlowing" | "stellarvibePresentMedium" | "stellarvibePresentMediumGlowing" | "stellarvibePresentLarge" | "stellarvibePresentLargeGlowing" | "joyfultilizer" | "maxJoyfultilizer" | "joyrootSeed" | "recipeJoyfultilizer" | "recipeMaxJoyfultilizer" | "scrollOfCultivation" | "scrollOfGreaterCultivation" | "quantumSeed" | "mundaneSeed" | "voidIvySeed" | "crystalOrchidSeed" | "bloodLilySeed" | "obsidianRoseSeed" | "rainbowLotusSeed" | "dragonleafSeed" | "smoulderingRoseSeed" | "wanderingIceSeed" | "stardustBlossomSeed" | "celestialBulbSeed" | "celestialBoonflowerSeed" | "astralMangoTreeSeed" | "spectralPapayaTreeSeed" | "ritualPumpkinSeed" | "trophyThistleSeed" | "acidBlossomSeed";
        }>;
        readonly output: z.ZodObject<{
            itemId: z.ZodNumber;
            camperId: z.ZodNumber;
            slug: z.ZodEnum<["silkwaterJug", "silkwaterJugLarge", "cracklingRainmeter", "swirlingStormwrangler", "fourthDimensionalPlantFood", "tcGen1Beeatrice", "tcGen1Campfire", "tcGen1Chisel", "tcGen1Cloudsailor", "tcGen1Lodge", "tcGen1Murmus", "tcGen1MurmusFoil", "tcGen1Giant", "tcGen1LettersInFlight", "tcGen1SkyCafe", "tcGen1UnknownLunar", "tcGen1UnknownSolar", "tcGen1SecretSauce", "tcGen1GillroyFoil", "tcGen2DapperInPurple", "tcGen2DefinitelyFits", "tcGen2KnowsHowItWorks", "tcGen2Casual", "tcGen2Arcwild", "tcGen2Mysthull", "tcGen2Lelatoll", "tcGen2Skyhook", "tcGen2Goldspire", "tcGen2DukePepperbottom", "tcGen2StudioFoil", "randomScrap", "mermaidScale", "timerootBark", "spritzBottle", "livingIcicle", "stardustBag", "flaskSmall", "harvestedAstralDaisy", "harvestedVoidIvy", "harvestedCrystalOrchid", "harvestedBloodLily", "harvestedRainbowLotus", "harvestedDragonleaf", "harvestedAcidBlossom", "harvestedLightningLotus", "recipeLiquidWanderingIce", "recipeSolidLiquidWanderingIce", "recipeLightningInABottle", "recipeSoulWater", "recipeSilkwaterMist", "recipeQuantumSeed", "recipeFourthDimensionalPlantFood", "recipeBlankPlaceholder", "liquidWanderingIce", "soulWater", "silkwaterMist", "lightningInABottle", "crystalGeode", "treasureChest", "leafPile", "fallenStar", "frozenTreasureChest", "heartShapedBox", "shippingCrate", "giantsGift", "seedPouch", "tcBoosterPackGen1Common", "tcBoosterPackGen1Uncommon", "tcBoosterPackGen1Part2", "tcBoosterPackGen1Full", "tcBoosterPackGen2Drop1", "cosmicPinwheel", "discardedJacket", "trident", "goldLeaf", "doubloon", "harvestedObsidianRose", "harvestedSmoulderingRose", "harvestedRitualPumpkin", "harvestedTrophyThistle", "astralMango", "spectralPapaya", "mysticMorel", "otherworldlyOnion", "bansheeBerry", "secretSauce", "cosmicSocks", "compositionNotebook", "shatteredSpyglassLens", "shatteredSpyglassBody", "shatteredSpyglassEyepiece", "restoredSpyglass", "netheriteVoucher", "fatefulLoom", "bullhorn", "fleetingFeather", "celestialStone", "stellarvibePresentSmall2023", "stellarvibePresentMedium2023", "stellarvibePresentSmallGlowing2023", "stellarvibePresentMediumGlowing2023", "stellarvibePresent2024", "stellarvibePresentGlowing2024", "stellarvibePresent2024Max", "stellarvibePresent2024GlowingMax", "stellarvibePresentSmall", "stellarvibePresentSmallGlowing", "stellarvibePresentMedium", "stellarvibePresentMediumGlowing", "stellarvibePresentLarge", "stellarvibePresentLargeGlowing", "joyfultilizer", "maxJoyfultilizer", "joyrootSeed", "recipeJoyfultilizer", "recipeMaxJoyfultilizer", "scrollOfCultivation", "scrollOfGreaterCultivation", "quantumSeed", "mundaneSeed", "voidIvySeed", "crystalOrchidSeed", "bloodLilySeed", "obsidianRoseSeed", "rainbowLotusSeed", "dragonleafSeed", "smoulderingRoseSeed", "wanderingIceSeed", "stardustBlossomSeed", "celestialBulbSeed", "celestialBoonflowerSeed", "astralMangoTreeSeed", "spectralPapayaTreeSeed", "ritualPumpkinSeed", "trophyThistleSeed", "acidBlossomSeed"]>;
            name: z.ZodString;
            description: z.ZodString;
            flavorText: z.ZodString;
            icon: z.ZodString;
            value: z.ZodNumber;
            category: z.ZodEnum<["redeemable", "cosmetic", "container", "seed", "flower", "consumable", "card", "food", "relic", "scroll", "concoction", "recipe", "component"]>;
            categoryTitle: z.ZodString;
            preserveAfterUsing: z.ZodBoolean;
            canBeUsed: z.ZodBoolean;
            canUseInBotany: z.ZodBoolean;
            rarity: z.ZodEnum<["common", "uncommon", "rare", "relic"]>;
            relatedConcoction: z.ZodOptional<z.ZodEnum<["liquidWanderingIce", "solidLiquidWanderingIce", "lightningInABottle", "soulWater", "silkwaterMist", "joyfultilizer", "maxJoyfultilizer", "quantumSeed", "fourthDimensionalPlantFood"]>>;
        }, "strip", z.ZodTypeAny, {
            value: number;
            name: string;
            slug: "silkwaterJug" | "silkwaterJugLarge" | "cracklingRainmeter" | "swirlingStormwrangler" | "fourthDimensionalPlantFood" | "tcGen1Beeatrice" | "tcGen1Campfire" | "tcGen1Chisel" | "tcGen1Cloudsailor" | "tcGen1Lodge" | "tcGen1Murmus" | "tcGen1MurmusFoil" | "tcGen1Giant" | "tcGen1LettersInFlight" | "tcGen1SkyCafe" | "tcGen1UnknownLunar" | "tcGen1UnknownSolar" | "tcGen1SecretSauce" | "tcGen1GillroyFoil" | "tcGen2DapperInPurple" | "tcGen2DefinitelyFits" | "tcGen2KnowsHowItWorks" | "tcGen2Casual" | "tcGen2Arcwild" | "tcGen2Mysthull" | "tcGen2Lelatoll" | "tcGen2Skyhook" | "tcGen2Goldspire" | "tcGen2DukePepperbottom" | "tcGen2StudioFoil" | "randomScrap" | "mermaidScale" | "timerootBark" | "spritzBottle" | "livingIcicle" | "stardustBag" | "flaskSmall" | "harvestedAstralDaisy" | "harvestedVoidIvy" | "harvestedCrystalOrchid" | "harvestedBloodLily" | "harvestedRainbowLotus" | "harvestedDragonleaf" | "harvestedAcidBlossom" | "harvestedLightningLotus" | "recipeLiquidWanderingIce" | "recipeSolidLiquidWanderingIce" | "recipeLightningInABottle" | "recipeSoulWater" | "recipeSilkwaterMist" | "recipeQuantumSeed" | "recipeFourthDimensionalPlantFood" | "recipeBlankPlaceholder" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "crystalGeode" | "treasureChest" | "leafPile" | "fallenStar" | "frozenTreasureChest" | "heartShapedBox" | "shippingCrate" | "giantsGift" | "seedPouch" | "tcBoosterPackGen1Common" | "tcBoosterPackGen1Uncommon" | "tcBoosterPackGen1Part2" | "tcBoosterPackGen1Full" | "tcBoosterPackGen2Drop1" | "cosmicPinwheel" | "discardedJacket" | "trident" | "goldLeaf" | "doubloon" | "harvestedObsidianRose" | "harvestedSmoulderingRose" | "harvestedRitualPumpkin" | "harvestedTrophyThistle" | "astralMango" | "spectralPapaya" | "mysticMorel" | "otherworldlyOnion" | "bansheeBerry" | "secretSauce" | "cosmicSocks" | "compositionNotebook" | "shatteredSpyglassLens" | "shatteredSpyglassBody" | "shatteredSpyglassEyepiece" | "restoredSpyglass" | "netheriteVoucher" | "fatefulLoom" | "bullhorn" | "fleetingFeather" | "celestialStone" | "stellarvibePresentSmall2023" | "stellarvibePresentMedium2023" | "stellarvibePresentSmallGlowing2023" | "stellarvibePresentMediumGlowing2023" | "stellarvibePresent2024" | "stellarvibePresentGlowing2024" | "stellarvibePresent2024Max" | "stellarvibePresent2024GlowingMax" | "stellarvibePresentSmall" | "stellarvibePresentSmallGlowing" | "stellarvibePresentMedium" | "stellarvibePresentMediumGlowing" | "stellarvibePresentLarge" | "stellarvibePresentLargeGlowing" | "joyfultilizer" | "maxJoyfultilizer" | "joyrootSeed" | "recipeJoyfultilizer" | "recipeMaxJoyfultilizer" | "scrollOfCultivation" | "scrollOfGreaterCultivation" | "quantumSeed" | "mundaneSeed" | "voidIvySeed" | "crystalOrchidSeed" | "bloodLilySeed" | "obsidianRoseSeed" | "rainbowLotusSeed" | "dragonleafSeed" | "smoulderingRoseSeed" | "wanderingIceSeed" | "stardustBlossomSeed" | "celestialBulbSeed" | "celestialBoonflowerSeed" | "astralMangoTreeSeed" | "spectralPapayaTreeSeed" | "ritualPumpkinSeed" | "trophyThistleSeed" | "acidBlossomSeed";
            description: string;
            camperId: number;
            itemId: number;
            flavorText: string;
            icon: string;
            category: "recipe" | "redeemable" | "cosmetic" | "container" | "seed" | "flower" | "consumable" | "card" | "food" | "relic" | "scroll" | "concoction" | "component";
            categoryTitle: string;
            preserveAfterUsing: boolean;
            canBeUsed: boolean;
            canUseInBotany: boolean;
            rarity: "relic" | "common" | "uncommon" | "rare";
            relatedConcoction?: "fourthDimensionalPlantFood" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "joyfultilizer" | "maxJoyfultilizer" | "quantumSeed" | "solidLiquidWanderingIce" | undefined;
        }, {
            value: number;
            name: string;
            slug: "silkwaterJug" | "silkwaterJugLarge" | "cracklingRainmeter" | "swirlingStormwrangler" | "fourthDimensionalPlantFood" | "tcGen1Beeatrice" | "tcGen1Campfire" | "tcGen1Chisel" | "tcGen1Cloudsailor" | "tcGen1Lodge" | "tcGen1Murmus" | "tcGen1MurmusFoil" | "tcGen1Giant" | "tcGen1LettersInFlight" | "tcGen1SkyCafe" | "tcGen1UnknownLunar" | "tcGen1UnknownSolar" | "tcGen1SecretSauce" | "tcGen1GillroyFoil" | "tcGen2DapperInPurple" | "tcGen2DefinitelyFits" | "tcGen2KnowsHowItWorks" | "tcGen2Casual" | "tcGen2Arcwild" | "tcGen2Mysthull" | "tcGen2Lelatoll" | "tcGen2Skyhook" | "tcGen2Goldspire" | "tcGen2DukePepperbottom" | "tcGen2StudioFoil" | "randomScrap" | "mermaidScale" | "timerootBark" | "spritzBottle" | "livingIcicle" | "stardustBag" | "flaskSmall" | "harvestedAstralDaisy" | "harvestedVoidIvy" | "harvestedCrystalOrchid" | "harvestedBloodLily" | "harvestedRainbowLotus" | "harvestedDragonleaf" | "harvestedAcidBlossom" | "harvestedLightningLotus" | "recipeLiquidWanderingIce" | "recipeSolidLiquidWanderingIce" | "recipeLightningInABottle" | "recipeSoulWater" | "recipeSilkwaterMist" | "recipeQuantumSeed" | "recipeFourthDimensionalPlantFood" | "recipeBlankPlaceholder" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "crystalGeode" | "treasureChest" | "leafPile" | "fallenStar" | "frozenTreasureChest" | "heartShapedBox" | "shippingCrate" | "giantsGift" | "seedPouch" | "tcBoosterPackGen1Common" | "tcBoosterPackGen1Uncommon" | "tcBoosterPackGen1Part2" | "tcBoosterPackGen1Full" | "tcBoosterPackGen2Drop1" | "cosmicPinwheel" | "discardedJacket" | "trident" | "goldLeaf" | "doubloon" | "harvestedObsidianRose" | "harvestedSmoulderingRose" | "harvestedRitualPumpkin" | "harvestedTrophyThistle" | "astralMango" | "spectralPapaya" | "mysticMorel" | "otherworldlyOnion" | "bansheeBerry" | "secretSauce" | "cosmicSocks" | "compositionNotebook" | "shatteredSpyglassLens" | "shatteredSpyglassBody" | "shatteredSpyglassEyepiece" | "restoredSpyglass" | "netheriteVoucher" | "fatefulLoom" | "bullhorn" | "fleetingFeather" | "celestialStone" | "stellarvibePresentSmall2023" | "stellarvibePresentMedium2023" | "stellarvibePresentSmallGlowing2023" | "stellarvibePresentMediumGlowing2023" | "stellarvibePresent2024" | "stellarvibePresentGlowing2024" | "stellarvibePresent2024Max" | "stellarvibePresent2024GlowingMax" | "stellarvibePresentSmall" | "stellarvibePresentSmallGlowing" | "stellarvibePresentMedium" | "stellarvibePresentMediumGlowing" | "stellarvibePresentLarge" | "stellarvibePresentLargeGlowing" | "joyfultilizer" | "maxJoyfultilizer" | "joyrootSeed" | "recipeJoyfultilizer" | "recipeMaxJoyfultilizer" | "scrollOfCultivation" | "scrollOfGreaterCultivation" | "quantumSeed" | "mundaneSeed" | "voidIvySeed" | "crystalOrchidSeed" | "bloodLilySeed" | "obsidianRoseSeed" | "rainbowLotusSeed" | "dragonleafSeed" | "smoulderingRoseSeed" | "wanderingIceSeed" | "stardustBlossomSeed" | "celestialBulbSeed" | "celestialBoonflowerSeed" | "astralMangoTreeSeed" | "spectralPapayaTreeSeed" | "ritualPumpkinSeed" | "trophyThistleSeed" | "acidBlossomSeed";
            description: string;
            camperId: number;
            itemId: number;
            flavorText: string;
            icon: string;
            category: "recipe" | "redeemable" | "cosmetic" | "container" | "seed" | "flower" | "consumable" | "card" | "food" | "relic" | "scroll" | "concoction" | "component";
            categoryTitle: string;
            preserveAfterUsing: boolean;
            canBeUsed: boolean;
            canUseInBotany: boolean;
            rarity: "relic" | "common" | "uncommon" | "rare";
            relatedConcoction?: "fourthDimensionalPlantFood" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "joyfultilizer" | "maxJoyfultilizer" | "quantumSeed" | "solidLiquidWanderingIce" | undefined;
        }>;
    };
    readonly "character@transfer-conduits": {
        readonly input: z.ZodObject<{
            targetCamperId: z.ZodNumber;
            amount: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            amount: number;
            targetCamperId: number;
        }, {
            amount: number;
            targetCamperId: number;
        }>;
        readonly output: z.ZodNumber;
    };
    readonly "portent@roll": {
        readonly input: z.ZodVoid;
        readonly output: z.ZodObject<{
            id: z.ZodNumber;
            camperId: z.ZodNumber;
            date: z.ZodString;
            roll: z.ZodNumber;
            description: z.ZodString;
            itemSlug: z.ZodEnum<["silkwaterJug", "silkwaterJugLarge", "cracklingRainmeter", "swirlingStormwrangler", "fourthDimensionalPlantFood", "tcGen1Beeatrice", "tcGen1Campfire", "tcGen1Chisel", "tcGen1Cloudsailor", "tcGen1Lodge", "tcGen1Murmus", "tcGen1MurmusFoil", "tcGen1Giant", "tcGen1LettersInFlight", "tcGen1SkyCafe", "tcGen1UnknownLunar", "tcGen1UnknownSolar", "tcGen1SecretSauce", "tcGen1GillroyFoil", "tcGen2DapperInPurple", "tcGen2DefinitelyFits", "tcGen2KnowsHowItWorks", "tcGen2Casual", "tcGen2Arcwild", "tcGen2Mysthull", "tcGen2Lelatoll", "tcGen2Skyhook", "tcGen2Goldspire", "tcGen2DukePepperbottom", "tcGen2StudioFoil", "randomScrap", "mermaidScale", "timerootBark", "spritzBottle", "livingIcicle", "stardustBag", "flaskSmall", "harvestedAstralDaisy", "harvestedVoidIvy", "harvestedCrystalOrchid", "harvestedBloodLily", "harvestedRainbowLotus", "harvestedDragonleaf", "harvestedAcidBlossom", "harvestedLightningLotus", "recipeLiquidWanderingIce", "recipeSolidLiquidWanderingIce", "recipeLightningInABottle", "recipeSoulWater", "recipeSilkwaterMist", "recipeQuantumSeed", "recipeFourthDimensionalPlantFood", "recipeBlankPlaceholder", "liquidWanderingIce", "soulWater", "silkwaterMist", "lightningInABottle", "crystalGeode", "treasureChest", "leafPile", "fallenStar", "frozenTreasureChest", "heartShapedBox", "shippingCrate", "giantsGift", "seedPouch", "tcBoosterPackGen1Common", "tcBoosterPackGen1Uncommon", "tcBoosterPackGen1Part2", "tcBoosterPackGen1Full", "tcBoosterPackGen2Drop1", "cosmicPinwheel", "discardedJacket", "trident", "goldLeaf", "doubloon", "harvestedObsidianRose", "harvestedSmoulderingRose", "harvestedRitualPumpkin", "harvestedTrophyThistle", "astralMango", "spectralPapaya", "mysticMorel", "otherworldlyOnion", "bansheeBerry", "secretSauce", "cosmicSocks", "compositionNotebook", "shatteredSpyglassLens", "shatteredSpyglassBody", "shatteredSpyglassEyepiece", "restoredSpyglass", "netheriteVoucher", "fatefulLoom", "bullhorn", "fleetingFeather", "celestialStone", "stellarvibePresentSmall2023", "stellarvibePresentMedium2023", "stellarvibePresentSmallGlowing2023", "stellarvibePresentMediumGlowing2023", "stellarvibePresent2024", "stellarvibePresentGlowing2024", "stellarvibePresent2024Max", "stellarvibePresent2024GlowingMax", "stellarvibePresentSmall", "stellarvibePresentSmallGlowing", "stellarvibePresentMedium", "stellarvibePresentMediumGlowing", "stellarvibePresentLarge", "stellarvibePresentLargeGlowing", "joyfultilizer", "maxJoyfultilizer", "joyrootSeed", "recipeJoyfultilizer", "recipeMaxJoyfultilizer", "scrollOfCultivation", "scrollOfGreaterCultivation", "quantumSeed", "mundaneSeed", "voidIvySeed", "crystalOrchidSeed", "bloodLilySeed", "obsidianRoseSeed", "rainbowLotusSeed", "dragonleafSeed", "smoulderingRoseSeed", "wanderingIceSeed", "stardustBlossomSeed", "celestialBulbSeed", "celestialBoonflowerSeed", "astralMangoTreeSeed", "spectralPapayaTreeSeed", "ritualPumpkinSeed", "trophyThistleSeed", "acidBlossomSeed"]>;
        }, "strip", z.ZodTypeAny, {
            date: string;
            id: number;
            description: string;
            camperId: number;
            roll: number;
            itemSlug: "silkwaterJug" | "silkwaterJugLarge" | "cracklingRainmeter" | "swirlingStormwrangler" | "fourthDimensionalPlantFood" | "tcGen1Beeatrice" | "tcGen1Campfire" | "tcGen1Chisel" | "tcGen1Cloudsailor" | "tcGen1Lodge" | "tcGen1Murmus" | "tcGen1MurmusFoil" | "tcGen1Giant" | "tcGen1LettersInFlight" | "tcGen1SkyCafe" | "tcGen1UnknownLunar" | "tcGen1UnknownSolar" | "tcGen1SecretSauce" | "tcGen1GillroyFoil" | "tcGen2DapperInPurple" | "tcGen2DefinitelyFits" | "tcGen2KnowsHowItWorks" | "tcGen2Casual" | "tcGen2Arcwild" | "tcGen2Mysthull" | "tcGen2Lelatoll" | "tcGen2Skyhook" | "tcGen2Goldspire" | "tcGen2DukePepperbottom" | "tcGen2StudioFoil" | "randomScrap" | "mermaidScale" | "timerootBark" | "spritzBottle" | "livingIcicle" | "stardustBag" | "flaskSmall" | "harvestedAstralDaisy" | "harvestedVoidIvy" | "harvestedCrystalOrchid" | "harvestedBloodLily" | "harvestedRainbowLotus" | "harvestedDragonleaf" | "harvestedAcidBlossom" | "harvestedLightningLotus" | "recipeLiquidWanderingIce" | "recipeSolidLiquidWanderingIce" | "recipeLightningInABottle" | "recipeSoulWater" | "recipeSilkwaterMist" | "recipeQuantumSeed" | "recipeFourthDimensionalPlantFood" | "recipeBlankPlaceholder" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "crystalGeode" | "treasureChest" | "leafPile" | "fallenStar" | "frozenTreasureChest" | "heartShapedBox" | "shippingCrate" | "giantsGift" | "seedPouch" | "tcBoosterPackGen1Common" | "tcBoosterPackGen1Uncommon" | "tcBoosterPackGen1Part2" | "tcBoosterPackGen1Full" | "tcBoosterPackGen2Drop1" | "cosmicPinwheel" | "discardedJacket" | "trident" | "goldLeaf" | "doubloon" | "harvestedObsidianRose" | "harvestedSmoulderingRose" | "harvestedRitualPumpkin" | "harvestedTrophyThistle" | "astralMango" | "spectralPapaya" | "mysticMorel" | "otherworldlyOnion" | "bansheeBerry" | "secretSauce" | "cosmicSocks" | "compositionNotebook" | "shatteredSpyglassLens" | "shatteredSpyglassBody" | "shatteredSpyglassEyepiece" | "restoredSpyglass" | "netheriteVoucher" | "fatefulLoom" | "bullhorn" | "fleetingFeather" | "celestialStone" | "stellarvibePresentSmall2023" | "stellarvibePresentMedium2023" | "stellarvibePresentSmallGlowing2023" | "stellarvibePresentMediumGlowing2023" | "stellarvibePresent2024" | "stellarvibePresentGlowing2024" | "stellarvibePresent2024Max" | "stellarvibePresent2024GlowingMax" | "stellarvibePresentSmall" | "stellarvibePresentSmallGlowing" | "stellarvibePresentMedium" | "stellarvibePresentMediumGlowing" | "stellarvibePresentLarge" | "stellarvibePresentLargeGlowing" | "joyfultilizer" | "maxJoyfultilizer" | "joyrootSeed" | "recipeJoyfultilizer" | "recipeMaxJoyfultilizer" | "scrollOfCultivation" | "scrollOfGreaterCultivation" | "quantumSeed" | "mundaneSeed" | "voidIvySeed" | "crystalOrchidSeed" | "bloodLilySeed" | "obsidianRoseSeed" | "rainbowLotusSeed" | "dragonleafSeed" | "smoulderingRoseSeed" | "wanderingIceSeed" | "stardustBlossomSeed" | "celestialBulbSeed" | "celestialBoonflowerSeed" | "astralMangoTreeSeed" | "spectralPapayaTreeSeed" | "ritualPumpkinSeed" | "trophyThistleSeed" | "acidBlossomSeed";
        }, {
            date: string;
            id: number;
            description: string;
            camperId: number;
            roll: number;
            itemSlug: "silkwaterJug" | "silkwaterJugLarge" | "cracklingRainmeter" | "swirlingStormwrangler" | "fourthDimensionalPlantFood" | "tcGen1Beeatrice" | "tcGen1Campfire" | "tcGen1Chisel" | "tcGen1Cloudsailor" | "tcGen1Lodge" | "tcGen1Murmus" | "tcGen1MurmusFoil" | "tcGen1Giant" | "tcGen1LettersInFlight" | "tcGen1SkyCafe" | "tcGen1UnknownLunar" | "tcGen1UnknownSolar" | "tcGen1SecretSauce" | "tcGen1GillroyFoil" | "tcGen2DapperInPurple" | "tcGen2DefinitelyFits" | "tcGen2KnowsHowItWorks" | "tcGen2Casual" | "tcGen2Arcwild" | "tcGen2Mysthull" | "tcGen2Lelatoll" | "tcGen2Skyhook" | "tcGen2Goldspire" | "tcGen2DukePepperbottom" | "tcGen2StudioFoil" | "randomScrap" | "mermaidScale" | "timerootBark" | "spritzBottle" | "livingIcicle" | "stardustBag" | "flaskSmall" | "harvestedAstralDaisy" | "harvestedVoidIvy" | "harvestedCrystalOrchid" | "harvestedBloodLily" | "harvestedRainbowLotus" | "harvestedDragonleaf" | "harvestedAcidBlossom" | "harvestedLightningLotus" | "recipeLiquidWanderingIce" | "recipeSolidLiquidWanderingIce" | "recipeLightningInABottle" | "recipeSoulWater" | "recipeSilkwaterMist" | "recipeQuantumSeed" | "recipeFourthDimensionalPlantFood" | "recipeBlankPlaceholder" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "crystalGeode" | "treasureChest" | "leafPile" | "fallenStar" | "frozenTreasureChest" | "heartShapedBox" | "shippingCrate" | "giantsGift" | "seedPouch" | "tcBoosterPackGen1Common" | "tcBoosterPackGen1Uncommon" | "tcBoosterPackGen1Part2" | "tcBoosterPackGen1Full" | "tcBoosterPackGen2Drop1" | "cosmicPinwheel" | "discardedJacket" | "trident" | "goldLeaf" | "doubloon" | "harvestedObsidianRose" | "harvestedSmoulderingRose" | "harvestedRitualPumpkin" | "harvestedTrophyThistle" | "astralMango" | "spectralPapaya" | "mysticMorel" | "otherworldlyOnion" | "bansheeBerry" | "secretSauce" | "cosmicSocks" | "compositionNotebook" | "shatteredSpyglassLens" | "shatteredSpyglassBody" | "shatteredSpyglassEyepiece" | "restoredSpyglass" | "netheriteVoucher" | "fatefulLoom" | "bullhorn" | "fleetingFeather" | "celestialStone" | "stellarvibePresentSmall2023" | "stellarvibePresentMedium2023" | "stellarvibePresentSmallGlowing2023" | "stellarvibePresentMediumGlowing2023" | "stellarvibePresent2024" | "stellarvibePresentGlowing2024" | "stellarvibePresent2024Max" | "stellarvibePresent2024GlowingMax" | "stellarvibePresentSmall" | "stellarvibePresentSmallGlowing" | "stellarvibePresentMedium" | "stellarvibePresentMediumGlowing" | "stellarvibePresentLarge" | "stellarvibePresentLargeGlowing" | "joyfultilizer" | "maxJoyfultilizer" | "joyrootSeed" | "recipeJoyfultilizer" | "recipeMaxJoyfultilizer" | "scrollOfCultivation" | "scrollOfGreaterCultivation" | "quantumSeed" | "mundaneSeed" | "voidIvySeed" | "crystalOrchidSeed" | "bloodLilySeed" | "obsidianRoseSeed" | "rainbowLotusSeed" | "dragonleafSeed" | "smoulderingRoseSeed" | "wanderingIceSeed" | "stardustBlossomSeed" | "celestialBulbSeed" | "celestialBoonflowerSeed" | "astralMangoTreeSeed" | "spectralPapayaTreeSeed" | "ritualPumpkinSeed" | "trophyThistleSeed" | "acidBlossomSeed";
        }>;
    };
    readonly "item@use": {
        readonly input: z.ZodObject<{
            itemId: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            itemId: number;
        }, {
            itemId: number;
        }>;
        readonly output: z.ZodUnion<[z.ZodString, z.ZodObject<{
            error: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            error: string;
        }, {
            error: string;
        }>]>;
    };
    readonly "item@transfer": {
        readonly input: z.ZodObject<{
            itemId: z.ZodNumber;
            targetId: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            itemId: number;
            targetId: number;
        }, {
            itemId: number;
            targetId: number;
        }>;
        readonly output: z.ZodObject<{
            itemId: z.ZodNumber;
            camperId: z.ZodNumber;
            slug: z.ZodEnum<["silkwaterJug", "silkwaterJugLarge", "cracklingRainmeter", "swirlingStormwrangler", "fourthDimensionalPlantFood", "tcGen1Beeatrice", "tcGen1Campfire", "tcGen1Chisel", "tcGen1Cloudsailor", "tcGen1Lodge", "tcGen1Murmus", "tcGen1MurmusFoil", "tcGen1Giant", "tcGen1LettersInFlight", "tcGen1SkyCafe", "tcGen1UnknownLunar", "tcGen1UnknownSolar", "tcGen1SecretSauce", "tcGen1GillroyFoil", "tcGen2DapperInPurple", "tcGen2DefinitelyFits", "tcGen2KnowsHowItWorks", "tcGen2Casual", "tcGen2Arcwild", "tcGen2Mysthull", "tcGen2Lelatoll", "tcGen2Skyhook", "tcGen2Goldspire", "tcGen2DukePepperbottom", "tcGen2StudioFoil", "randomScrap", "mermaidScale", "timerootBark", "spritzBottle", "livingIcicle", "stardustBag", "flaskSmall", "harvestedAstralDaisy", "harvestedVoidIvy", "harvestedCrystalOrchid", "harvestedBloodLily", "harvestedRainbowLotus", "harvestedDragonleaf", "harvestedAcidBlossom", "harvestedLightningLotus", "recipeLiquidWanderingIce", "recipeSolidLiquidWanderingIce", "recipeLightningInABottle", "recipeSoulWater", "recipeSilkwaterMist", "recipeQuantumSeed", "recipeFourthDimensionalPlantFood", "recipeBlankPlaceholder", "liquidWanderingIce", "soulWater", "silkwaterMist", "lightningInABottle", "crystalGeode", "treasureChest", "leafPile", "fallenStar", "frozenTreasureChest", "heartShapedBox", "shippingCrate", "giantsGift", "seedPouch", "tcBoosterPackGen1Common", "tcBoosterPackGen1Uncommon", "tcBoosterPackGen1Part2", "tcBoosterPackGen1Full", "tcBoosterPackGen2Drop1", "cosmicPinwheel", "discardedJacket", "trident", "goldLeaf", "doubloon", "harvestedObsidianRose", "harvestedSmoulderingRose", "harvestedRitualPumpkin", "harvestedTrophyThistle", "astralMango", "spectralPapaya", "mysticMorel", "otherworldlyOnion", "bansheeBerry", "secretSauce", "cosmicSocks", "compositionNotebook", "shatteredSpyglassLens", "shatteredSpyglassBody", "shatteredSpyglassEyepiece", "restoredSpyglass", "netheriteVoucher", "fatefulLoom", "bullhorn", "fleetingFeather", "celestialStone", "stellarvibePresentSmall2023", "stellarvibePresentMedium2023", "stellarvibePresentSmallGlowing2023", "stellarvibePresentMediumGlowing2023", "stellarvibePresent2024", "stellarvibePresentGlowing2024", "stellarvibePresent2024Max", "stellarvibePresent2024GlowingMax", "stellarvibePresentSmall", "stellarvibePresentSmallGlowing", "stellarvibePresentMedium", "stellarvibePresentMediumGlowing", "stellarvibePresentLarge", "stellarvibePresentLargeGlowing", "joyfultilizer", "maxJoyfultilizer", "joyrootSeed", "recipeJoyfultilizer", "recipeMaxJoyfultilizer", "scrollOfCultivation", "scrollOfGreaterCultivation", "quantumSeed", "mundaneSeed", "voidIvySeed", "crystalOrchidSeed", "bloodLilySeed", "obsidianRoseSeed", "rainbowLotusSeed", "dragonleafSeed", "smoulderingRoseSeed", "wanderingIceSeed", "stardustBlossomSeed", "celestialBulbSeed", "celestialBoonflowerSeed", "astralMangoTreeSeed", "spectralPapayaTreeSeed", "ritualPumpkinSeed", "trophyThistleSeed", "acidBlossomSeed"]>;
            name: z.ZodString;
            description: z.ZodString;
            flavorText: z.ZodString;
            icon: z.ZodString;
            value: z.ZodNumber;
            category: z.ZodEnum<["redeemable", "cosmetic", "container", "seed", "flower", "consumable", "card", "food", "relic", "scroll", "concoction", "recipe", "component"]>;
            categoryTitle: z.ZodString;
            preserveAfterUsing: z.ZodBoolean;
            canBeUsed: z.ZodBoolean;
            canUseInBotany: z.ZodBoolean;
            rarity: z.ZodEnum<["common", "uncommon", "rare", "relic"]>;
            relatedConcoction: z.ZodOptional<z.ZodEnum<["liquidWanderingIce", "solidLiquidWanderingIce", "lightningInABottle", "soulWater", "silkwaterMist", "joyfultilizer", "maxJoyfultilizer", "quantumSeed", "fourthDimensionalPlantFood"]>>;
        }, "strip", z.ZodTypeAny, {
            value: number;
            name: string;
            slug: "silkwaterJug" | "silkwaterJugLarge" | "cracklingRainmeter" | "swirlingStormwrangler" | "fourthDimensionalPlantFood" | "tcGen1Beeatrice" | "tcGen1Campfire" | "tcGen1Chisel" | "tcGen1Cloudsailor" | "tcGen1Lodge" | "tcGen1Murmus" | "tcGen1MurmusFoil" | "tcGen1Giant" | "tcGen1LettersInFlight" | "tcGen1SkyCafe" | "tcGen1UnknownLunar" | "tcGen1UnknownSolar" | "tcGen1SecretSauce" | "tcGen1GillroyFoil" | "tcGen2DapperInPurple" | "tcGen2DefinitelyFits" | "tcGen2KnowsHowItWorks" | "tcGen2Casual" | "tcGen2Arcwild" | "tcGen2Mysthull" | "tcGen2Lelatoll" | "tcGen2Skyhook" | "tcGen2Goldspire" | "tcGen2DukePepperbottom" | "tcGen2StudioFoil" | "randomScrap" | "mermaidScale" | "timerootBark" | "spritzBottle" | "livingIcicle" | "stardustBag" | "flaskSmall" | "harvestedAstralDaisy" | "harvestedVoidIvy" | "harvestedCrystalOrchid" | "harvestedBloodLily" | "harvestedRainbowLotus" | "harvestedDragonleaf" | "harvestedAcidBlossom" | "harvestedLightningLotus" | "recipeLiquidWanderingIce" | "recipeSolidLiquidWanderingIce" | "recipeLightningInABottle" | "recipeSoulWater" | "recipeSilkwaterMist" | "recipeQuantumSeed" | "recipeFourthDimensionalPlantFood" | "recipeBlankPlaceholder" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "crystalGeode" | "treasureChest" | "leafPile" | "fallenStar" | "frozenTreasureChest" | "heartShapedBox" | "shippingCrate" | "giantsGift" | "seedPouch" | "tcBoosterPackGen1Common" | "tcBoosterPackGen1Uncommon" | "tcBoosterPackGen1Part2" | "tcBoosterPackGen1Full" | "tcBoosterPackGen2Drop1" | "cosmicPinwheel" | "discardedJacket" | "trident" | "goldLeaf" | "doubloon" | "harvestedObsidianRose" | "harvestedSmoulderingRose" | "harvestedRitualPumpkin" | "harvestedTrophyThistle" | "astralMango" | "spectralPapaya" | "mysticMorel" | "otherworldlyOnion" | "bansheeBerry" | "secretSauce" | "cosmicSocks" | "compositionNotebook" | "shatteredSpyglassLens" | "shatteredSpyglassBody" | "shatteredSpyglassEyepiece" | "restoredSpyglass" | "netheriteVoucher" | "fatefulLoom" | "bullhorn" | "fleetingFeather" | "celestialStone" | "stellarvibePresentSmall2023" | "stellarvibePresentMedium2023" | "stellarvibePresentSmallGlowing2023" | "stellarvibePresentMediumGlowing2023" | "stellarvibePresent2024" | "stellarvibePresentGlowing2024" | "stellarvibePresent2024Max" | "stellarvibePresent2024GlowingMax" | "stellarvibePresentSmall" | "stellarvibePresentSmallGlowing" | "stellarvibePresentMedium" | "stellarvibePresentMediumGlowing" | "stellarvibePresentLarge" | "stellarvibePresentLargeGlowing" | "joyfultilizer" | "maxJoyfultilizer" | "joyrootSeed" | "recipeJoyfultilizer" | "recipeMaxJoyfultilizer" | "scrollOfCultivation" | "scrollOfGreaterCultivation" | "quantumSeed" | "mundaneSeed" | "voidIvySeed" | "crystalOrchidSeed" | "bloodLilySeed" | "obsidianRoseSeed" | "rainbowLotusSeed" | "dragonleafSeed" | "smoulderingRoseSeed" | "wanderingIceSeed" | "stardustBlossomSeed" | "celestialBulbSeed" | "celestialBoonflowerSeed" | "astralMangoTreeSeed" | "spectralPapayaTreeSeed" | "ritualPumpkinSeed" | "trophyThistleSeed" | "acidBlossomSeed";
            description: string;
            camperId: number;
            itemId: number;
            flavorText: string;
            icon: string;
            category: "recipe" | "redeemable" | "cosmetic" | "container" | "seed" | "flower" | "consumable" | "card" | "food" | "relic" | "scroll" | "concoction" | "component";
            categoryTitle: string;
            preserveAfterUsing: boolean;
            canBeUsed: boolean;
            canUseInBotany: boolean;
            rarity: "relic" | "common" | "uncommon" | "rare";
            relatedConcoction?: "fourthDimensionalPlantFood" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "joyfultilizer" | "maxJoyfultilizer" | "quantumSeed" | "solidLiquidWanderingIce" | undefined;
        }, {
            value: number;
            name: string;
            slug: "silkwaterJug" | "silkwaterJugLarge" | "cracklingRainmeter" | "swirlingStormwrangler" | "fourthDimensionalPlantFood" | "tcGen1Beeatrice" | "tcGen1Campfire" | "tcGen1Chisel" | "tcGen1Cloudsailor" | "tcGen1Lodge" | "tcGen1Murmus" | "tcGen1MurmusFoil" | "tcGen1Giant" | "tcGen1LettersInFlight" | "tcGen1SkyCafe" | "tcGen1UnknownLunar" | "tcGen1UnknownSolar" | "tcGen1SecretSauce" | "tcGen1GillroyFoil" | "tcGen2DapperInPurple" | "tcGen2DefinitelyFits" | "tcGen2KnowsHowItWorks" | "tcGen2Casual" | "tcGen2Arcwild" | "tcGen2Mysthull" | "tcGen2Lelatoll" | "tcGen2Skyhook" | "tcGen2Goldspire" | "tcGen2DukePepperbottom" | "tcGen2StudioFoil" | "randomScrap" | "mermaidScale" | "timerootBark" | "spritzBottle" | "livingIcicle" | "stardustBag" | "flaskSmall" | "harvestedAstralDaisy" | "harvestedVoidIvy" | "harvestedCrystalOrchid" | "harvestedBloodLily" | "harvestedRainbowLotus" | "harvestedDragonleaf" | "harvestedAcidBlossom" | "harvestedLightningLotus" | "recipeLiquidWanderingIce" | "recipeSolidLiquidWanderingIce" | "recipeLightningInABottle" | "recipeSoulWater" | "recipeSilkwaterMist" | "recipeQuantumSeed" | "recipeFourthDimensionalPlantFood" | "recipeBlankPlaceholder" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "crystalGeode" | "treasureChest" | "leafPile" | "fallenStar" | "frozenTreasureChest" | "heartShapedBox" | "shippingCrate" | "giantsGift" | "seedPouch" | "tcBoosterPackGen1Common" | "tcBoosterPackGen1Uncommon" | "tcBoosterPackGen1Part2" | "tcBoosterPackGen1Full" | "tcBoosterPackGen2Drop1" | "cosmicPinwheel" | "discardedJacket" | "trident" | "goldLeaf" | "doubloon" | "harvestedObsidianRose" | "harvestedSmoulderingRose" | "harvestedRitualPumpkin" | "harvestedTrophyThistle" | "astralMango" | "spectralPapaya" | "mysticMorel" | "otherworldlyOnion" | "bansheeBerry" | "secretSauce" | "cosmicSocks" | "compositionNotebook" | "shatteredSpyglassLens" | "shatteredSpyglassBody" | "shatteredSpyglassEyepiece" | "restoredSpyglass" | "netheriteVoucher" | "fatefulLoom" | "bullhorn" | "fleetingFeather" | "celestialStone" | "stellarvibePresentSmall2023" | "stellarvibePresentMedium2023" | "stellarvibePresentSmallGlowing2023" | "stellarvibePresentMediumGlowing2023" | "stellarvibePresent2024" | "stellarvibePresentGlowing2024" | "stellarvibePresent2024Max" | "stellarvibePresent2024GlowingMax" | "stellarvibePresentSmall" | "stellarvibePresentSmallGlowing" | "stellarvibePresentMedium" | "stellarvibePresentMediumGlowing" | "stellarvibePresentLarge" | "stellarvibePresentLargeGlowing" | "joyfultilizer" | "maxJoyfultilizer" | "joyrootSeed" | "recipeJoyfultilizer" | "recipeMaxJoyfultilizer" | "scrollOfCultivation" | "scrollOfGreaterCultivation" | "quantumSeed" | "mundaneSeed" | "voidIvySeed" | "crystalOrchidSeed" | "bloodLilySeed" | "obsidianRoseSeed" | "rainbowLotusSeed" | "dragonleafSeed" | "smoulderingRoseSeed" | "wanderingIceSeed" | "stardustBlossomSeed" | "celestialBulbSeed" | "celestialBoonflowerSeed" | "astralMangoTreeSeed" | "spectralPapayaTreeSeed" | "ritualPumpkinSeed" | "trophyThistleSeed" | "acidBlossomSeed";
            description: string;
            camperId: number;
            itemId: number;
            flavorText: string;
            icon: string;
            category: "recipe" | "redeemable" | "cosmetic" | "container" | "seed" | "flower" | "consumable" | "card" | "food" | "relic" | "scroll" | "concoction" | "component";
            categoryTitle: string;
            preserveAfterUsing: boolean;
            canBeUsed: boolean;
            canUseInBotany: boolean;
            rarity: "relic" | "common" | "uncommon" | "rare";
            relatedConcoction?: "fourthDimensionalPlantFood" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "joyfultilizer" | "maxJoyfultilizer" | "quantumSeed" | "solidLiquidWanderingIce" | undefined;
        }>;
    };
    readonly "chemistry@brew": {
        readonly input: z.ZodObject<{
            concoctionSlug: z.ZodEnum<["liquidWanderingIce", "solidLiquidWanderingIce", "lightningInABottle", "soulWater", "silkwaterMist", "joyfultilizer", "maxJoyfultilizer", "quantumSeed", "fourthDimensionalPlantFood"]>;
            useScrap: z.ZodBoolean;
        }, "strip", z.ZodTypeAny, {
            concoctionSlug: "fourthDimensionalPlantFood" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "joyfultilizer" | "maxJoyfultilizer" | "quantumSeed" | "solidLiquidWanderingIce";
            useScrap: boolean;
        }, {
            concoctionSlug: "fourthDimensionalPlantFood" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "joyfultilizer" | "maxJoyfultilizer" | "quantumSeed" | "solidLiquidWanderingIce";
            useScrap: boolean;
        }>;
        readonly output: z.ZodObject<{
            id: z.ZodNumber;
            camperId: z.ZodNumber;
            slug: z.ZodEnum<["liquidWanderingIce", "solidLiquidWanderingIce", "lightningInABottle", "soulWater", "silkwaterMist", "joyfultilizer", "maxJoyfultilizer", "quantumSeed", "fourthDimensionalPlantFood"]>;
            turnsBrewing: z.ZodNumber;
            state: z.ZodString;
            recipe: z.ZodObject<{
                slug: z.ZodEnum<["liquidWanderingIce", "solidLiquidWanderingIce", "lightningInABottle", "soulWater", "silkwaterMist", "joyfultilizer", "maxJoyfultilizer", "quantumSeed", "fourthDimensionalPlantFood"]>;
                title: z.ZodString;
                description: z.ZodString;
                image: z.ZodString;
                brewTime: z.ZodNumber;
                brewTimeLeniency: z.ZodNumber;
                ingredients: z.ZodArray<z.ZodTuple<[z.ZodEnum<["silkwaterJug", "silkwaterJugLarge", "cracklingRainmeter", "swirlingStormwrangler", "fourthDimensionalPlantFood", "tcGen1Beeatrice", "tcGen1Campfire", "tcGen1Chisel", "tcGen1Cloudsailor", "tcGen1Lodge", "tcGen1Murmus", "tcGen1MurmusFoil", "tcGen1Giant", "tcGen1LettersInFlight", "tcGen1SkyCafe", "tcGen1UnknownLunar", "tcGen1UnknownSolar", "tcGen1SecretSauce", "tcGen1GillroyFoil", "tcGen2DapperInPurple", "tcGen2DefinitelyFits", "tcGen2KnowsHowItWorks", "tcGen2Casual", "tcGen2Arcwild", "tcGen2Mysthull", "tcGen2Lelatoll", "tcGen2Skyhook", "tcGen2Goldspire", "tcGen2DukePepperbottom", "tcGen2StudioFoil", "randomScrap", "mermaidScale", "timerootBark", "spritzBottle", "livingIcicle", "stardustBag", "flaskSmall", "harvestedAstralDaisy", "harvestedVoidIvy", "harvestedCrystalOrchid", "harvestedBloodLily", "harvestedRainbowLotus", "harvestedDragonleaf", "harvestedAcidBlossom", "harvestedLightningLotus", "recipeLiquidWanderingIce", "recipeSolidLiquidWanderingIce", "recipeLightningInABottle", "recipeSoulWater", "recipeSilkwaterMist", "recipeQuantumSeed", "recipeFourthDimensionalPlantFood", "recipeBlankPlaceholder", "liquidWanderingIce", "soulWater", "silkwaterMist", "lightningInABottle", "crystalGeode", "treasureChest", "leafPile", "fallenStar", "frozenTreasureChest", "heartShapedBox", "shippingCrate", "giantsGift", "seedPouch", "tcBoosterPackGen1Common", "tcBoosterPackGen1Uncommon", "tcBoosterPackGen1Part2", "tcBoosterPackGen1Full", "tcBoosterPackGen2Drop1", "cosmicPinwheel", "discardedJacket", "trident", "goldLeaf", "doubloon", "harvestedObsidianRose", "harvestedSmoulderingRose", "harvestedRitualPumpkin", "harvestedTrophyThistle", "astralMango", "spectralPapaya", "mysticMorel", "otherworldlyOnion", "bansheeBerry", "secretSauce", "cosmicSocks", "compositionNotebook", "shatteredSpyglassLens", "shatteredSpyglassBody", "shatteredSpyglassEyepiece", "restoredSpyglass", "netheriteVoucher", "fatefulLoom", "bullhorn", "fleetingFeather", "celestialStone", "stellarvibePresentSmall2023", "stellarvibePresentMedium2023", "stellarvibePresentSmallGlowing2023", "stellarvibePresentMediumGlowing2023", "stellarvibePresent2024", "stellarvibePresentGlowing2024", "stellarvibePresent2024Max", "stellarvibePresent2024GlowingMax", "stellarvibePresentSmall", "stellarvibePresentSmallGlowing", "stellarvibePresentMedium", "stellarvibePresentMediumGlowing", "stellarvibePresentLarge", "stellarvibePresentLargeGlowing", "joyfultilizer", "maxJoyfultilizer", "joyrootSeed", "recipeJoyfultilizer", "recipeMaxJoyfultilizer", "scrollOfCultivation", "scrollOfGreaterCultivation", "quantumSeed", "mundaneSeed", "voidIvySeed", "crystalOrchidSeed", "bloodLilySeed", "obsidianRoseSeed", "rainbowLotusSeed", "dragonleafSeed", "smoulderingRoseSeed", "wanderingIceSeed", "stardustBlossomSeed", "celestialBulbSeed", "celestialBoonflowerSeed", "astralMangoTreeSeed", "spectralPapayaTreeSeed", "ritualPumpkinSeed", "trophyThistleSeed", "acidBlossomSeed"]>, z.ZodNumber], null>, "many">;
                result: z.ZodEnum<["silkwaterJug", "silkwaterJugLarge", "cracklingRainmeter", "swirlingStormwrangler", "fourthDimensionalPlantFood", "tcGen1Beeatrice", "tcGen1Campfire", "tcGen1Chisel", "tcGen1Cloudsailor", "tcGen1Lodge", "tcGen1Murmus", "tcGen1MurmusFoil", "tcGen1Giant", "tcGen1LettersInFlight", "tcGen1SkyCafe", "tcGen1UnknownLunar", "tcGen1UnknownSolar", "tcGen1SecretSauce", "tcGen1GillroyFoil", "tcGen2DapperInPurple", "tcGen2DefinitelyFits", "tcGen2KnowsHowItWorks", "tcGen2Casual", "tcGen2Arcwild", "tcGen2Mysthull", "tcGen2Lelatoll", "tcGen2Skyhook", "tcGen2Goldspire", "tcGen2DukePepperbottom", "tcGen2StudioFoil", "randomScrap", "mermaidScale", "timerootBark", "spritzBottle", "livingIcicle", "stardustBag", "flaskSmall", "harvestedAstralDaisy", "harvestedVoidIvy", "harvestedCrystalOrchid", "harvestedBloodLily", "harvestedRainbowLotus", "harvestedDragonleaf", "harvestedAcidBlossom", "harvestedLightningLotus", "recipeLiquidWanderingIce", "recipeSolidLiquidWanderingIce", "recipeLightningInABottle", "recipeSoulWater", "recipeSilkwaterMist", "recipeQuantumSeed", "recipeFourthDimensionalPlantFood", "recipeBlankPlaceholder", "liquidWanderingIce", "soulWater", "silkwaterMist", "lightningInABottle", "crystalGeode", "treasureChest", "leafPile", "fallenStar", "frozenTreasureChest", "heartShapedBox", "shippingCrate", "giantsGift", "seedPouch", "tcBoosterPackGen1Common", "tcBoosterPackGen1Uncommon", "tcBoosterPackGen1Part2", "tcBoosterPackGen1Full", "tcBoosterPackGen2Drop1", "cosmicPinwheel", "discardedJacket", "trident", "goldLeaf", "doubloon", "harvestedObsidianRose", "harvestedSmoulderingRose", "harvestedRitualPumpkin", "harvestedTrophyThistle", "astralMango", "spectralPapaya", "mysticMorel", "otherworldlyOnion", "bansheeBerry", "secretSauce", "cosmicSocks", "compositionNotebook", "shatteredSpyglassLens", "shatteredSpyglassBody", "shatteredSpyglassEyepiece", "restoredSpyglass", "netheriteVoucher", "fatefulLoom", "bullhorn", "fleetingFeather", "celestialStone", "stellarvibePresentSmall2023", "stellarvibePresentMedium2023", "stellarvibePresentSmallGlowing2023", "stellarvibePresentMediumGlowing2023", "stellarvibePresent2024", "stellarvibePresentGlowing2024", "stellarvibePresent2024Max", "stellarvibePresent2024GlowingMax", "stellarvibePresentSmall", "stellarvibePresentSmallGlowing", "stellarvibePresentMedium", "stellarvibePresentMediumGlowing", "stellarvibePresentLarge", "stellarvibePresentLargeGlowing", "joyfultilizer", "maxJoyfultilizer", "joyrootSeed", "recipeJoyfultilizer", "recipeMaxJoyfultilizer", "scrollOfCultivation", "scrollOfGreaterCultivation", "quantumSeed", "mundaneSeed", "voidIvySeed", "crystalOrchidSeed", "bloodLilySeed", "obsidianRoseSeed", "rainbowLotusSeed", "dragonleafSeed", "smoulderingRoseSeed", "wanderingIceSeed", "stardustBlossomSeed", "celestialBulbSeed", "celestialBoonflowerSeed", "astralMangoTreeSeed", "spectralPapayaTreeSeed", "ritualPumpkinSeed", "trophyThistleSeed", "acidBlossomSeed"]>;
            }, "strip", z.ZodTypeAny, {
                slug: "fourthDimensionalPlantFood" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "joyfultilizer" | "maxJoyfultilizer" | "quantumSeed" | "solidLiquidWanderingIce";
                title: string;
                description: string;
                image: string;
                brewTime: number;
                brewTimeLeniency: number;
                ingredients: ["silkwaterJug" | "silkwaterJugLarge" | "cracklingRainmeter" | "swirlingStormwrangler" | "fourthDimensionalPlantFood" | "tcGen1Beeatrice" | "tcGen1Campfire" | "tcGen1Chisel" | "tcGen1Cloudsailor" | "tcGen1Lodge" | "tcGen1Murmus" | "tcGen1MurmusFoil" | "tcGen1Giant" | "tcGen1LettersInFlight" | "tcGen1SkyCafe" | "tcGen1UnknownLunar" | "tcGen1UnknownSolar" | "tcGen1SecretSauce" | "tcGen1GillroyFoil" | "tcGen2DapperInPurple" | "tcGen2DefinitelyFits" | "tcGen2KnowsHowItWorks" | "tcGen2Casual" | "tcGen2Arcwild" | "tcGen2Mysthull" | "tcGen2Lelatoll" | "tcGen2Skyhook" | "tcGen2Goldspire" | "tcGen2DukePepperbottom" | "tcGen2StudioFoil" | "randomScrap" | "mermaidScale" | "timerootBark" | "spritzBottle" | "livingIcicle" | "stardustBag" | "flaskSmall" | "harvestedAstralDaisy" | "harvestedVoidIvy" | "harvestedCrystalOrchid" | "harvestedBloodLily" | "harvestedRainbowLotus" | "harvestedDragonleaf" | "harvestedAcidBlossom" | "harvestedLightningLotus" | "recipeLiquidWanderingIce" | "recipeSolidLiquidWanderingIce" | "recipeLightningInABottle" | "recipeSoulWater" | "recipeSilkwaterMist" | "recipeQuantumSeed" | "recipeFourthDimensionalPlantFood" | "recipeBlankPlaceholder" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "crystalGeode" | "treasureChest" | "leafPile" | "fallenStar" | "frozenTreasureChest" | "heartShapedBox" | "shippingCrate" | "giantsGift" | "seedPouch" | "tcBoosterPackGen1Common" | "tcBoosterPackGen1Uncommon" | "tcBoosterPackGen1Part2" | "tcBoosterPackGen1Full" | "tcBoosterPackGen2Drop1" | "cosmicPinwheel" | "discardedJacket" | "trident" | "goldLeaf" | "doubloon" | "harvestedObsidianRose" | "harvestedSmoulderingRose" | "harvestedRitualPumpkin" | "harvestedTrophyThistle" | "astralMango" | "spectralPapaya" | "mysticMorel" | "otherworldlyOnion" | "bansheeBerry" | "secretSauce" | "cosmicSocks" | "compositionNotebook" | "shatteredSpyglassLens" | "shatteredSpyglassBody" | "shatteredSpyglassEyepiece" | "restoredSpyglass" | "netheriteVoucher" | "fatefulLoom" | "bullhorn" | "fleetingFeather" | "celestialStone" | "stellarvibePresentSmall2023" | "stellarvibePresentMedium2023" | "stellarvibePresentSmallGlowing2023" | "stellarvibePresentMediumGlowing2023" | "stellarvibePresent2024" | "stellarvibePresentGlowing2024" | "stellarvibePresent2024Max" | "stellarvibePresent2024GlowingMax" | "stellarvibePresentSmall" | "stellarvibePresentSmallGlowing" | "stellarvibePresentMedium" | "stellarvibePresentMediumGlowing" | "stellarvibePresentLarge" | "stellarvibePresentLargeGlowing" | "joyfultilizer" | "maxJoyfultilizer" | "joyrootSeed" | "recipeJoyfultilizer" | "recipeMaxJoyfultilizer" | "scrollOfCultivation" | "scrollOfGreaterCultivation" | "quantumSeed" | "mundaneSeed" | "voidIvySeed" | "crystalOrchidSeed" | "bloodLilySeed" | "obsidianRoseSeed" | "rainbowLotusSeed" | "dragonleafSeed" | "smoulderingRoseSeed" | "wanderingIceSeed" | "stardustBlossomSeed" | "celestialBulbSeed" | "celestialBoonflowerSeed" | "astralMangoTreeSeed" | "spectralPapayaTreeSeed" | "ritualPumpkinSeed" | "trophyThistleSeed" | "acidBlossomSeed", number][];
                result: "silkwaterJug" | "silkwaterJugLarge" | "cracklingRainmeter" | "swirlingStormwrangler" | "fourthDimensionalPlantFood" | "tcGen1Beeatrice" | "tcGen1Campfire" | "tcGen1Chisel" | "tcGen1Cloudsailor" | "tcGen1Lodge" | "tcGen1Murmus" | "tcGen1MurmusFoil" | "tcGen1Giant" | "tcGen1LettersInFlight" | "tcGen1SkyCafe" | "tcGen1UnknownLunar" | "tcGen1UnknownSolar" | "tcGen1SecretSauce" | "tcGen1GillroyFoil" | "tcGen2DapperInPurple" | "tcGen2DefinitelyFits" | "tcGen2KnowsHowItWorks" | "tcGen2Casual" | "tcGen2Arcwild" | "tcGen2Mysthull" | "tcGen2Lelatoll" | "tcGen2Skyhook" | "tcGen2Goldspire" | "tcGen2DukePepperbottom" | "tcGen2StudioFoil" | "randomScrap" | "mermaidScale" | "timerootBark" | "spritzBottle" | "livingIcicle" | "stardustBag" | "flaskSmall" | "harvestedAstralDaisy" | "harvestedVoidIvy" | "harvestedCrystalOrchid" | "harvestedBloodLily" | "harvestedRainbowLotus" | "harvestedDragonleaf" | "harvestedAcidBlossom" | "harvestedLightningLotus" | "recipeLiquidWanderingIce" | "recipeSolidLiquidWanderingIce" | "recipeLightningInABottle" | "recipeSoulWater" | "recipeSilkwaterMist" | "recipeQuantumSeed" | "recipeFourthDimensionalPlantFood" | "recipeBlankPlaceholder" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "crystalGeode" | "treasureChest" | "leafPile" | "fallenStar" | "frozenTreasureChest" | "heartShapedBox" | "shippingCrate" | "giantsGift" | "seedPouch" | "tcBoosterPackGen1Common" | "tcBoosterPackGen1Uncommon" | "tcBoosterPackGen1Part2" | "tcBoosterPackGen1Full" | "tcBoosterPackGen2Drop1" | "cosmicPinwheel" | "discardedJacket" | "trident" | "goldLeaf" | "doubloon" | "harvestedObsidianRose" | "harvestedSmoulderingRose" | "harvestedRitualPumpkin" | "harvestedTrophyThistle" | "astralMango" | "spectralPapaya" | "mysticMorel" | "otherworldlyOnion" | "bansheeBerry" | "secretSauce" | "cosmicSocks" | "compositionNotebook" | "shatteredSpyglassLens" | "shatteredSpyglassBody" | "shatteredSpyglassEyepiece" | "restoredSpyglass" | "netheriteVoucher" | "fatefulLoom" | "bullhorn" | "fleetingFeather" | "celestialStone" | "stellarvibePresentSmall2023" | "stellarvibePresentMedium2023" | "stellarvibePresentSmallGlowing2023" | "stellarvibePresentMediumGlowing2023" | "stellarvibePresent2024" | "stellarvibePresentGlowing2024" | "stellarvibePresent2024Max" | "stellarvibePresent2024GlowingMax" | "stellarvibePresentSmall" | "stellarvibePresentSmallGlowing" | "stellarvibePresentMedium" | "stellarvibePresentMediumGlowing" | "stellarvibePresentLarge" | "stellarvibePresentLargeGlowing" | "joyfultilizer" | "maxJoyfultilizer" | "joyrootSeed" | "recipeJoyfultilizer" | "recipeMaxJoyfultilizer" | "scrollOfCultivation" | "scrollOfGreaterCultivation" | "quantumSeed" | "mundaneSeed" | "voidIvySeed" | "crystalOrchidSeed" | "bloodLilySeed" | "obsidianRoseSeed" | "rainbowLotusSeed" | "dragonleafSeed" | "smoulderingRoseSeed" | "wanderingIceSeed" | "stardustBlossomSeed" | "celestialBulbSeed" | "celestialBoonflowerSeed" | "astralMangoTreeSeed" | "spectralPapayaTreeSeed" | "ritualPumpkinSeed" | "trophyThistleSeed" | "acidBlossomSeed";
            }, {
                slug: "fourthDimensionalPlantFood" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "joyfultilizer" | "maxJoyfultilizer" | "quantumSeed" | "solidLiquidWanderingIce";
                title: string;
                description: string;
                image: string;
                brewTime: number;
                brewTimeLeniency: number;
                ingredients: ["silkwaterJug" | "silkwaterJugLarge" | "cracklingRainmeter" | "swirlingStormwrangler" | "fourthDimensionalPlantFood" | "tcGen1Beeatrice" | "tcGen1Campfire" | "tcGen1Chisel" | "tcGen1Cloudsailor" | "tcGen1Lodge" | "tcGen1Murmus" | "tcGen1MurmusFoil" | "tcGen1Giant" | "tcGen1LettersInFlight" | "tcGen1SkyCafe" | "tcGen1UnknownLunar" | "tcGen1UnknownSolar" | "tcGen1SecretSauce" | "tcGen1GillroyFoil" | "tcGen2DapperInPurple" | "tcGen2DefinitelyFits" | "tcGen2KnowsHowItWorks" | "tcGen2Casual" | "tcGen2Arcwild" | "tcGen2Mysthull" | "tcGen2Lelatoll" | "tcGen2Skyhook" | "tcGen2Goldspire" | "tcGen2DukePepperbottom" | "tcGen2StudioFoil" | "randomScrap" | "mermaidScale" | "timerootBark" | "spritzBottle" | "livingIcicle" | "stardustBag" | "flaskSmall" | "harvestedAstralDaisy" | "harvestedVoidIvy" | "harvestedCrystalOrchid" | "harvestedBloodLily" | "harvestedRainbowLotus" | "harvestedDragonleaf" | "harvestedAcidBlossom" | "harvestedLightningLotus" | "recipeLiquidWanderingIce" | "recipeSolidLiquidWanderingIce" | "recipeLightningInABottle" | "recipeSoulWater" | "recipeSilkwaterMist" | "recipeQuantumSeed" | "recipeFourthDimensionalPlantFood" | "recipeBlankPlaceholder" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "crystalGeode" | "treasureChest" | "leafPile" | "fallenStar" | "frozenTreasureChest" | "heartShapedBox" | "shippingCrate" | "giantsGift" | "seedPouch" | "tcBoosterPackGen1Common" | "tcBoosterPackGen1Uncommon" | "tcBoosterPackGen1Part2" | "tcBoosterPackGen1Full" | "tcBoosterPackGen2Drop1" | "cosmicPinwheel" | "discardedJacket" | "trident" | "goldLeaf" | "doubloon" | "harvestedObsidianRose" | "harvestedSmoulderingRose" | "harvestedRitualPumpkin" | "harvestedTrophyThistle" | "astralMango" | "spectralPapaya" | "mysticMorel" | "otherworldlyOnion" | "bansheeBerry" | "secretSauce" | "cosmicSocks" | "compositionNotebook" | "shatteredSpyglassLens" | "shatteredSpyglassBody" | "shatteredSpyglassEyepiece" | "restoredSpyglass" | "netheriteVoucher" | "fatefulLoom" | "bullhorn" | "fleetingFeather" | "celestialStone" | "stellarvibePresentSmall2023" | "stellarvibePresentMedium2023" | "stellarvibePresentSmallGlowing2023" | "stellarvibePresentMediumGlowing2023" | "stellarvibePresent2024" | "stellarvibePresentGlowing2024" | "stellarvibePresent2024Max" | "stellarvibePresent2024GlowingMax" | "stellarvibePresentSmall" | "stellarvibePresentSmallGlowing" | "stellarvibePresentMedium" | "stellarvibePresentMediumGlowing" | "stellarvibePresentLarge" | "stellarvibePresentLargeGlowing" | "joyfultilizer" | "maxJoyfultilizer" | "joyrootSeed" | "recipeJoyfultilizer" | "recipeMaxJoyfultilizer" | "scrollOfCultivation" | "scrollOfGreaterCultivation" | "quantumSeed" | "mundaneSeed" | "voidIvySeed" | "crystalOrchidSeed" | "bloodLilySeed" | "obsidianRoseSeed" | "rainbowLotusSeed" | "dragonleafSeed" | "smoulderingRoseSeed" | "wanderingIceSeed" | "stardustBlossomSeed" | "celestialBulbSeed" | "celestialBoonflowerSeed" | "astralMangoTreeSeed" | "spectralPapayaTreeSeed" | "ritualPumpkinSeed" | "trophyThistleSeed" | "acidBlossomSeed", number][];
                result: "silkwaterJug" | "silkwaterJugLarge" | "cracklingRainmeter" | "swirlingStormwrangler" | "fourthDimensionalPlantFood" | "tcGen1Beeatrice" | "tcGen1Campfire" | "tcGen1Chisel" | "tcGen1Cloudsailor" | "tcGen1Lodge" | "tcGen1Murmus" | "tcGen1MurmusFoil" | "tcGen1Giant" | "tcGen1LettersInFlight" | "tcGen1SkyCafe" | "tcGen1UnknownLunar" | "tcGen1UnknownSolar" | "tcGen1SecretSauce" | "tcGen1GillroyFoil" | "tcGen2DapperInPurple" | "tcGen2DefinitelyFits" | "tcGen2KnowsHowItWorks" | "tcGen2Casual" | "tcGen2Arcwild" | "tcGen2Mysthull" | "tcGen2Lelatoll" | "tcGen2Skyhook" | "tcGen2Goldspire" | "tcGen2DukePepperbottom" | "tcGen2StudioFoil" | "randomScrap" | "mermaidScale" | "timerootBark" | "spritzBottle" | "livingIcicle" | "stardustBag" | "flaskSmall" | "harvestedAstralDaisy" | "harvestedVoidIvy" | "harvestedCrystalOrchid" | "harvestedBloodLily" | "harvestedRainbowLotus" | "harvestedDragonleaf" | "harvestedAcidBlossom" | "harvestedLightningLotus" | "recipeLiquidWanderingIce" | "recipeSolidLiquidWanderingIce" | "recipeLightningInABottle" | "recipeSoulWater" | "recipeSilkwaterMist" | "recipeQuantumSeed" | "recipeFourthDimensionalPlantFood" | "recipeBlankPlaceholder" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "crystalGeode" | "treasureChest" | "leafPile" | "fallenStar" | "frozenTreasureChest" | "heartShapedBox" | "shippingCrate" | "giantsGift" | "seedPouch" | "tcBoosterPackGen1Common" | "tcBoosterPackGen1Uncommon" | "tcBoosterPackGen1Part2" | "tcBoosterPackGen1Full" | "tcBoosterPackGen2Drop1" | "cosmicPinwheel" | "discardedJacket" | "trident" | "goldLeaf" | "doubloon" | "harvestedObsidianRose" | "harvestedSmoulderingRose" | "harvestedRitualPumpkin" | "harvestedTrophyThistle" | "astralMango" | "spectralPapaya" | "mysticMorel" | "otherworldlyOnion" | "bansheeBerry" | "secretSauce" | "cosmicSocks" | "compositionNotebook" | "shatteredSpyglassLens" | "shatteredSpyglassBody" | "shatteredSpyglassEyepiece" | "restoredSpyglass" | "netheriteVoucher" | "fatefulLoom" | "bullhorn" | "fleetingFeather" | "celestialStone" | "stellarvibePresentSmall2023" | "stellarvibePresentMedium2023" | "stellarvibePresentSmallGlowing2023" | "stellarvibePresentMediumGlowing2023" | "stellarvibePresent2024" | "stellarvibePresentGlowing2024" | "stellarvibePresent2024Max" | "stellarvibePresent2024GlowingMax" | "stellarvibePresentSmall" | "stellarvibePresentSmallGlowing" | "stellarvibePresentMedium" | "stellarvibePresentMediumGlowing" | "stellarvibePresentLarge" | "stellarvibePresentLargeGlowing" | "joyfultilizer" | "maxJoyfultilizer" | "joyrootSeed" | "recipeJoyfultilizer" | "recipeMaxJoyfultilizer" | "scrollOfCultivation" | "scrollOfGreaterCultivation" | "quantumSeed" | "mundaneSeed" | "voidIvySeed" | "crystalOrchidSeed" | "bloodLilySeed" | "obsidianRoseSeed" | "rainbowLotusSeed" | "dragonleafSeed" | "smoulderingRoseSeed" | "wanderingIceSeed" | "stardustBlossomSeed" | "celestialBulbSeed" | "celestialBoonflowerSeed" | "astralMangoTreeSeed" | "spectralPapayaTreeSeed" | "ritualPumpkinSeed" | "trophyThistleSeed" | "acidBlossomSeed";
            }>;
            isReady: z.ZodBoolean;
            autoStop: z.ZodBoolean;
        }, "strip", z.ZodTypeAny, {
            id: number;
            slug: "fourthDimensionalPlantFood" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "joyfultilizer" | "maxJoyfultilizer" | "quantumSeed" | "solidLiquidWanderingIce";
            camperId: number;
            turnsBrewing: number;
            state: string;
            recipe: {
                slug: "fourthDimensionalPlantFood" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "joyfultilizer" | "maxJoyfultilizer" | "quantumSeed" | "solidLiquidWanderingIce";
                title: string;
                description: string;
                image: string;
                brewTime: number;
                brewTimeLeniency: number;
                ingredients: ["silkwaterJug" | "silkwaterJugLarge" | "cracklingRainmeter" | "swirlingStormwrangler" | "fourthDimensionalPlantFood" | "tcGen1Beeatrice" | "tcGen1Campfire" | "tcGen1Chisel" | "tcGen1Cloudsailor" | "tcGen1Lodge" | "tcGen1Murmus" | "tcGen1MurmusFoil" | "tcGen1Giant" | "tcGen1LettersInFlight" | "tcGen1SkyCafe" | "tcGen1UnknownLunar" | "tcGen1UnknownSolar" | "tcGen1SecretSauce" | "tcGen1GillroyFoil" | "tcGen2DapperInPurple" | "tcGen2DefinitelyFits" | "tcGen2KnowsHowItWorks" | "tcGen2Casual" | "tcGen2Arcwild" | "tcGen2Mysthull" | "tcGen2Lelatoll" | "tcGen2Skyhook" | "tcGen2Goldspire" | "tcGen2DukePepperbottom" | "tcGen2StudioFoil" | "randomScrap" | "mermaidScale" | "timerootBark" | "spritzBottle" | "livingIcicle" | "stardustBag" | "flaskSmall" | "harvestedAstralDaisy" | "harvestedVoidIvy" | "harvestedCrystalOrchid" | "harvestedBloodLily" | "harvestedRainbowLotus" | "harvestedDragonleaf" | "harvestedAcidBlossom" | "harvestedLightningLotus" | "recipeLiquidWanderingIce" | "recipeSolidLiquidWanderingIce" | "recipeLightningInABottle" | "recipeSoulWater" | "recipeSilkwaterMist" | "recipeQuantumSeed" | "recipeFourthDimensionalPlantFood" | "recipeBlankPlaceholder" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "crystalGeode" | "treasureChest" | "leafPile" | "fallenStar" | "frozenTreasureChest" | "heartShapedBox" | "shippingCrate" | "giantsGift" | "seedPouch" | "tcBoosterPackGen1Common" | "tcBoosterPackGen1Uncommon" | "tcBoosterPackGen1Part2" | "tcBoosterPackGen1Full" | "tcBoosterPackGen2Drop1" | "cosmicPinwheel" | "discardedJacket" | "trident" | "goldLeaf" | "doubloon" | "harvestedObsidianRose" | "harvestedSmoulderingRose" | "harvestedRitualPumpkin" | "harvestedTrophyThistle" | "astralMango" | "spectralPapaya" | "mysticMorel" | "otherworldlyOnion" | "bansheeBerry" | "secretSauce" | "cosmicSocks" | "compositionNotebook" | "shatteredSpyglassLens" | "shatteredSpyglassBody" | "shatteredSpyglassEyepiece" | "restoredSpyglass" | "netheriteVoucher" | "fatefulLoom" | "bullhorn" | "fleetingFeather" | "celestialStone" | "stellarvibePresentSmall2023" | "stellarvibePresentMedium2023" | "stellarvibePresentSmallGlowing2023" | "stellarvibePresentMediumGlowing2023" | "stellarvibePresent2024" | "stellarvibePresentGlowing2024" | "stellarvibePresent2024Max" | "stellarvibePresent2024GlowingMax" | "stellarvibePresentSmall" | "stellarvibePresentSmallGlowing" | "stellarvibePresentMedium" | "stellarvibePresentMediumGlowing" | "stellarvibePresentLarge" | "stellarvibePresentLargeGlowing" | "joyfultilizer" | "maxJoyfultilizer" | "joyrootSeed" | "recipeJoyfultilizer" | "recipeMaxJoyfultilizer" | "scrollOfCultivation" | "scrollOfGreaterCultivation" | "quantumSeed" | "mundaneSeed" | "voidIvySeed" | "crystalOrchidSeed" | "bloodLilySeed" | "obsidianRoseSeed" | "rainbowLotusSeed" | "dragonleafSeed" | "smoulderingRoseSeed" | "wanderingIceSeed" | "stardustBlossomSeed" | "celestialBulbSeed" | "celestialBoonflowerSeed" | "astralMangoTreeSeed" | "spectralPapayaTreeSeed" | "ritualPumpkinSeed" | "trophyThistleSeed" | "acidBlossomSeed", number][];
                result: "silkwaterJug" | "silkwaterJugLarge" | "cracklingRainmeter" | "swirlingStormwrangler" | "fourthDimensionalPlantFood" | "tcGen1Beeatrice" | "tcGen1Campfire" | "tcGen1Chisel" | "tcGen1Cloudsailor" | "tcGen1Lodge" | "tcGen1Murmus" | "tcGen1MurmusFoil" | "tcGen1Giant" | "tcGen1LettersInFlight" | "tcGen1SkyCafe" | "tcGen1UnknownLunar" | "tcGen1UnknownSolar" | "tcGen1SecretSauce" | "tcGen1GillroyFoil" | "tcGen2DapperInPurple" | "tcGen2DefinitelyFits" | "tcGen2KnowsHowItWorks" | "tcGen2Casual" | "tcGen2Arcwild" | "tcGen2Mysthull" | "tcGen2Lelatoll" | "tcGen2Skyhook" | "tcGen2Goldspire" | "tcGen2DukePepperbottom" | "tcGen2StudioFoil" | "randomScrap" | "mermaidScale" | "timerootBark" | "spritzBottle" | "livingIcicle" | "stardustBag" | "flaskSmall" | "harvestedAstralDaisy" | "harvestedVoidIvy" | "harvestedCrystalOrchid" | "harvestedBloodLily" | "harvestedRainbowLotus" | "harvestedDragonleaf" | "harvestedAcidBlossom" | "harvestedLightningLotus" | "recipeLiquidWanderingIce" | "recipeSolidLiquidWanderingIce" | "recipeLightningInABottle" | "recipeSoulWater" | "recipeSilkwaterMist" | "recipeQuantumSeed" | "recipeFourthDimensionalPlantFood" | "recipeBlankPlaceholder" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "crystalGeode" | "treasureChest" | "leafPile" | "fallenStar" | "frozenTreasureChest" | "heartShapedBox" | "shippingCrate" | "giantsGift" | "seedPouch" | "tcBoosterPackGen1Common" | "tcBoosterPackGen1Uncommon" | "tcBoosterPackGen1Part2" | "tcBoosterPackGen1Full" | "tcBoosterPackGen2Drop1" | "cosmicPinwheel" | "discardedJacket" | "trident" | "goldLeaf" | "doubloon" | "harvestedObsidianRose" | "harvestedSmoulderingRose" | "harvestedRitualPumpkin" | "harvestedTrophyThistle" | "astralMango" | "spectralPapaya" | "mysticMorel" | "otherworldlyOnion" | "bansheeBerry" | "secretSauce" | "cosmicSocks" | "compositionNotebook" | "shatteredSpyglassLens" | "shatteredSpyglassBody" | "shatteredSpyglassEyepiece" | "restoredSpyglass" | "netheriteVoucher" | "fatefulLoom" | "bullhorn" | "fleetingFeather" | "celestialStone" | "stellarvibePresentSmall2023" | "stellarvibePresentMedium2023" | "stellarvibePresentSmallGlowing2023" | "stellarvibePresentMediumGlowing2023" | "stellarvibePresent2024" | "stellarvibePresentGlowing2024" | "stellarvibePresent2024Max" | "stellarvibePresent2024GlowingMax" | "stellarvibePresentSmall" | "stellarvibePresentSmallGlowing" | "stellarvibePresentMedium" | "stellarvibePresentMediumGlowing" | "stellarvibePresentLarge" | "stellarvibePresentLargeGlowing" | "joyfultilizer" | "maxJoyfultilizer" | "joyrootSeed" | "recipeJoyfultilizer" | "recipeMaxJoyfultilizer" | "scrollOfCultivation" | "scrollOfGreaterCultivation" | "quantumSeed" | "mundaneSeed" | "voidIvySeed" | "crystalOrchidSeed" | "bloodLilySeed" | "obsidianRoseSeed" | "rainbowLotusSeed" | "dragonleafSeed" | "smoulderingRoseSeed" | "wanderingIceSeed" | "stardustBlossomSeed" | "celestialBulbSeed" | "celestialBoonflowerSeed" | "astralMangoTreeSeed" | "spectralPapayaTreeSeed" | "ritualPumpkinSeed" | "trophyThistleSeed" | "acidBlossomSeed";
            };
            isReady: boolean;
            autoStop: boolean;
        }, {
            id: number;
            slug: "fourthDimensionalPlantFood" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "joyfultilizer" | "maxJoyfultilizer" | "quantumSeed" | "solidLiquidWanderingIce";
            camperId: number;
            turnsBrewing: number;
            state: string;
            recipe: {
                slug: "fourthDimensionalPlantFood" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "joyfultilizer" | "maxJoyfultilizer" | "quantumSeed" | "solidLiquidWanderingIce";
                title: string;
                description: string;
                image: string;
                brewTime: number;
                brewTimeLeniency: number;
                ingredients: ["silkwaterJug" | "silkwaterJugLarge" | "cracklingRainmeter" | "swirlingStormwrangler" | "fourthDimensionalPlantFood" | "tcGen1Beeatrice" | "tcGen1Campfire" | "tcGen1Chisel" | "tcGen1Cloudsailor" | "tcGen1Lodge" | "tcGen1Murmus" | "tcGen1MurmusFoil" | "tcGen1Giant" | "tcGen1LettersInFlight" | "tcGen1SkyCafe" | "tcGen1UnknownLunar" | "tcGen1UnknownSolar" | "tcGen1SecretSauce" | "tcGen1GillroyFoil" | "tcGen2DapperInPurple" | "tcGen2DefinitelyFits" | "tcGen2KnowsHowItWorks" | "tcGen2Casual" | "tcGen2Arcwild" | "tcGen2Mysthull" | "tcGen2Lelatoll" | "tcGen2Skyhook" | "tcGen2Goldspire" | "tcGen2DukePepperbottom" | "tcGen2StudioFoil" | "randomScrap" | "mermaidScale" | "timerootBark" | "spritzBottle" | "livingIcicle" | "stardustBag" | "flaskSmall" | "harvestedAstralDaisy" | "harvestedVoidIvy" | "harvestedCrystalOrchid" | "harvestedBloodLily" | "harvestedRainbowLotus" | "harvestedDragonleaf" | "harvestedAcidBlossom" | "harvestedLightningLotus" | "recipeLiquidWanderingIce" | "recipeSolidLiquidWanderingIce" | "recipeLightningInABottle" | "recipeSoulWater" | "recipeSilkwaterMist" | "recipeQuantumSeed" | "recipeFourthDimensionalPlantFood" | "recipeBlankPlaceholder" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "crystalGeode" | "treasureChest" | "leafPile" | "fallenStar" | "frozenTreasureChest" | "heartShapedBox" | "shippingCrate" | "giantsGift" | "seedPouch" | "tcBoosterPackGen1Common" | "tcBoosterPackGen1Uncommon" | "tcBoosterPackGen1Part2" | "tcBoosterPackGen1Full" | "tcBoosterPackGen2Drop1" | "cosmicPinwheel" | "discardedJacket" | "trident" | "goldLeaf" | "doubloon" | "harvestedObsidianRose" | "harvestedSmoulderingRose" | "harvestedRitualPumpkin" | "harvestedTrophyThistle" | "astralMango" | "spectralPapaya" | "mysticMorel" | "otherworldlyOnion" | "bansheeBerry" | "secretSauce" | "cosmicSocks" | "compositionNotebook" | "shatteredSpyglassLens" | "shatteredSpyglassBody" | "shatteredSpyglassEyepiece" | "restoredSpyglass" | "netheriteVoucher" | "fatefulLoom" | "bullhorn" | "fleetingFeather" | "celestialStone" | "stellarvibePresentSmall2023" | "stellarvibePresentMedium2023" | "stellarvibePresentSmallGlowing2023" | "stellarvibePresentMediumGlowing2023" | "stellarvibePresent2024" | "stellarvibePresentGlowing2024" | "stellarvibePresent2024Max" | "stellarvibePresent2024GlowingMax" | "stellarvibePresentSmall" | "stellarvibePresentSmallGlowing" | "stellarvibePresentMedium" | "stellarvibePresentMediumGlowing" | "stellarvibePresentLarge" | "stellarvibePresentLargeGlowing" | "joyfultilizer" | "maxJoyfultilizer" | "joyrootSeed" | "recipeJoyfultilizer" | "recipeMaxJoyfultilizer" | "scrollOfCultivation" | "scrollOfGreaterCultivation" | "quantumSeed" | "mundaneSeed" | "voidIvySeed" | "crystalOrchidSeed" | "bloodLilySeed" | "obsidianRoseSeed" | "rainbowLotusSeed" | "dragonleafSeed" | "smoulderingRoseSeed" | "wanderingIceSeed" | "stardustBlossomSeed" | "celestialBulbSeed" | "celestialBoonflowerSeed" | "astralMangoTreeSeed" | "spectralPapayaTreeSeed" | "ritualPumpkinSeed" | "trophyThistleSeed" | "acidBlossomSeed", number][];
                result: "silkwaterJug" | "silkwaterJugLarge" | "cracklingRainmeter" | "swirlingStormwrangler" | "fourthDimensionalPlantFood" | "tcGen1Beeatrice" | "tcGen1Campfire" | "tcGen1Chisel" | "tcGen1Cloudsailor" | "tcGen1Lodge" | "tcGen1Murmus" | "tcGen1MurmusFoil" | "tcGen1Giant" | "tcGen1LettersInFlight" | "tcGen1SkyCafe" | "tcGen1UnknownLunar" | "tcGen1UnknownSolar" | "tcGen1SecretSauce" | "tcGen1GillroyFoil" | "tcGen2DapperInPurple" | "tcGen2DefinitelyFits" | "tcGen2KnowsHowItWorks" | "tcGen2Casual" | "tcGen2Arcwild" | "tcGen2Mysthull" | "tcGen2Lelatoll" | "tcGen2Skyhook" | "tcGen2Goldspire" | "tcGen2DukePepperbottom" | "tcGen2StudioFoil" | "randomScrap" | "mermaidScale" | "timerootBark" | "spritzBottle" | "livingIcicle" | "stardustBag" | "flaskSmall" | "harvestedAstralDaisy" | "harvestedVoidIvy" | "harvestedCrystalOrchid" | "harvestedBloodLily" | "harvestedRainbowLotus" | "harvestedDragonleaf" | "harvestedAcidBlossom" | "harvestedLightningLotus" | "recipeLiquidWanderingIce" | "recipeSolidLiquidWanderingIce" | "recipeLightningInABottle" | "recipeSoulWater" | "recipeSilkwaterMist" | "recipeQuantumSeed" | "recipeFourthDimensionalPlantFood" | "recipeBlankPlaceholder" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "crystalGeode" | "treasureChest" | "leafPile" | "fallenStar" | "frozenTreasureChest" | "heartShapedBox" | "shippingCrate" | "giantsGift" | "seedPouch" | "tcBoosterPackGen1Common" | "tcBoosterPackGen1Uncommon" | "tcBoosterPackGen1Part2" | "tcBoosterPackGen1Full" | "tcBoosterPackGen2Drop1" | "cosmicPinwheel" | "discardedJacket" | "trident" | "goldLeaf" | "doubloon" | "harvestedObsidianRose" | "harvestedSmoulderingRose" | "harvestedRitualPumpkin" | "harvestedTrophyThistle" | "astralMango" | "spectralPapaya" | "mysticMorel" | "otherworldlyOnion" | "bansheeBerry" | "secretSauce" | "cosmicSocks" | "compositionNotebook" | "shatteredSpyglassLens" | "shatteredSpyglassBody" | "shatteredSpyglassEyepiece" | "restoredSpyglass" | "netheriteVoucher" | "fatefulLoom" | "bullhorn" | "fleetingFeather" | "celestialStone" | "stellarvibePresentSmall2023" | "stellarvibePresentMedium2023" | "stellarvibePresentSmallGlowing2023" | "stellarvibePresentMediumGlowing2023" | "stellarvibePresent2024" | "stellarvibePresentGlowing2024" | "stellarvibePresent2024Max" | "stellarvibePresent2024GlowingMax" | "stellarvibePresentSmall" | "stellarvibePresentSmallGlowing" | "stellarvibePresentMedium" | "stellarvibePresentMediumGlowing" | "stellarvibePresentLarge" | "stellarvibePresentLargeGlowing" | "joyfultilizer" | "maxJoyfultilizer" | "joyrootSeed" | "recipeJoyfultilizer" | "recipeMaxJoyfultilizer" | "scrollOfCultivation" | "scrollOfGreaterCultivation" | "quantumSeed" | "mundaneSeed" | "voidIvySeed" | "crystalOrchidSeed" | "bloodLilySeed" | "obsidianRoseSeed" | "rainbowLotusSeed" | "dragonleafSeed" | "smoulderingRoseSeed" | "wanderingIceSeed" | "stardustBlossomSeed" | "celestialBulbSeed" | "celestialBoonflowerSeed" | "astralMangoTreeSeed" | "spectralPapayaTreeSeed" | "ritualPumpkinSeed" | "trophyThistleSeed" | "acidBlossomSeed";
            };
            isReady: boolean;
            autoStop: boolean;
        }>;
    };
    readonly "chemistry@complete": {
        readonly input: z.ZodObject<{
            concoctionId: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            concoctionId: number;
        }, {
            concoctionId: number;
        }>;
        readonly output: z.ZodUnion<[z.ZodObject<{
            state: z.ZodLiteral<"success">;
            item: z.ZodObject<{
                itemId: z.ZodNumber;
                camperId: z.ZodNumber;
                slug: z.ZodEnum<["silkwaterJug", "silkwaterJugLarge", "cracklingRainmeter", "swirlingStormwrangler", "fourthDimensionalPlantFood", "tcGen1Beeatrice", "tcGen1Campfire", "tcGen1Chisel", "tcGen1Cloudsailor", "tcGen1Lodge", "tcGen1Murmus", "tcGen1MurmusFoil", "tcGen1Giant", "tcGen1LettersInFlight", "tcGen1SkyCafe", "tcGen1UnknownLunar", "tcGen1UnknownSolar", "tcGen1SecretSauce", "tcGen1GillroyFoil", "tcGen2DapperInPurple", "tcGen2DefinitelyFits", "tcGen2KnowsHowItWorks", "tcGen2Casual", "tcGen2Arcwild", "tcGen2Mysthull", "tcGen2Lelatoll", "tcGen2Skyhook", "tcGen2Goldspire", "tcGen2DukePepperbottom", "tcGen2StudioFoil", "randomScrap", "mermaidScale", "timerootBark", "spritzBottle", "livingIcicle", "stardustBag", "flaskSmall", "harvestedAstralDaisy", "harvestedVoidIvy", "harvestedCrystalOrchid", "harvestedBloodLily", "harvestedRainbowLotus", "harvestedDragonleaf", "harvestedAcidBlossom", "harvestedLightningLotus", "recipeLiquidWanderingIce", "recipeSolidLiquidWanderingIce", "recipeLightningInABottle", "recipeSoulWater", "recipeSilkwaterMist", "recipeQuantumSeed", "recipeFourthDimensionalPlantFood", "recipeBlankPlaceholder", "liquidWanderingIce", "soulWater", "silkwaterMist", "lightningInABottle", "crystalGeode", "treasureChest", "leafPile", "fallenStar", "frozenTreasureChest", "heartShapedBox", "shippingCrate", "giantsGift", "seedPouch", "tcBoosterPackGen1Common", "tcBoosterPackGen1Uncommon", "tcBoosterPackGen1Part2", "tcBoosterPackGen1Full", "tcBoosterPackGen2Drop1", "cosmicPinwheel", "discardedJacket", "trident", "goldLeaf", "doubloon", "harvestedObsidianRose", "harvestedSmoulderingRose", "harvestedRitualPumpkin", "harvestedTrophyThistle", "astralMango", "spectralPapaya", "mysticMorel", "otherworldlyOnion", "bansheeBerry", "secretSauce", "cosmicSocks", "compositionNotebook", "shatteredSpyglassLens", "shatteredSpyglassBody", "shatteredSpyglassEyepiece", "restoredSpyglass", "netheriteVoucher", "fatefulLoom", "bullhorn", "fleetingFeather", "celestialStone", "stellarvibePresentSmall2023", "stellarvibePresentMedium2023", "stellarvibePresentSmallGlowing2023", "stellarvibePresentMediumGlowing2023", "stellarvibePresent2024", "stellarvibePresentGlowing2024", "stellarvibePresent2024Max", "stellarvibePresent2024GlowingMax", "stellarvibePresentSmall", "stellarvibePresentSmallGlowing", "stellarvibePresentMedium", "stellarvibePresentMediumGlowing", "stellarvibePresentLarge", "stellarvibePresentLargeGlowing", "joyfultilizer", "maxJoyfultilizer", "joyrootSeed", "recipeJoyfultilizer", "recipeMaxJoyfultilizer", "scrollOfCultivation", "scrollOfGreaterCultivation", "quantumSeed", "mundaneSeed", "voidIvySeed", "crystalOrchidSeed", "bloodLilySeed", "obsidianRoseSeed", "rainbowLotusSeed", "dragonleafSeed", "smoulderingRoseSeed", "wanderingIceSeed", "stardustBlossomSeed", "celestialBulbSeed", "celestialBoonflowerSeed", "astralMangoTreeSeed", "spectralPapayaTreeSeed", "ritualPumpkinSeed", "trophyThistleSeed", "acidBlossomSeed"]>;
                name: z.ZodString;
                description: z.ZodString;
                flavorText: z.ZodString;
                icon: z.ZodString;
                value: z.ZodNumber;
                category: z.ZodEnum<["redeemable", "cosmetic", "container", "seed", "flower", "consumable", "card", "food", "relic", "scroll", "concoction", "recipe", "component"]>;
                categoryTitle: z.ZodString;
                preserveAfterUsing: z.ZodBoolean;
                canBeUsed: z.ZodBoolean;
                canUseInBotany: z.ZodBoolean;
                rarity: z.ZodEnum<["common", "uncommon", "rare", "relic"]>;
                relatedConcoction: z.ZodOptional<z.ZodEnum<["liquidWanderingIce", "solidLiquidWanderingIce", "lightningInABottle", "soulWater", "silkwaterMist", "joyfultilizer", "maxJoyfultilizer", "quantumSeed", "fourthDimensionalPlantFood"]>>;
            }, "strip", z.ZodTypeAny, {
                value: number;
                name: string;
                slug: "silkwaterJug" | "silkwaterJugLarge" | "cracklingRainmeter" | "swirlingStormwrangler" | "fourthDimensionalPlantFood" | "tcGen1Beeatrice" | "tcGen1Campfire" | "tcGen1Chisel" | "tcGen1Cloudsailor" | "tcGen1Lodge" | "tcGen1Murmus" | "tcGen1MurmusFoil" | "tcGen1Giant" | "tcGen1LettersInFlight" | "tcGen1SkyCafe" | "tcGen1UnknownLunar" | "tcGen1UnknownSolar" | "tcGen1SecretSauce" | "tcGen1GillroyFoil" | "tcGen2DapperInPurple" | "tcGen2DefinitelyFits" | "tcGen2KnowsHowItWorks" | "tcGen2Casual" | "tcGen2Arcwild" | "tcGen2Mysthull" | "tcGen2Lelatoll" | "tcGen2Skyhook" | "tcGen2Goldspire" | "tcGen2DukePepperbottom" | "tcGen2StudioFoil" | "randomScrap" | "mermaidScale" | "timerootBark" | "spritzBottle" | "livingIcicle" | "stardustBag" | "flaskSmall" | "harvestedAstralDaisy" | "harvestedVoidIvy" | "harvestedCrystalOrchid" | "harvestedBloodLily" | "harvestedRainbowLotus" | "harvestedDragonleaf" | "harvestedAcidBlossom" | "harvestedLightningLotus" | "recipeLiquidWanderingIce" | "recipeSolidLiquidWanderingIce" | "recipeLightningInABottle" | "recipeSoulWater" | "recipeSilkwaterMist" | "recipeQuantumSeed" | "recipeFourthDimensionalPlantFood" | "recipeBlankPlaceholder" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "crystalGeode" | "treasureChest" | "leafPile" | "fallenStar" | "frozenTreasureChest" | "heartShapedBox" | "shippingCrate" | "giantsGift" | "seedPouch" | "tcBoosterPackGen1Common" | "tcBoosterPackGen1Uncommon" | "tcBoosterPackGen1Part2" | "tcBoosterPackGen1Full" | "tcBoosterPackGen2Drop1" | "cosmicPinwheel" | "discardedJacket" | "trident" | "goldLeaf" | "doubloon" | "harvestedObsidianRose" | "harvestedSmoulderingRose" | "harvestedRitualPumpkin" | "harvestedTrophyThistle" | "astralMango" | "spectralPapaya" | "mysticMorel" | "otherworldlyOnion" | "bansheeBerry" | "secretSauce" | "cosmicSocks" | "compositionNotebook" | "shatteredSpyglassLens" | "shatteredSpyglassBody" | "shatteredSpyglassEyepiece" | "restoredSpyglass" | "netheriteVoucher" | "fatefulLoom" | "bullhorn" | "fleetingFeather" | "celestialStone" | "stellarvibePresentSmall2023" | "stellarvibePresentMedium2023" | "stellarvibePresentSmallGlowing2023" | "stellarvibePresentMediumGlowing2023" | "stellarvibePresent2024" | "stellarvibePresentGlowing2024" | "stellarvibePresent2024Max" | "stellarvibePresent2024GlowingMax" | "stellarvibePresentSmall" | "stellarvibePresentSmallGlowing" | "stellarvibePresentMedium" | "stellarvibePresentMediumGlowing" | "stellarvibePresentLarge" | "stellarvibePresentLargeGlowing" | "joyfultilizer" | "maxJoyfultilizer" | "joyrootSeed" | "recipeJoyfultilizer" | "recipeMaxJoyfultilizer" | "scrollOfCultivation" | "scrollOfGreaterCultivation" | "quantumSeed" | "mundaneSeed" | "voidIvySeed" | "crystalOrchidSeed" | "bloodLilySeed" | "obsidianRoseSeed" | "rainbowLotusSeed" | "dragonleafSeed" | "smoulderingRoseSeed" | "wanderingIceSeed" | "stardustBlossomSeed" | "celestialBulbSeed" | "celestialBoonflowerSeed" | "astralMangoTreeSeed" | "spectralPapayaTreeSeed" | "ritualPumpkinSeed" | "trophyThistleSeed" | "acidBlossomSeed";
                description: string;
                camperId: number;
                itemId: number;
                flavorText: string;
                icon: string;
                category: "recipe" | "redeemable" | "cosmetic" | "container" | "seed" | "flower" | "consumable" | "card" | "food" | "relic" | "scroll" | "concoction" | "component";
                categoryTitle: string;
                preserveAfterUsing: boolean;
                canBeUsed: boolean;
                canUseInBotany: boolean;
                rarity: "relic" | "common" | "uncommon" | "rare";
                relatedConcoction?: "fourthDimensionalPlantFood" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "joyfultilizer" | "maxJoyfultilizer" | "quantumSeed" | "solidLiquidWanderingIce" | undefined;
            }, {
                value: number;
                name: string;
                slug: "silkwaterJug" | "silkwaterJugLarge" | "cracklingRainmeter" | "swirlingStormwrangler" | "fourthDimensionalPlantFood" | "tcGen1Beeatrice" | "tcGen1Campfire" | "tcGen1Chisel" | "tcGen1Cloudsailor" | "tcGen1Lodge" | "tcGen1Murmus" | "tcGen1MurmusFoil" | "tcGen1Giant" | "tcGen1LettersInFlight" | "tcGen1SkyCafe" | "tcGen1UnknownLunar" | "tcGen1UnknownSolar" | "tcGen1SecretSauce" | "tcGen1GillroyFoil" | "tcGen2DapperInPurple" | "tcGen2DefinitelyFits" | "tcGen2KnowsHowItWorks" | "tcGen2Casual" | "tcGen2Arcwild" | "tcGen2Mysthull" | "tcGen2Lelatoll" | "tcGen2Skyhook" | "tcGen2Goldspire" | "tcGen2DukePepperbottom" | "tcGen2StudioFoil" | "randomScrap" | "mermaidScale" | "timerootBark" | "spritzBottle" | "livingIcicle" | "stardustBag" | "flaskSmall" | "harvestedAstralDaisy" | "harvestedVoidIvy" | "harvestedCrystalOrchid" | "harvestedBloodLily" | "harvestedRainbowLotus" | "harvestedDragonleaf" | "harvestedAcidBlossom" | "harvestedLightningLotus" | "recipeLiquidWanderingIce" | "recipeSolidLiquidWanderingIce" | "recipeLightningInABottle" | "recipeSoulWater" | "recipeSilkwaterMist" | "recipeQuantumSeed" | "recipeFourthDimensionalPlantFood" | "recipeBlankPlaceholder" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "crystalGeode" | "treasureChest" | "leafPile" | "fallenStar" | "frozenTreasureChest" | "heartShapedBox" | "shippingCrate" | "giantsGift" | "seedPouch" | "tcBoosterPackGen1Common" | "tcBoosterPackGen1Uncommon" | "tcBoosterPackGen1Part2" | "tcBoosterPackGen1Full" | "tcBoosterPackGen2Drop1" | "cosmicPinwheel" | "discardedJacket" | "trident" | "goldLeaf" | "doubloon" | "harvestedObsidianRose" | "harvestedSmoulderingRose" | "harvestedRitualPumpkin" | "harvestedTrophyThistle" | "astralMango" | "spectralPapaya" | "mysticMorel" | "otherworldlyOnion" | "bansheeBerry" | "secretSauce" | "cosmicSocks" | "compositionNotebook" | "shatteredSpyglassLens" | "shatteredSpyglassBody" | "shatteredSpyglassEyepiece" | "restoredSpyglass" | "netheriteVoucher" | "fatefulLoom" | "bullhorn" | "fleetingFeather" | "celestialStone" | "stellarvibePresentSmall2023" | "stellarvibePresentMedium2023" | "stellarvibePresentSmallGlowing2023" | "stellarvibePresentMediumGlowing2023" | "stellarvibePresent2024" | "stellarvibePresentGlowing2024" | "stellarvibePresent2024Max" | "stellarvibePresent2024GlowingMax" | "stellarvibePresentSmall" | "stellarvibePresentSmallGlowing" | "stellarvibePresentMedium" | "stellarvibePresentMediumGlowing" | "stellarvibePresentLarge" | "stellarvibePresentLargeGlowing" | "joyfultilizer" | "maxJoyfultilizer" | "joyrootSeed" | "recipeJoyfultilizer" | "recipeMaxJoyfultilizer" | "scrollOfCultivation" | "scrollOfGreaterCultivation" | "quantumSeed" | "mundaneSeed" | "voidIvySeed" | "crystalOrchidSeed" | "bloodLilySeed" | "obsidianRoseSeed" | "rainbowLotusSeed" | "dragonleafSeed" | "smoulderingRoseSeed" | "wanderingIceSeed" | "stardustBlossomSeed" | "celestialBulbSeed" | "celestialBoonflowerSeed" | "astralMangoTreeSeed" | "spectralPapayaTreeSeed" | "ritualPumpkinSeed" | "trophyThistleSeed" | "acidBlossomSeed";
                description: string;
                camperId: number;
                itemId: number;
                flavorText: string;
                icon: string;
                category: "recipe" | "redeemable" | "cosmetic" | "container" | "seed" | "flower" | "consumable" | "card" | "food" | "relic" | "scroll" | "concoction" | "component";
                categoryTitle: string;
                preserveAfterUsing: boolean;
                canBeUsed: boolean;
                canUseInBotany: boolean;
                rarity: "relic" | "common" | "uncommon" | "rare";
                relatedConcoction?: "fourthDimensionalPlantFood" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "joyfultilizer" | "maxJoyfultilizer" | "quantumSeed" | "solidLiquidWanderingIce" | undefined;
            }>;
        }, "strip", z.ZodTypeAny, {
            state: "success";
            item: {
                value: number;
                name: string;
                slug: "silkwaterJug" | "silkwaterJugLarge" | "cracklingRainmeter" | "swirlingStormwrangler" | "fourthDimensionalPlantFood" | "tcGen1Beeatrice" | "tcGen1Campfire" | "tcGen1Chisel" | "tcGen1Cloudsailor" | "tcGen1Lodge" | "tcGen1Murmus" | "tcGen1MurmusFoil" | "tcGen1Giant" | "tcGen1LettersInFlight" | "tcGen1SkyCafe" | "tcGen1UnknownLunar" | "tcGen1UnknownSolar" | "tcGen1SecretSauce" | "tcGen1GillroyFoil" | "tcGen2DapperInPurple" | "tcGen2DefinitelyFits" | "tcGen2KnowsHowItWorks" | "tcGen2Casual" | "tcGen2Arcwild" | "tcGen2Mysthull" | "tcGen2Lelatoll" | "tcGen2Skyhook" | "tcGen2Goldspire" | "tcGen2DukePepperbottom" | "tcGen2StudioFoil" | "randomScrap" | "mermaidScale" | "timerootBark" | "spritzBottle" | "livingIcicle" | "stardustBag" | "flaskSmall" | "harvestedAstralDaisy" | "harvestedVoidIvy" | "harvestedCrystalOrchid" | "harvestedBloodLily" | "harvestedRainbowLotus" | "harvestedDragonleaf" | "harvestedAcidBlossom" | "harvestedLightningLotus" | "recipeLiquidWanderingIce" | "recipeSolidLiquidWanderingIce" | "recipeLightningInABottle" | "recipeSoulWater" | "recipeSilkwaterMist" | "recipeQuantumSeed" | "recipeFourthDimensionalPlantFood" | "recipeBlankPlaceholder" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "crystalGeode" | "treasureChest" | "leafPile" | "fallenStar" | "frozenTreasureChest" | "heartShapedBox" | "shippingCrate" | "giantsGift" | "seedPouch" | "tcBoosterPackGen1Common" | "tcBoosterPackGen1Uncommon" | "tcBoosterPackGen1Part2" | "tcBoosterPackGen1Full" | "tcBoosterPackGen2Drop1" | "cosmicPinwheel" | "discardedJacket" | "trident" | "goldLeaf" | "doubloon" | "harvestedObsidianRose" | "harvestedSmoulderingRose" | "harvestedRitualPumpkin" | "harvestedTrophyThistle" | "astralMango" | "spectralPapaya" | "mysticMorel" | "otherworldlyOnion" | "bansheeBerry" | "secretSauce" | "cosmicSocks" | "compositionNotebook" | "shatteredSpyglassLens" | "shatteredSpyglassBody" | "shatteredSpyglassEyepiece" | "restoredSpyglass" | "netheriteVoucher" | "fatefulLoom" | "bullhorn" | "fleetingFeather" | "celestialStone" | "stellarvibePresentSmall2023" | "stellarvibePresentMedium2023" | "stellarvibePresentSmallGlowing2023" | "stellarvibePresentMediumGlowing2023" | "stellarvibePresent2024" | "stellarvibePresentGlowing2024" | "stellarvibePresent2024Max" | "stellarvibePresent2024GlowingMax" | "stellarvibePresentSmall" | "stellarvibePresentSmallGlowing" | "stellarvibePresentMedium" | "stellarvibePresentMediumGlowing" | "stellarvibePresentLarge" | "stellarvibePresentLargeGlowing" | "joyfultilizer" | "maxJoyfultilizer" | "joyrootSeed" | "recipeJoyfultilizer" | "recipeMaxJoyfultilizer" | "scrollOfCultivation" | "scrollOfGreaterCultivation" | "quantumSeed" | "mundaneSeed" | "voidIvySeed" | "crystalOrchidSeed" | "bloodLilySeed" | "obsidianRoseSeed" | "rainbowLotusSeed" | "dragonleafSeed" | "smoulderingRoseSeed" | "wanderingIceSeed" | "stardustBlossomSeed" | "celestialBulbSeed" | "celestialBoonflowerSeed" | "astralMangoTreeSeed" | "spectralPapayaTreeSeed" | "ritualPumpkinSeed" | "trophyThistleSeed" | "acidBlossomSeed";
                description: string;
                camperId: number;
                itemId: number;
                flavorText: string;
                icon: string;
                category: "recipe" | "redeemable" | "cosmetic" | "container" | "seed" | "flower" | "consumable" | "card" | "food" | "relic" | "scroll" | "concoction" | "component";
                categoryTitle: string;
                preserveAfterUsing: boolean;
                canBeUsed: boolean;
                canUseInBotany: boolean;
                rarity: "relic" | "common" | "uncommon" | "rare";
                relatedConcoction?: "fourthDimensionalPlantFood" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "joyfultilizer" | "maxJoyfultilizer" | "quantumSeed" | "solidLiquidWanderingIce" | undefined;
            };
        }, {
            state: "success";
            item: {
                value: number;
                name: string;
                slug: "silkwaterJug" | "silkwaterJugLarge" | "cracklingRainmeter" | "swirlingStormwrangler" | "fourthDimensionalPlantFood" | "tcGen1Beeatrice" | "tcGen1Campfire" | "tcGen1Chisel" | "tcGen1Cloudsailor" | "tcGen1Lodge" | "tcGen1Murmus" | "tcGen1MurmusFoil" | "tcGen1Giant" | "tcGen1LettersInFlight" | "tcGen1SkyCafe" | "tcGen1UnknownLunar" | "tcGen1UnknownSolar" | "tcGen1SecretSauce" | "tcGen1GillroyFoil" | "tcGen2DapperInPurple" | "tcGen2DefinitelyFits" | "tcGen2KnowsHowItWorks" | "tcGen2Casual" | "tcGen2Arcwild" | "tcGen2Mysthull" | "tcGen2Lelatoll" | "tcGen2Skyhook" | "tcGen2Goldspire" | "tcGen2DukePepperbottom" | "tcGen2StudioFoil" | "randomScrap" | "mermaidScale" | "timerootBark" | "spritzBottle" | "livingIcicle" | "stardustBag" | "flaskSmall" | "harvestedAstralDaisy" | "harvestedVoidIvy" | "harvestedCrystalOrchid" | "harvestedBloodLily" | "harvestedRainbowLotus" | "harvestedDragonleaf" | "harvestedAcidBlossom" | "harvestedLightningLotus" | "recipeLiquidWanderingIce" | "recipeSolidLiquidWanderingIce" | "recipeLightningInABottle" | "recipeSoulWater" | "recipeSilkwaterMist" | "recipeQuantumSeed" | "recipeFourthDimensionalPlantFood" | "recipeBlankPlaceholder" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "crystalGeode" | "treasureChest" | "leafPile" | "fallenStar" | "frozenTreasureChest" | "heartShapedBox" | "shippingCrate" | "giantsGift" | "seedPouch" | "tcBoosterPackGen1Common" | "tcBoosterPackGen1Uncommon" | "tcBoosterPackGen1Part2" | "tcBoosterPackGen1Full" | "tcBoosterPackGen2Drop1" | "cosmicPinwheel" | "discardedJacket" | "trident" | "goldLeaf" | "doubloon" | "harvestedObsidianRose" | "harvestedSmoulderingRose" | "harvestedRitualPumpkin" | "harvestedTrophyThistle" | "astralMango" | "spectralPapaya" | "mysticMorel" | "otherworldlyOnion" | "bansheeBerry" | "secretSauce" | "cosmicSocks" | "compositionNotebook" | "shatteredSpyglassLens" | "shatteredSpyglassBody" | "shatteredSpyglassEyepiece" | "restoredSpyglass" | "netheriteVoucher" | "fatefulLoom" | "bullhorn" | "fleetingFeather" | "celestialStone" | "stellarvibePresentSmall2023" | "stellarvibePresentMedium2023" | "stellarvibePresentSmallGlowing2023" | "stellarvibePresentMediumGlowing2023" | "stellarvibePresent2024" | "stellarvibePresentGlowing2024" | "stellarvibePresent2024Max" | "stellarvibePresent2024GlowingMax" | "stellarvibePresentSmall" | "stellarvibePresentSmallGlowing" | "stellarvibePresentMedium" | "stellarvibePresentMediumGlowing" | "stellarvibePresentLarge" | "stellarvibePresentLargeGlowing" | "joyfultilizer" | "maxJoyfultilizer" | "joyrootSeed" | "recipeJoyfultilizer" | "recipeMaxJoyfultilizer" | "scrollOfCultivation" | "scrollOfGreaterCultivation" | "quantumSeed" | "mundaneSeed" | "voidIvySeed" | "crystalOrchidSeed" | "bloodLilySeed" | "obsidianRoseSeed" | "rainbowLotusSeed" | "dragonleafSeed" | "smoulderingRoseSeed" | "wanderingIceSeed" | "stardustBlossomSeed" | "celestialBulbSeed" | "celestialBoonflowerSeed" | "astralMangoTreeSeed" | "spectralPapayaTreeSeed" | "ritualPumpkinSeed" | "trophyThistleSeed" | "acidBlossomSeed";
                description: string;
                camperId: number;
                itemId: number;
                flavorText: string;
                icon: string;
                category: "recipe" | "redeemable" | "cosmetic" | "container" | "seed" | "flower" | "consumable" | "card" | "food" | "relic" | "scroll" | "concoction" | "component";
                categoryTitle: string;
                preserveAfterUsing: boolean;
                canBeUsed: boolean;
                canUseInBotany: boolean;
                rarity: "relic" | "common" | "uncommon" | "rare";
                relatedConcoction?: "fourthDimensionalPlantFood" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "joyfultilizer" | "maxJoyfultilizer" | "quantumSeed" | "solidLiquidWanderingIce" | undefined;
            };
        }>, z.ZodObject<{
            state: z.ZodEnum<["too-early", "too-late"]>;
            item: z.ZodNull;
        }, "strip", z.ZodTypeAny, {
            state: "too-early" | "too-late";
            item: null;
        }, {
            state: "too-early" | "too-late";
            item: null;
        }>]>;
    };
    readonly "chemistry@scribe": {
        readonly input: z.ZodObject<{
            concoctionSlug: z.ZodEnum<["liquidWanderingIce", "solidLiquidWanderingIce", "lightningInABottle", "soulWater", "silkwaterMist", "joyfultilizer", "maxJoyfultilizer", "quantumSeed", "fourthDimensionalPlantFood"]>;
        }, "strip", z.ZodTypeAny, {
            concoctionSlug: "fourthDimensionalPlantFood" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "joyfultilizer" | "maxJoyfultilizer" | "quantumSeed" | "solidLiquidWanderingIce";
        }, {
            concoctionSlug: "fourthDimensionalPlantFood" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "joyfultilizer" | "maxJoyfultilizer" | "quantumSeed" | "solidLiquidWanderingIce";
        }>;
        readonly output: z.ZodVoid;
    };
    readonly "botany@water-plant": {
        readonly input: z.ZodObject<{
            amount: z.ZodNumber;
            plantId: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            amount: number;
            plantId: number;
        }, {
            amount: number;
            plantId: number;
        }>;
        readonly output: z.ZodObject<{
            plant: z.ZodObject<{
                slug: z.ZodEnum<["astralDaisy", "voidIvy", "crystalOrchid", "bloodLily", "obsidianRose", "rainbowLotus", "dragonleaf", "wanderingIce", "lightningLotus", "smoulderingRose", "stardustBlossom", "celestialBulb", "celestialBoonflower", "astralMangoTree", "spectralPapayaTree", "ritualPumpkin", "acidBlossom", "trophyThistle", "joyroot", "joyblossom", "joybrushTangle"]>;
                id: z.ZodNumber;
                ownerId: z.ZodNumber;
                plantedAt: z.ZodNumber;
                waterLevel: z.ZodNumber;
                waterMissing: z.ZodNumber;
                waterRate: z.ZodNumber;
                ticksRemaining: z.ZodNumber;
                name: z.ZodString;
                description: z.ZodString;
                icon: z.ZodString;
                isGrowing: z.ZodBoolean;
                isWaterable: z.ZodBoolean;
                isDead: z.ZodBoolean;
                isReady: z.ZodBoolean;
            }, "strip", z.ZodTypeAny, {
                id: number;
                name: string;
                slug: "astralDaisy" | "voidIvy" | "crystalOrchid" | "bloodLily" | "obsidianRose" | "rainbowLotus" | "dragonleaf" | "wanderingIce" | "lightningLotus" | "smoulderingRose" | "stardustBlossom" | "celestialBulb" | "celestialBoonflower" | "astralMangoTree" | "spectralPapayaTree" | "ritualPumpkin" | "acidBlossom" | "trophyThistle" | "joyroot" | "joyblossom" | "joybrushTangle";
                description: string;
                isReady: boolean;
                icon: string;
                ownerId: number;
                plantedAt: number;
                waterLevel: number;
                waterMissing: number;
                waterRate: number;
                ticksRemaining: number;
                isGrowing: boolean;
                isWaterable: boolean;
                isDead: boolean;
            }, {
                id: number;
                name: string;
                slug: "astralDaisy" | "voidIvy" | "crystalOrchid" | "bloodLily" | "obsidianRose" | "rainbowLotus" | "dragonleaf" | "wanderingIce" | "lightningLotus" | "smoulderingRose" | "stardustBlossom" | "celestialBulb" | "celestialBoonflower" | "astralMangoTree" | "spectralPapayaTree" | "ritualPumpkin" | "acidBlossom" | "trophyThistle" | "joyroot" | "joyblossom" | "joybrushTangle";
                description: string;
                isReady: boolean;
                icon: string;
                ownerId: number;
                plantedAt: number;
                waterLevel: number;
                waterMissing: number;
                waterRate: number;
                ticksRemaining: number;
                isGrowing: boolean;
                isWaterable: boolean;
                isDead: boolean;
            }>;
            waterUsed: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            plant: {
                id: number;
                name: string;
                slug: "astralDaisy" | "voidIvy" | "crystalOrchid" | "bloodLily" | "obsidianRose" | "rainbowLotus" | "dragonleaf" | "wanderingIce" | "lightningLotus" | "smoulderingRose" | "stardustBlossom" | "celestialBulb" | "celestialBoonflower" | "astralMangoTree" | "spectralPapayaTree" | "ritualPumpkin" | "acidBlossom" | "trophyThistle" | "joyroot" | "joyblossom" | "joybrushTangle";
                description: string;
                isReady: boolean;
                icon: string;
                ownerId: number;
                plantedAt: number;
                waterLevel: number;
                waterMissing: number;
                waterRate: number;
                ticksRemaining: number;
                isGrowing: boolean;
                isWaterable: boolean;
                isDead: boolean;
            };
            waterUsed: number;
        }, {
            plant: {
                id: number;
                name: string;
                slug: "astralDaisy" | "voidIvy" | "crystalOrchid" | "bloodLily" | "obsidianRose" | "rainbowLotus" | "dragonleaf" | "wanderingIce" | "lightningLotus" | "smoulderingRose" | "stardustBlossom" | "celestialBulb" | "celestialBoonflower" | "astralMangoTree" | "spectralPapayaTree" | "ritualPumpkin" | "acidBlossom" | "trophyThistle" | "joyroot" | "joyblossom" | "joybrushTangle";
                description: string;
                isReady: boolean;
                icon: string;
                ownerId: number;
                plantedAt: number;
                waterLevel: number;
                waterMissing: number;
                waterRate: number;
                ticksRemaining: number;
                isGrowing: boolean;
                isWaterable: boolean;
                isDead: boolean;
            };
            waterUsed: number;
        }>;
    };
    readonly "botany@use-item": {
        readonly input: z.ZodObject<{
            itemId: z.ZodNumber;
            plantId: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            itemId: number;
            plantId: number;
        }, {
            itemId: number;
            plantId: number;
        }>;
        readonly output: z.ZodString;
    };
    readonly "botany@water-all-for-camper": {
        readonly input: z.ZodObject<{
            camperId: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            camperId: number;
        }, {
            camperId: number;
        }>;
        readonly output: z.ZodObject<{
            waterUsed: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            waterUsed: number;
        }, {
            waterUsed: number;
        }>;
    };
    readonly "botany@harvest-plant": {
        readonly input: z.ZodObject<{
            plantId: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            plantId: number;
        }, {
            plantId: number;
        }>;
        readonly output: z.ZodObject<{
            conduits: z.ZodNumber;
            items: z.ZodArray<z.ZodEnum<["silkwaterJug", "silkwaterJugLarge", "cracklingRainmeter", "swirlingStormwrangler", "fourthDimensionalPlantFood", "tcGen1Beeatrice", "tcGen1Campfire", "tcGen1Chisel", "tcGen1Cloudsailor", "tcGen1Lodge", "tcGen1Murmus", "tcGen1MurmusFoil", "tcGen1Giant", "tcGen1LettersInFlight", "tcGen1SkyCafe", "tcGen1UnknownLunar", "tcGen1UnknownSolar", "tcGen1SecretSauce", "tcGen1GillroyFoil", "tcGen2DapperInPurple", "tcGen2DefinitelyFits", "tcGen2KnowsHowItWorks", "tcGen2Casual", "tcGen2Arcwild", "tcGen2Mysthull", "tcGen2Lelatoll", "tcGen2Skyhook", "tcGen2Goldspire", "tcGen2DukePepperbottom", "tcGen2StudioFoil", "randomScrap", "mermaidScale", "timerootBark", "spritzBottle", "livingIcicle", "stardustBag", "flaskSmall", "harvestedAstralDaisy", "harvestedVoidIvy", "harvestedCrystalOrchid", "harvestedBloodLily", "harvestedRainbowLotus", "harvestedDragonleaf", "harvestedAcidBlossom", "harvestedLightningLotus", "recipeLiquidWanderingIce", "recipeSolidLiquidWanderingIce", "recipeLightningInABottle", "recipeSoulWater", "recipeSilkwaterMist", "recipeQuantumSeed", "recipeFourthDimensionalPlantFood", "recipeBlankPlaceholder", "liquidWanderingIce", "soulWater", "silkwaterMist", "lightningInABottle", "crystalGeode", "treasureChest", "leafPile", "fallenStar", "frozenTreasureChest", "heartShapedBox", "shippingCrate", "giantsGift", "seedPouch", "tcBoosterPackGen1Common", "tcBoosterPackGen1Uncommon", "tcBoosterPackGen1Part2", "tcBoosterPackGen1Full", "tcBoosterPackGen2Drop1", "cosmicPinwheel", "discardedJacket", "trident", "goldLeaf", "doubloon", "harvestedObsidianRose", "harvestedSmoulderingRose", "harvestedRitualPumpkin", "harvestedTrophyThistle", "astralMango", "spectralPapaya", "mysticMorel", "otherworldlyOnion", "bansheeBerry", "secretSauce", "cosmicSocks", "compositionNotebook", "shatteredSpyglassLens", "shatteredSpyglassBody", "shatteredSpyglassEyepiece", "restoredSpyglass", "netheriteVoucher", "fatefulLoom", "bullhorn", "fleetingFeather", "celestialStone", "stellarvibePresentSmall2023", "stellarvibePresentMedium2023", "stellarvibePresentSmallGlowing2023", "stellarvibePresentMediumGlowing2023", "stellarvibePresent2024", "stellarvibePresentGlowing2024", "stellarvibePresent2024Max", "stellarvibePresent2024GlowingMax", "stellarvibePresentSmall", "stellarvibePresentSmallGlowing", "stellarvibePresentMedium", "stellarvibePresentMediumGlowing", "stellarvibePresentLarge", "stellarvibePresentLargeGlowing", "joyfultilizer", "maxJoyfultilizer", "joyrootSeed", "recipeJoyfultilizer", "recipeMaxJoyfultilizer", "scrollOfCultivation", "scrollOfGreaterCultivation", "quantumSeed", "mundaneSeed", "voidIvySeed", "crystalOrchidSeed", "bloodLilySeed", "obsidianRoseSeed", "rainbowLotusSeed", "dragonleafSeed", "smoulderingRoseSeed", "wanderingIceSeed", "stardustBlossomSeed", "celestialBulbSeed", "celestialBoonflowerSeed", "astralMangoTreeSeed", "spectralPapayaTreeSeed", "ritualPumpkinSeed", "trophyThistleSeed", "acidBlossomSeed"]>, "many">;
            waterRefund: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            conduits: number;
            items: ("silkwaterJug" | "silkwaterJugLarge" | "cracklingRainmeter" | "swirlingStormwrangler" | "fourthDimensionalPlantFood" | "tcGen1Beeatrice" | "tcGen1Campfire" | "tcGen1Chisel" | "tcGen1Cloudsailor" | "tcGen1Lodge" | "tcGen1Murmus" | "tcGen1MurmusFoil" | "tcGen1Giant" | "tcGen1LettersInFlight" | "tcGen1SkyCafe" | "tcGen1UnknownLunar" | "tcGen1UnknownSolar" | "tcGen1SecretSauce" | "tcGen1GillroyFoil" | "tcGen2DapperInPurple" | "tcGen2DefinitelyFits" | "tcGen2KnowsHowItWorks" | "tcGen2Casual" | "tcGen2Arcwild" | "tcGen2Mysthull" | "tcGen2Lelatoll" | "tcGen2Skyhook" | "tcGen2Goldspire" | "tcGen2DukePepperbottom" | "tcGen2StudioFoil" | "randomScrap" | "mermaidScale" | "timerootBark" | "spritzBottle" | "livingIcicle" | "stardustBag" | "flaskSmall" | "harvestedAstralDaisy" | "harvestedVoidIvy" | "harvestedCrystalOrchid" | "harvestedBloodLily" | "harvestedRainbowLotus" | "harvestedDragonleaf" | "harvestedAcidBlossom" | "harvestedLightningLotus" | "recipeLiquidWanderingIce" | "recipeSolidLiquidWanderingIce" | "recipeLightningInABottle" | "recipeSoulWater" | "recipeSilkwaterMist" | "recipeQuantumSeed" | "recipeFourthDimensionalPlantFood" | "recipeBlankPlaceholder" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "crystalGeode" | "treasureChest" | "leafPile" | "fallenStar" | "frozenTreasureChest" | "heartShapedBox" | "shippingCrate" | "giantsGift" | "seedPouch" | "tcBoosterPackGen1Common" | "tcBoosterPackGen1Uncommon" | "tcBoosterPackGen1Part2" | "tcBoosterPackGen1Full" | "tcBoosterPackGen2Drop1" | "cosmicPinwheel" | "discardedJacket" | "trident" | "goldLeaf" | "doubloon" | "harvestedObsidianRose" | "harvestedSmoulderingRose" | "harvestedRitualPumpkin" | "harvestedTrophyThistle" | "astralMango" | "spectralPapaya" | "mysticMorel" | "otherworldlyOnion" | "bansheeBerry" | "secretSauce" | "cosmicSocks" | "compositionNotebook" | "shatteredSpyglassLens" | "shatteredSpyglassBody" | "shatteredSpyglassEyepiece" | "restoredSpyglass" | "netheriteVoucher" | "fatefulLoom" | "bullhorn" | "fleetingFeather" | "celestialStone" | "stellarvibePresentSmall2023" | "stellarvibePresentMedium2023" | "stellarvibePresentSmallGlowing2023" | "stellarvibePresentMediumGlowing2023" | "stellarvibePresent2024" | "stellarvibePresentGlowing2024" | "stellarvibePresent2024Max" | "stellarvibePresent2024GlowingMax" | "stellarvibePresentSmall" | "stellarvibePresentSmallGlowing" | "stellarvibePresentMedium" | "stellarvibePresentMediumGlowing" | "stellarvibePresentLarge" | "stellarvibePresentLargeGlowing" | "joyfultilizer" | "maxJoyfultilizer" | "joyrootSeed" | "recipeJoyfultilizer" | "recipeMaxJoyfultilizer" | "scrollOfCultivation" | "scrollOfGreaterCultivation" | "quantumSeed" | "mundaneSeed" | "voidIvySeed" | "crystalOrchidSeed" | "bloodLilySeed" | "obsidianRoseSeed" | "rainbowLotusSeed" | "dragonleafSeed" | "smoulderingRoseSeed" | "wanderingIceSeed" | "stardustBlossomSeed" | "celestialBulbSeed" | "celestialBoonflowerSeed" | "astralMangoTreeSeed" | "spectralPapayaTreeSeed" | "ritualPumpkinSeed" | "trophyThistleSeed" | "acidBlossomSeed")[];
            waterRefund: number;
        }, {
            conduits: number;
            items: ("silkwaterJug" | "silkwaterJugLarge" | "cracklingRainmeter" | "swirlingStormwrangler" | "fourthDimensionalPlantFood" | "tcGen1Beeatrice" | "tcGen1Campfire" | "tcGen1Chisel" | "tcGen1Cloudsailor" | "tcGen1Lodge" | "tcGen1Murmus" | "tcGen1MurmusFoil" | "tcGen1Giant" | "tcGen1LettersInFlight" | "tcGen1SkyCafe" | "tcGen1UnknownLunar" | "tcGen1UnknownSolar" | "tcGen1SecretSauce" | "tcGen1GillroyFoil" | "tcGen2DapperInPurple" | "tcGen2DefinitelyFits" | "tcGen2KnowsHowItWorks" | "tcGen2Casual" | "tcGen2Arcwild" | "tcGen2Mysthull" | "tcGen2Lelatoll" | "tcGen2Skyhook" | "tcGen2Goldspire" | "tcGen2DukePepperbottom" | "tcGen2StudioFoil" | "randomScrap" | "mermaidScale" | "timerootBark" | "spritzBottle" | "livingIcicle" | "stardustBag" | "flaskSmall" | "harvestedAstralDaisy" | "harvestedVoidIvy" | "harvestedCrystalOrchid" | "harvestedBloodLily" | "harvestedRainbowLotus" | "harvestedDragonleaf" | "harvestedAcidBlossom" | "harvestedLightningLotus" | "recipeLiquidWanderingIce" | "recipeSolidLiquidWanderingIce" | "recipeLightningInABottle" | "recipeSoulWater" | "recipeSilkwaterMist" | "recipeQuantumSeed" | "recipeFourthDimensionalPlantFood" | "recipeBlankPlaceholder" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "crystalGeode" | "treasureChest" | "leafPile" | "fallenStar" | "frozenTreasureChest" | "heartShapedBox" | "shippingCrate" | "giantsGift" | "seedPouch" | "tcBoosterPackGen1Common" | "tcBoosterPackGen1Uncommon" | "tcBoosterPackGen1Part2" | "tcBoosterPackGen1Full" | "tcBoosterPackGen2Drop1" | "cosmicPinwheel" | "discardedJacket" | "trident" | "goldLeaf" | "doubloon" | "harvestedObsidianRose" | "harvestedSmoulderingRose" | "harvestedRitualPumpkin" | "harvestedTrophyThistle" | "astralMango" | "spectralPapaya" | "mysticMorel" | "otherworldlyOnion" | "bansheeBerry" | "secretSauce" | "cosmicSocks" | "compositionNotebook" | "shatteredSpyglassLens" | "shatteredSpyglassBody" | "shatteredSpyglassEyepiece" | "restoredSpyglass" | "netheriteVoucher" | "fatefulLoom" | "bullhorn" | "fleetingFeather" | "celestialStone" | "stellarvibePresentSmall2023" | "stellarvibePresentMedium2023" | "stellarvibePresentSmallGlowing2023" | "stellarvibePresentMediumGlowing2023" | "stellarvibePresent2024" | "stellarvibePresentGlowing2024" | "stellarvibePresent2024Max" | "stellarvibePresent2024GlowingMax" | "stellarvibePresentSmall" | "stellarvibePresentSmallGlowing" | "stellarvibePresentMedium" | "stellarvibePresentMediumGlowing" | "stellarvibePresentLarge" | "stellarvibePresentLargeGlowing" | "joyfultilizer" | "maxJoyfultilizer" | "joyrootSeed" | "recipeJoyfultilizer" | "recipeMaxJoyfultilizer" | "scrollOfCultivation" | "scrollOfGreaterCultivation" | "quantumSeed" | "mundaneSeed" | "voidIvySeed" | "crystalOrchidSeed" | "bloodLilySeed" | "obsidianRoseSeed" | "rainbowLotusSeed" | "dragonleafSeed" | "smoulderingRoseSeed" | "wanderingIceSeed" | "stardustBlossomSeed" | "celestialBulbSeed" | "celestialBoonflowerSeed" | "astralMangoTreeSeed" | "spectralPapayaTreeSeed" | "ritualPumpkinSeed" | "trophyThistleSeed" | "acidBlossomSeed")[];
            waterRefund: number;
        }>;
    };
    readonly "botany@destroy-plant": {
        readonly input: z.ZodObject<{
            plantId: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            plantId: number;
        }, {
            plantId: number;
        }>;
        readonly output: z.ZodLiteral<true>;
    };
    readonly "botany@sow": {
        readonly input: z.ZodObject<{
            seedItemId: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            seedItemId: number;
        }, {
            seedItemId: number;
        }>;
        readonly output: z.ZodObject<{
            slug: z.ZodEnum<["astralDaisy", "voidIvy", "crystalOrchid", "bloodLily", "obsidianRose", "rainbowLotus", "dragonleaf", "wanderingIce", "lightningLotus", "smoulderingRose", "stardustBlossom", "celestialBulb", "celestialBoonflower", "astralMangoTree", "spectralPapayaTree", "ritualPumpkin", "acidBlossom", "trophyThistle", "joyroot", "joyblossom", "joybrushTangle"]>;
            id: z.ZodNumber;
            ownerId: z.ZodNumber;
            plantedAt: z.ZodNumber;
            waterLevel: z.ZodNumber;
            waterMissing: z.ZodNumber;
            waterRate: z.ZodNumber;
            ticksRemaining: z.ZodNumber;
            name: z.ZodString;
            description: z.ZodString;
            icon: z.ZodString;
            isGrowing: z.ZodBoolean;
            isWaterable: z.ZodBoolean;
            isDead: z.ZodBoolean;
            isReady: z.ZodBoolean;
        }, "strip", z.ZodTypeAny, {
            id: number;
            name: string;
            slug: "astralDaisy" | "voidIvy" | "crystalOrchid" | "bloodLily" | "obsidianRose" | "rainbowLotus" | "dragonleaf" | "wanderingIce" | "lightningLotus" | "smoulderingRose" | "stardustBlossom" | "celestialBulb" | "celestialBoonflower" | "astralMangoTree" | "spectralPapayaTree" | "ritualPumpkin" | "acidBlossom" | "trophyThistle" | "joyroot" | "joyblossom" | "joybrushTangle";
            description: string;
            isReady: boolean;
            icon: string;
            ownerId: number;
            plantedAt: number;
            waterLevel: number;
            waterMissing: number;
            waterRate: number;
            ticksRemaining: number;
            isGrowing: boolean;
            isWaterable: boolean;
            isDead: boolean;
        }, {
            id: number;
            name: string;
            slug: "astralDaisy" | "voidIvy" | "crystalOrchid" | "bloodLily" | "obsidianRose" | "rainbowLotus" | "dragonleaf" | "wanderingIce" | "lightningLotus" | "smoulderingRose" | "stardustBlossom" | "celestialBulb" | "celestialBoonflower" | "astralMangoTree" | "spectralPapayaTree" | "ritualPumpkin" | "acidBlossom" | "trophyThistle" | "joyroot" | "joyblossom" | "joybrushTangle";
            description: string;
            isReady: boolean;
            icon: string;
            ownerId: number;
            plantedAt: number;
            waterLevel: number;
            waterMissing: number;
            waterRate: number;
            ticksRemaining: number;
            isGrowing: boolean;
            isWaterable: boolean;
            isDead: boolean;
        }>;
    };
    readonly "botany@purchase-silkwater": {
        readonly input: z.ZodObject<{
            type: z.ZodUnion<[z.ZodLiteral<"jug">, z.ZodLiteral<"barrel">]>;
        }, "strip", z.ZodTypeAny, {
            type: "jug" | "barrel";
        }, {
            type: "jug" | "barrel";
        }>;
        readonly output: z.ZodVoid;
    };
};
export type RelayActionIdentifier = keyof typeof RelayActions;
export type RelayActionInput<T extends RelayActionIdentifier> = z.infer<(typeof RelayActions)[T]["input"]>;
export type RelayActionOutput<T extends RelayActionIdentifier> = z.infer<(typeof RelayActions)[T]["output"]>;
export declare const SuccessfulActionResultSchema: z.ZodObject<{
    success: z.ZodLiteral<true>;
    payload: z.ZodUnknown;
}, "strip", z.ZodTypeAny, {
    success: true;
    payload?: unknown;
}, {
    success: true;
    payload?: unknown;
}>;
export declare const FailedActionResultSchema: z.ZodObject<{
    success: z.ZodLiteral<false>;
    errorId: z.ZodString;
}, "strip", z.ZodTypeAny, {
    success: false;
    errorId: string;
}, {
    success: false;
    errorId: string;
}>;
export declare const RelayActionResultSchema: z.ZodUnion<[z.ZodObject<{
    success: z.ZodLiteral<true>;
    payload: z.ZodUnknown;
}, "strip", z.ZodTypeAny, {
    success: true;
    payload?: unknown;
}, {
    success: true;
    payload?: unknown;
}>, z.ZodObject<{
    success: z.ZodLiteral<false>;
    errorId: z.ZodString;
}, "strip", z.ZodTypeAny, {
    success: false;
    errorId: string;
}, {
    success: false;
    errorId: string;
}>]>;
export declare enum ActionErrorClass {
    USER = "USER",
    SYSTEM = "SYSTEM"
}
export declare enum ActionErrorCode {
    GENERIC = "ERR_GENERIC",
    INVALID = "ERR_INVALID",
    UNAUTHORIZED = "ERR_UNAUTHORIZED",
    NOT_FOUND = "ERR_NOT_FOUND",
    UNEXPECTED = "ERR_UNEXPECTED"
}
