import { z } from "zod";
export declare const RelayEvents: {
    readonly "vibe-check:new": z.ZodObject<{
        id: z.ZodNumber;
        camperId: z.ZodNumber;
        timestamp: z.ZodString;
        content: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id: number;
        content: string;
        camperId: number;
        timestamp: string;
    }, {
        id: number;
        content: string;
        camperId: number;
        timestamp: string;
    }>;
    readonly "twitch:chat": z.ZodObject<{
        chat: z.ZodReadonly<z.ZodObject<{
            chatRecordId: z.ZodNumber;
            twitchMessageId: z.ZodString;
            twitchParentMessageId: z.ZodNullable<z.ZodString>;
            authorName: z.ZodString;
            content: z.ZodString;
            richContent: z.ZodNullable<z.ZodString>;
            flair: z.ZodArray<z.ZodEnum<["broadcaster", "vip", "mod", "highlighted", "subscriber", "camper", "bot", "firstThisSession", "firstEver"]>, "many">;
            identity: z.ZodReadonly<z.ZodObject<{
                twitchIdentityId: z.ZodNumber;
                twitchId: z.ZodString;
                camper: z.ZodNullable<z.ZodObject<{
                    id: z.ZodNumber;
                    name: z.ZodBranded<z.ZodString, "CamperDisplayName">;
                    handle: z.ZodBranded<z.ZodString, "CamperHandle">;
                    color: z.ZodNullable<z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">>;
                    pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                    avatarUrl: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
                }, "strip", z.ZodTypeAny, {
                    color: (string & z.BRAND<"ColorString">) | null;
                    handle: string & z.BRAND<"CamperHandle">;
                    pronouns: (string & z.BRAND<"PronounString">) | null;
                    id: number;
                    name: string & z.BRAND<"CamperDisplayName">;
                    avatarUrl: (string & z.BRAND<"URLString">) | null;
                }, {
                    color: string | null;
                    handle: string;
                    pronouns: string | null;
                    id: number;
                    name: string;
                    avatarUrl: string | null;
                }>>;
                twitchHandle: z.ZodString;
                twitchDisplayName: z.ZodString;
                twitchNameColor: z.ZodString;
                twitchChannelURL: z.ZodString;
                info: z.ZodObject<{
                    name: z.ZodString;
                    color: z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">;
                    pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                    avatarURL: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
                }, "strip", z.ZodTypeAny, {
                    color: string & z.BRAND<"ColorString">;
                    pronouns: (string & z.BRAND<"PronounString">) | null;
                    name: string;
                    avatarURL: (string & z.BRAND<"URLString">) | null;
                }, {
                    color: string;
                    pronouns: string | null;
                    name: string;
                    avatarURL: string | null;
                }>;
            }, "strip", z.ZodTypeAny, {
                camper: {
                    color: (string & z.BRAND<"ColorString">) | null;
                    handle: string & z.BRAND<"CamperHandle">;
                    pronouns: (string & z.BRAND<"PronounString">) | null;
                    id: number;
                    name: string & z.BRAND<"CamperDisplayName">;
                    avatarUrl: (string & z.BRAND<"URLString">) | null;
                } | null;
                twitchIdentityId: number;
                twitchId: string;
                twitchHandle: string;
                twitchDisplayName: string;
                twitchNameColor: string;
                twitchChannelURL: string;
                info: {
                    color: string & z.BRAND<"ColorString">;
                    pronouns: (string & z.BRAND<"PronounString">) | null;
                    name: string;
                    avatarURL: (string & z.BRAND<"URLString">) | null;
                };
            }, {
                camper: {
                    color: string | null;
                    handle: string;
                    pronouns: string | null;
                    id: number;
                    name: string;
                    avatarUrl: string | null;
                } | null;
                twitchIdentityId: number;
                twitchId: string;
                twitchHandle: string;
                twitchDisplayName: string;
                twitchNameColor: string;
                twitchChannelURL: string;
                info: {
                    color: string;
                    pronouns: string | null;
                    name: string;
                    avatarURL: string | null;
                };
            }>>;
            camper: z.ZodNullable<z.ZodObject<{
                id: z.ZodNumber;
                name: z.ZodBranded<z.ZodString, "CamperDisplayName">;
                handle: z.ZodBranded<z.ZodString, "CamperHandle">;
                color: z.ZodNullable<z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">>;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarUrl: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            }>>;
        }, "strip", z.ZodTypeAny, {
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            content: string;
            chatRecordId: number;
            twitchMessageId: string;
            twitchParentMessageId: string | null;
            authorName: string;
            richContent: string | null;
            flair: ("camper" | "broadcaster" | "vip" | "mod" | "highlighted" | "subscriber" | "bot" | "firstThisSession" | "firstEver")[];
            identity: Readonly<{
                camper: {
                    color: (string & z.BRAND<"ColorString">) | null;
                    handle: string & z.BRAND<"CamperHandle">;
                    pronouns: (string & z.BRAND<"PronounString">) | null;
                    id: number;
                    name: string & z.BRAND<"CamperDisplayName">;
                    avatarUrl: (string & z.BRAND<"URLString">) | null;
                } | null;
                twitchIdentityId: number;
                twitchId: string;
                twitchHandle: string;
                twitchDisplayName: string;
                twitchNameColor: string;
                twitchChannelURL: string;
                info: {
                    color: string & z.BRAND<"ColorString">;
                    pronouns: (string & z.BRAND<"PronounString">) | null;
                    name: string;
                    avatarURL: (string & z.BRAND<"URLString">) | null;
                };
            }>;
        }, {
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            content: string;
            chatRecordId: number;
            twitchMessageId: string;
            twitchParentMessageId: string | null;
            authorName: string;
            richContent: string | null;
            flair: ("camper" | "broadcaster" | "vip" | "mod" | "highlighted" | "subscriber" | "bot" | "firstThisSession" | "firstEver")[];
            identity: Readonly<{
                camper: {
                    color: string | null;
                    handle: string;
                    pronouns: string | null;
                    id: number;
                    name: string;
                    avatarUrl: string | null;
                } | null;
                twitchIdentityId: number;
                twitchId: string;
                twitchHandle: string;
                twitchDisplayName: string;
                twitchNameColor: string;
                twitchChannelURL: string;
                info: {
                    color: string;
                    pronouns: string | null;
                    name: string;
                    avatarURL: string | null;
                };
            }>;
        }>>;
        channel: z.ZodReadonly<z.ZodObject<{
            twitchIdentityId: z.ZodNumber;
            twitchId: z.ZodString;
            camper: z.ZodNullable<z.ZodObject<{
                id: z.ZodNumber;
                name: z.ZodBranded<z.ZodString, "CamperDisplayName">;
                handle: z.ZodBranded<z.ZodString, "CamperHandle">;
                color: z.ZodNullable<z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">>;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarUrl: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            }>>;
            twitchHandle: z.ZodString;
            twitchDisplayName: z.ZodString;
            twitchNameColor: z.ZodString;
            twitchChannelURL: z.ZodString;
            info: z.ZodObject<{
                name: z.ZodString;
                color: z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarURL: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            }>;
        }, "strip", z.ZodTypeAny, {
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }, {
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>>;
    }, "strip", z.ZodTypeAny, {
        chat: Readonly<{
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            content: string;
            chatRecordId: number;
            twitchMessageId: string;
            twitchParentMessageId: string | null;
            authorName: string;
            richContent: string | null;
            flair: ("camper" | "broadcaster" | "vip" | "mod" | "highlighted" | "subscriber" | "bot" | "firstThisSession" | "firstEver")[];
            identity: Readonly<{
                camper: {
                    color: (string & z.BRAND<"ColorString">) | null;
                    handle: string & z.BRAND<"CamperHandle">;
                    pronouns: (string & z.BRAND<"PronounString">) | null;
                    id: number;
                    name: string & z.BRAND<"CamperDisplayName">;
                    avatarUrl: (string & z.BRAND<"URLString">) | null;
                } | null;
                twitchIdentityId: number;
                twitchId: string;
                twitchHandle: string;
                twitchDisplayName: string;
                twitchNameColor: string;
                twitchChannelURL: string;
                info: {
                    color: string & z.BRAND<"ColorString">;
                    pronouns: (string & z.BRAND<"PronounString">) | null;
                    name: string;
                    avatarURL: (string & z.BRAND<"URLString">) | null;
                };
            }>;
        }>;
        channel: Readonly<{
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }>;
    }, {
        chat: Readonly<{
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            content: string;
            chatRecordId: number;
            twitchMessageId: string;
            twitchParentMessageId: string | null;
            authorName: string;
            richContent: string | null;
            flair: ("camper" | "broadcaster" | "vip" | "mod" | "highlighted" | "subscriber" | "bot" | "firstThisSession" | "firstEver")[];
            identity: Readonly<{
                camper: {
                    color: string | null;
                    handle: string;
                    pronouns: string | null;
                    id: number;
                    name: string;
                    avatarUrl: string | null;
                } | null;
                twitchIdentityId: number;
                twitchId: string;
                twitchHandle: string;
                twitchDisplayName: string;
                twitchNameColor: string;
                twitchChannelURL: string;
                info: {
                    color: string;
                    pronouns: string | null;
                    name: string;
                    avatarURL: string | null;
                };
            }>;
        }>;
        channel: Readonly<{
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>;
    }>;
    readonly "twitch:follow": z.ZodObject<{
        channel: z.ZodReadonly<z.ZodObject<{
            twitchIdentityId: z.ZodNumber;
            twitchId: z.ZodString;
            camper: z.ZodNullable<z.ZodObject<{
                id: z.ZodNumber;
                name: z.ZodBranded<z.ZodString, "CamperDisplayName">;
                handle: z.ZodBranded<z.ZodString, "CamperHandle">;
                color: z.ZodNullable<z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">>;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarUrl: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            }>>;
            twitchHandle: z.ZodString;
            twitchDisplayName: z.ZodString;
            twitchNameColor: z.ZodString;
            twitchChannelURL: z.ZodString;
            info: z.ZodObject<{
                name: z.ZodString;
                color: z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarURL: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            }>;
        }, "strip", z.ZodTypeAny, {
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }, {
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>>;
        follower: z.ZodReadonly<z.ZodObject<{
            twitchIdentityId: z.ZodNumber;
            twitchId: z.ZodString;
            camper: z.ZodNullable<z.ZodObject<{
                id: z.ZodNumber;
                name: z.ZodBranded<z.ZodString, "CamperDisplayName">;
                handle: z.ZodBranded<z.ZodString, "CamperHandle">;
                color: z.ZodNullable<z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">>;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarUrl: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            }>>;
            twitchHandle: z.ZodString;
            twitchDisplayName: z.ZodString;
            twitchNameColor: z.ZodString;
            twitchChannelURL: z.ZodString;
            info: z.ZodObject<{
                name: z.ZodString;
                color: z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarURL: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            }>;
        }, "strip", z.ZodTypeAny, {
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }, {
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>>;
    }, "strip", z.ZodTypeAny, {
        channel: Readonly<{
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }>;
        follower: Readonly<{
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }>;
    }, {
        channel: Readonly<{
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>;
        follower: Readonly<{
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>;
    }>;
    readonly "twitch:live": z.ZodObject<{
        channel: z.ZodReadonly<z.ZodObject<{
            twitchIdentityId: z.ZodNumber;
            twitchId: z.ZodString;
            camper: z.ZodNullable<z.ZodObject<{
                id: z.ZodNumber;
                name: z.ZodBranded<z.ZodString, "CamperDisplayName">;
                handle: z.ZodBranded<z.ZodString, "CamperHandle">;
                color: z.ZodNullable<z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">>;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarUrl: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            }>>;
            twitchHandle: z.ZodString;
            twitchDisplayName: z.ZodString;
            twitchNameColor: z.ZodString;
            twitchChannelURL: z.ZodString;
            info: z.ZodObject<{
                name: z.ZodString;
                color: z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarURL: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            }>;
        }, "strip", z.ZodTypeAny, {
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }, {
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>>;
    }, "strip", z.ZodTypeAny, {
        channel: Readonly<{
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }>;
    }, {
        channel: Readonly<{
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>;
    }>;
    readonly "twitch:raid": z.ZodObject<{
        channel: z.ZodReadonly<z.ZodObject<{
            twitchIdentityId: z.ZodNumber;
            twitchId: z.ZodString;
            camper: z.ZodNullable<z.ZodObject<{
                id: z.ZodNumber;
                name: z.ZodBranded<z.ZodString, "CamperDisplayName">;
                handle: z.ZodBranded<z.ZodString, "CamperHandle">;
                color: z.ZodNullable<z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">>;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarUrl: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            }>>;
            twitchHandle: z.ZodString;
            twitchDisplayName: z.ZodString;
            twitchNameColor: z.ZodString;
            twitchChannelURL: z.ZodString;
            info: z.ZodObject<{
                name: z.ZodString;
                color: z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarURL: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            }>;
        }, "strip", z.ZodTypeAny, {
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }, {
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>>;
        raider: z.ZodReadonly<z.ZodObject<{
            twitchIdentityId: z.ZodNumber;
            twitchId: z.ZodString;
            camper: z.ZodNullable<z.ZodObject<{
                id: z.ZodNumber;
                name: z.ZodBranded<z.ZodString, "CamperDisplayName">;
                handle: z.ZodBranded<z.ZodString, "CamperHandle">;
                color: z.ZodNullable<z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">>;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarUrl: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            }>>;
            twitchHandle: z.ZodString;
            twitchDisplayName: z.ZodString;
            twitchNameColor: z.ZodString;
            twitchChannelURL: z.ZodString;
            info: z.ZodObject<{
                name: z.ZodString;
                color: z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarURL: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            }>;
        }, "strip", z.ZodTypeAny, {
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }, {
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>>;
        count: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        count: number;
        channel: Readonly<{
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }>;
        raider: Readonly<{
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }>;
    }, {
        count: number;
        channel: Readonly<{
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>;
        raider: Readonly<{
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>;
    }>;
    readonly "twitch:hype-train-start": z.ZodObject<{
        channel: z.ZodReadonly<z.ZodObject<{
            twitchIdentityId: z.ZodNumber;
            twitchId: z.ZodString;
            camper: z.ZodNullable<z.ZodObject<{
                id: z.ZodNumber;
                name: z.ZodBranded<z.ZodString, "CamperDisplayName">;
                handle: z.ZodBranded<z.ZodString, "CamperHandle">;
                color: z.ZodNullable<z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">>;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarUrl: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            }>>;
            twitchHandle: z.ZodString;
            twitchDisplayName: z.ZodString;
            twitchNameColor: z.ZodString;
            twitchChannelURL: z.ZodString;
            info: z.ZodObject<{
                name: z.ZodString;
                color: z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarURL: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            }>;
        }, "strip", z.ZodTypeAny, {
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }, {
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>>;
    }, "strip", z.ZodTypeAny, {
        channel: Readonly<{
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }>;
    }, {
        channel: Readonly<{
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>;
    }>;
    readonly "twitch:hype-train-end": z.ZodObject<{
        channel: z.ZodReadonly<z.ZodObject<{
            twitchIdentityId: z.ZodNumber;
            twitchId: z.ZodString;
            camper: z.ZodNullable<z.ZodObject<{
                id: z.ZodNumber;
                name: z.ZodBranded<z.ZodString, "CamperDisplayName">;
                handle: z.ZodBranded<z.ZodString, "CamperHandle">;
                color: z.ZodNullable<z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">>;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarUrl: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            }>>;
            twitchHandle: z.ZodString;
            twitchDisplayName: z.ZodString;
            twitchNameColor: z.ZodString;
            twitchChannelURL: z.ZodString;
            info: z.ZodObject<{
                name: z.ZodString;
                color: z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarURL: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            }>;
        }, "strip", z.ZodTypeAny, {
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }, {
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>>;
        level: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        channel: Readonly<{
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }>;
        level: number;
    }, {
        channel: Readonly<{
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>;
        level: number;
    }>;
    readonly "twitch:cheer": z.ZodObject<{
        channel: z.ZodReadonly<z.ZodObject<{
            twitchIdentityId: z.ZodNumber;
            twitchId: z.ZodString;
            camper: z.ZodNullable<z.ZodObject<{
                id: z.ZodNumber;
                name: z.ZodBranded<z.ZodString, "CamperDisplayName">;
                handle: z.ZodBranded<z.ZodString, "CamperHandle">;
                color: z.ZodNullable<z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">>;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarUrl: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            }>>;
            twitchHandle: z.ZodString;
            twitchDisplayName: z.ZodString;
            twitchNameColor: z.ZodString;
            twitchChannelURL: z.ZodString;
            info: z.ZodObject<{
                name: z.ZodString;
                color: z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarURL: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            }>;
        }, "strip", z.ZodTypeAny, {
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }, {
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>>;
        cheerer: z.ZodReadonly<z.ZodObject<{
            twitchIdentityId: z.ZodNumber;
            twitchId: z.ZodString;
            camper: z.ZodNullable<z.ZodObject<{
                id: z.ZodNumber;
                name: z.ZodBranded<z.ZodString, "CamperDisplayName">;
                handle: z.ZodBranded<z.ZodString, "CamperHandle">;
                color: z.ZodNullable<z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">>;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarUrl: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            }>>;
            twitchHandle: z.ZodString;
            twitchDisplayName: z.ZodString;
            twitchNameColor: z.ZodString;
            twitchChannelURL: z.ZodString;
            info: z.ZodObject<{
                name: z.ZodString;
                color: z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarURL: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            }>;
        }, "strip", z.ZodTypeAny, {
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }, {
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>>;
        bits: z.ZodNumber;
        message: z.ZodNullable<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        message: string | null;
        channel: Readonly<{
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }>;
        cheerer: Readonly<{
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }>;
        bits: number;
    }, {
        message: string | null;
        channel: Readonly<{
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>;
        cheerer: Readonly<{
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>;
        bits: number;
    }>;
    readonly "twitch:ban": z.ZodObject<{
        channel: z.ZodReadonly<z.ZodObject<{
            twitchIdentityId: z.ZodNumber;
            twitchId: z.ZodString;
            camper: z.ZodNullable<z.ZodObject<{
                id: z.ZodNumber;
                name: z.ZodBranded<z.ZodString, "CamperDisplayName">;
                handle: z.ZodBranded<z.ZodString, "CamperHandle">;
                color: z.ZodNullable<z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">>;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarUrl: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            }>>;
            twitchHandle: z.ZodString;
            twitchDisplayName: z.ZodString;
            twitchNameColor: z.ZodString;
            twitchChannelURL: z.ZodString;
            info: z.ZodObject<{
                name: z.ZodString;
                color: z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarURL: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            }>;
        }, "strip", z.ZodTypeAny, {
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }, {
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>>;
        target: z.ZodReadonly<z.ZodObject<{
            twitchIdentityId: z.ZodNumber;
            twitchId: z.ZodString;
            camper: z.ZodNullable<z.ZodObject<{
                id: z.ZodNumber;
                name: z.ZodBranded<z.ZodString, "CamperDisplayName">;
                handle: z.ZodBranded<z.ZodString, "CamperHandle">;
                color: z.ZodNullable<z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">>;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarUrl: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            }>>;
            twitchHandle: z.ZodString;
            twitchDisplayName: z.ZodString;
            twitchNameColor: z.ZodString;
            twitchChannelURL: z.ZodString;
            info: z.ZodObject<{
                name: z.ZodString;
                color: z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarURL: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            }>;
        }, "strip", z.ZodTypeAny, {
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }, {
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>>;
        reason: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        channel: Readonly<{
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }>;
        target: Readonly<{
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }>;
        reason: string;
    }, {
        channel: Readonly<{
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>;
        target: Readonly<{
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>;
        reason: string;
    }>;
    readonly "twitch:subscription": z.ZodObject<{
        channel: z.ZodReadonly<z.ZodObject<{
            twitchIdentityId: z.ZodNumber;
            twitchId: z.ZodString;
            camper: z.ZodNullable<z.ZodObject<{
                id: z.ZodNumber;
                name: z.ZodBranded<z.ZodString, "CamperDisplayName">;
                handle: z.ZodBranded<z.ZodString, "CamperHandle">;
                color: z.ZodNullable<z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">>;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarUrl: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            }>>;
            twitchHandle: z.ZodString;
            twitchDisplayName: z.ZodString;
            twitchNameColor: z.ZodString;
            twitchChannelURL: z.ZodString;
            info: z.ZodObject<{
                name: z.ZodString;
                color: z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarURL: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            }>;
        }, "strip", z.ZodTypeAny, {
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }, {
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>>;
        subscriber: z.ZodReadonly<z.ZodObject<{
            twitchIdentityId: z.ZodNumber;
            twitchId: z.ZodString;
            camper: z.ZodNullable<z.ZodObject<{
                id: z.ZodNumber;
                name: z.ZodBranded<z.ZodString, "CamperDisplayName">;
                handle: z.ZodBranded<z.ZodString, "CamperHandle">;
                color: z.ZodNullable<z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">>;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarUrl: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            }>>;
            twitchHandle: z.ZodString;
            twitchDisplayName: z.ZodString;
            twitchNameColor: z.ZodString;
            twitchChannelURL: z.ZodString;
            info: z.ZodObject<{
                name: z.ZodString;
                color: z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarURL: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            }>;
        }, "strip", z.ZodTypeAny, {
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }, {
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>>;
        months: z.ZodNumber;
        message: z.ZodNullable<z.ZodString>;
        isGift: z.ZodBoolean;
        tier: z.ZodUnion<[z.ZodLiteral<"1000">, z.ZodLiteral<"2000">, z.ZodLiteral<"3000">]>;
    }, "strip", z.ZodTypeAny, {
        message: string | null;
        subscriber: Readonly<{
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }>;
        channel: Readonly<{
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }>;
        months: number;
        isGift: boolean;
        tier: "1000" | "2000" | "3000";
    }, {
        message: string | null;
        subscriber: Readonly<{
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>;
        channel: Readonly<{
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>;
        months: number;
        isGift: boolean;
        tier: "1000" | "2000" | "3000";
    }>;
    readonly "twitch:gifted-subscriptions": z.ZodObject<{
        channel: z.ZodReadonly<z.ZodObject<{
            twitchIdentityId: z.ZodNumber;
            twitchId: z.ZodString;
            camper: z.ZodNullable<z.ZodObject<{
                id: z.ZodNumber;
                name: z.ZodBranded<z.ZodString, "CamperDisplayName">;
                handle: z.ZodBranded<z.ZodString, "CamperHandle">;
                color: z.ZodNullable<z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">>;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarUrl: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            }>>;
            twitchHandle: z.ZodString;
            twitchDisplayName: z.ZodString;
            twitchNameColor: z.ZodString;
            twitchChannelURL: z.ZodString;
            info: z.ZodObject<{
                name: z.ZodString;
                color: z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarURL: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            }>;
        }, "strip", z.ZodTypeAny, {
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }, {
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>>;
        gifter: z.ZodNullable<z.ZodReadonly<z.ZodObject<{
            twitchIdentityId: z.ZodNumber;
            twitchId: z.ZodString;
            camper: z.ZodNullable<z.ZodObject<{
                id: z.ZodNumber;
                name: z.ZodBranded<z.ZodString, "CamperDisplayName">;
                handle: z.ZodBranded<z.ZodString, "CamperHandle">;
                color: z.ZodNullable<z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">>;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarUrl: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            }>>;
            twitchHandle: z.ZodString;
            twitchDisplayName: z.ZodString;
            twitchNameColor: z.ZodString;
            twitchChannelURL: z.ZodString;
            info: z.ZodObject<{
                name: z.ZodString;
                color: z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarURL: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            }>;
        }, "strip", z.ZodTypeAny, {
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }, {
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>>>;
        count: z.ZodNumber;
        tier: z.ZodUnion<[z.ZodLiteral<"1000">, z.ZodLiteral<"2000">, z.ZodLiteral<"3000">]>;
    }, "strip", z.ZodTypeAny, {
        count: number;
        channel: Readonly<{
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }>;
        tier: "1000" | "2000" | "3000";
        gifter: Readonly<{
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }> | null;
    }, {
        count: number;
        channel: Readonly<{
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>;
        tier: "1000" | "2000" | "3000";
        gifter: Readonly<{
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }> | null;
    }>;
    readonly "twitch:redemption": z.ZodObject<{
        channel: z.ZodReadonly<z.ZodObject<{
            twitchIdentityId: z.ZodNumber;
            twitchId: z.ZodString;
            camper: z.ZodNullable<z.ZodObject<{
                id: z.ZodNumber;
                name: z.ZodBranded<z.ZodString, "CamperDisplayName">;
                handle: z.ZodBranded<z.ZodString, "CamperHandle">;
                color: z.ZodNullable<z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">>;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarUrl: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            }>>;
            twitchHandle: z.ZodString;
            twitchDisplayName: z.ZodString;
            twitchNameColor: z.ZodString;
            twitchChannelURL: z.ZodString;
            info: z.ZodObject<{
                name: z.ZodString;
                color: z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarURL: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            }>;
        }, "strip", z.ZodTypeAny, {
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }, {
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>>;
        viewer: z.ZodReadonly<z.ZodObject<{
            twitchIdentityId: z.ZodNumber;
            twitchId: z.ZodString;
            camper: z.ZodNullable<z.ZodObject<{
                id: z.ZodNumber;
                name: z.ZodBranded<z.ZodString, "CamperDisplayName">;
                handle: z.ZodBranded<z.ZodString, "CamperHandle">;
                color: z.ZodNullable<z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">>;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarUrl: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            }>>;
            twitchHandle: z.ZodString;
            twitchDisplayName: z.ZodString;
            twitchNameColor: z.ZodString;
            twitchChannelURL: z.ZodString;
            info: z.ZodObject<{
                name: z.ZodString;
                color: z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarURL: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            }>;
        }, "strip", z.ZodTypeAny, {
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }, {
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>>;
        redeemable: z.ZodObject<{
            id: z.ZodString;
            title: z.ZodString;
            message: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            id: string;
            title: string;
            message?: string | undefined;
        }, {
            id: string;
            title: string;
            message?: string | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        redeemable: {
            id: string;
            title: string;
            message?: string | undefined;
        };
        channel: Readonly<{
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }>;
        viewer: Readonly<{
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }>;
    }, {
        redeemable: {
            id: string;
            title: string;
            message?: string | undefined;
        };
        channel: Readonly<{
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>;
        viewer: Readonly<{
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>;
    }>;
    readonly "portent:roll": z.ZodObject<{
        id: z.ZodNumber;
        camperId: z.ZodNumber;
        date: z.ZodString;
        roll: z.ZodNumber;
        description: z.ZodString;
        itemSlug: z.ZodEnum<["silkwaterJug", "silkwaterJugLarge", "cracklingRainmeter", "swirlingStormwrangler", "fourthDimensionalPlantFood", "tcGen1Beeatrice", "tcGen1Campfire", "tcGen1Chisel", "tcGen1Cloudsailor", "tcGen1Lodge", "tcGen1Murmus", "tcGen1MurmusFoil", "tcGen1Giant", "tcGen1LettersInFlight", "tcGen1SkyCafe", "tcGen1UnknownLunar", "tcGen1UnknownSolar", "tcGen1SecretSauce", "tcGen1GillroyFoil", "tcGen2DapperInPurple", "tcGen2DefinitelyFits", "tcGen2KnowsHowItWorks", "tcGen2Casual", "tcGen2Arcwild", "tcGen2Mysthull", "tcGen2Lelatoll", "tcGen2Skyhook", "tcGen2Goldspire", "tcGen2DukePepperbottom", "tcGen2StudioFoil", "randomScrap", "mermaidScale", "timerootBark", "spritzBottle", "livingIcicle", "stardustBag", "flaskSmall", "harvestedAstralDaisy", "harvestedVoidIvy", "harvestedCrystalOrchid", "harvestedBloodLily", "harvestedRainbowLotus", "harvestedDragonleaf", "harvestedAcidBlossom", "harvestedLightningLotus", "recipeLiquidWanderingIce", "recipeSolidLiquidWanderingIce", "recipeLightningInABottle", "recipeSoulWater", "recipeSilkwaterMist", "recipeQuantumSeed", "recipeFourthDimensionalPlantFood", "recipeBlankPlaceholder", "liquidWanderingIce", "soulWater", "silkwaterMist", "lightningInABottle", "crystalGeode", "treasureChest", "leafPile", "fallenStar", "frozenTreasureChest", "heartShapedBox", "shippingCrate", "giantsGift", "seedPouch", "tcBoosterPackGen1Common", "tcBoosterPackGen1Uncommon", "tcBoosterPackGen1Part2", "tcBoosterPackGen1Full", "tcBoosterPackGen2Drop1", "cosmicPinwheel", "discardedJacket", "trident", "goldLeaf", "doubloon", "harvestedObsidianRose", "harvestedSmoulderingRose", "harvestedRitualPumpkin", "harvestedTrophyThistle", "astralMango", "spectralPapaya", "mysticMorel", "otherworldlyOnion", "bansheeBerry", "secretSauce", "cosmicSocks", "compositionNotebook", "shatteredSpyglassLens", "shatteredSpyglassBody", "shatteredSpyglassEyepiece", "restoredSpyglass", "netheriteVoucher", "fatefulLoom", "bullhorn", "fleetingFeather", "celestialStone", "stellarvibePresentSmall2023", "stellarvibePresentMedium2023", "stellarvibePresentSmallGlowing2023", "stellarvibePresentMediumGlowing2023", "stellarvibePresent2024", "stellarvibePresentGlowing2024", "stellarvibePresent2024Max", "stellarvibePresent2024GlowingMax", "stellarvibePresentSmall", "stellarvibePresentSmallGlowing", "stellarvibePresentMedium", "stellarvibePresentMediumGlowing", "stellarvibePresentLarge", "stellarvibePresentLargeGlowing", "joyfultilizer", "maxJoyfultilizer", "joyrootSeed", "recipeJoyfultilizer", "recipeMaxJoyfultilizer", "scrollOfCultivation", "scrollOfGreaterCultivation", "quantumSeed", "mundaneSeed", "voidIvySeed", "crystalOrchidSeed", "bloodLilySeed", "obsidianRoseSeed", "rainbowLotusSeed", "dragonleafSeed", "smoulderingRoseSeed", "wanderingIceSeed", "stardustBlossomSeed", "celestialBulbSeed", "celestialBoonflowerSeed", "astralMangoTreeSeed", "spectralPapayaTreeSeed", "ritualPumpkinSeed", "trophyThistleSeed", "acidBlossomSeed"]>;
    }, "strip", z.ZodTypeAny, {
        date: string;
        id: number;
        description: string;
        camperId: number;
        roll: number;
        itemSlug: "silkwaterJug" | "silkwaterJugLarge" | "cracklingRainmeter" | "swirlingStormwrangler" | "fourthDimensionalPlantFood" | "tcGen1Beeatrice" | "tcGen1Campfire" | "tcGen1Chisel" | "tcGen1Cloudsailor" | "tcGen1Lodge" | "tcGen1Murmus" | "tcGen1MurmusFoil" | "tcGen1Giant" | "tcGen1LettersInFlight" | "tcGen1SkyCafe" | "tcGen1UnknownLunar" | "tcGen1UnknownSolar" | "tcGen1SecretSauce" | "tcGen1GillroyFoil" | "tcGen2DapperInPurple" | "tcGen2DefinitelyFits" | "tcGen2KnowsHowItWorks" | "tcGen2Casual" | "tcGen2Arcwild" | "tcGen2Mysthull" | "tcGen2Lelatoll" | "tcGen2Skyhook" | "tcGen2Goldspire" | "tcGen2DukePepperbottom" | "tcGen2StudioFoil" | "randomScrap" | "mermaidScale" | "timerootBark" | "spritzBottle" | "livingIcicle" | "stardustBag" | "flaskSmall" | "harvestedAstralDaisy" | "harvestedVoidIvy" | "harvestedCrystalOrchid" | "harvestedBloodLily" | "harvestedRainbowLotus" | "harvestedDragonleaf" | "harvestedAcidBlossom" | "harvestedLightningLotus" | "recipeLiquidWanderingIce" | "recipeSolidLiquidWanderingIce" | "recipeLightningInABottle" | "recipeSoulWater" | "recipeSilkwaterMist" | "recipeQuantumSeed" | "recipeFourthDimensionalPlantFood" | "recipeBlankPlaceholder" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "crystalGeode" | "treasureChest" | "leafPile" | "fallenStar" | "frozenTreasureChest" | "heartShapedBox" | "shippingCrate" | "giantsGift" | "seedPouch" | "tcBoosterPackGen1Common" | "tcBoosterPackGen1Uncommon" | "tcBoosterPackGen1Part2" | "tcBoosterPackGen1Full" | "tcBoosterPackGen2Drop1" | "cosmicPinwheel" | "discardedJacket" | "trident" | "goldLeaf" | "doubloon" | "harvestedObsidianRose" | "harvestedSmoulderingRose" | "harvestedRitualPumpkin" | "harvestedTrophyThistle" | "astralMango" | "spectralPapaya" | "mysticMorel" | "otherworldlyOnion" | "bansheeBerry" | "secretSauce" | "cosmicSocks" | "compositionNotebook" | "shatteredSpyglassLens" | "shatteredSpyglassBody" | "shatteredSpyglassEyepiece" | "restoredSpyglass" | "netheriteVoucher" | "fatefulLoom" | "bullhorn" | "fleetingFeather" | "celestialStone" | "stellarvibePresentSmall2023" | "stellarvibePresentMedium2023" | "stellarvibePresentSmallGlowing2023" | "stellarvibePresentMediumGlowing2023" | "stellarvibePresent2024" | "stellarvibePresentGlowing2024" | "stellarvibePresent2024Max" | "stellarvibePresent2024GlowingMax" | "stellarvibePresentSmall" | "stellarvibePresentSmallGlowing" | "stellarvibePresentMedium" | "stellarvibePresentMediumGlowing" | "stellarvibePresentLarge" | "stellarvibePresentLargeGlowing" | "joyfultilizer" | "maxJoyfultilizer" | "joyrootSeed" | "recipeJoyfultilizer" | "recipeMaxJoyfultilizer" | "scrollOfCultivation" | "scrollOfGreaterCultivation" | "quantumSeed" | "mundaneSeed" | "voidIvySeed" | "crystalOrchidSeed" | "bloodLilySeed" | "obsidianRoseSeed" | "rainbowLotusSeed" | "dragonleafSeed" | "smoulderingRoseSeed" | "wanderingIceSeed" | "stardustBlossomSeed" | "celestialBulbSeed" | "celestialBoonflowerSeed" | "astralMangoTreeSeed" | "spectralPapayaTreeSeed" | "ritualPumpkinSeed" | "trophyThistleSeed" | "acidBlossomSeed";
    }, {
        date: string;
        id: number;
        description: string;
        camperId: number;
        roll: number;
        itemSlug: "silkwaterJug" | "silkwaterJugLarge" | "cracklingRainmeter" | "swirlingStormwrangler" | "fourthDimensionalPlantFood" | "tcGen1Beeatrice" | "tcGen1Campfire" | "tcGen1Chisel" | "tcGen1Cloudsailor" | "tcGen1Lodge" | "tcGen1Murmus" | "tcGen1MurmusFoil" | "tcGen1Giant" | "tcGen1LettersInFlight" | "tcGen1SkyCafe" | "tcGen1UnknownLunar" | "tcGen1UnknownSolar" | "tcGen1SecretSauce" | "tcGen1GillroyFoil" | "tcGen2DapperInPurple" | "tcGen2DefinitelyFits" | "tcGen2KnowsHowItWorks" | "tcGen2Casual" | "tcGen2Arcwild" | "tcGen2Mysthull" | "tcGen2Lelatoll" | "tcGen2Skyhook" | "tcGen2Goldspire" | "tcGen2DukePepperbottom" | "tcGen2StudioFoil" | "randomScrap" | "mermaidScale" | "timerootBark" | "spritzBottle" | "livingIcicle" | "stardustBag" | "flaskSmall" | "harvestedAstralDaisy" | "harvestedVoidIvy" | "harvestedCrystalOrchid" | "harvestedBloodLily" | "harvestedRainbowLotus" | "harvestedDragonleaf" | "harvestedAcidBlossom" | "harvestedLightningLotus" | "recipeLiquidWanderingIce" | "recipeSolidLiquidWanderingIce" | "recipeLightningInABottle" | "recipeSoulWater" | "recipeSilkwaterMist" | "recipeQuantumSeed" | "recipeFourthDimensionalPlantFood" | "recipeBlankPlaceholder" | "liquidWanderingIce" | "soulWater" | "silkwaterMist" | "lightningInABottle" | "crystalGeode" | "treasureChest" | "leafPile" | "fallenStar" | "frozenTreasureChest" | "heartShapedBox" | "shippingCrate" | "giantsGift" | "seedPouch" | "tcBoosterPackGen1Common" | "tcBoosterPackGen1Uncommon" | "tcBoosterPackGen1Part2" | "tcBoosterPackGen1Full" | "tcBoosterPackGen2Drop1" | "cosmicPinwheel" | "discardedJacket" | "trident" | "goldLeaf" | "doubloon" | "harvestedObsidianRose" | "harvestedSmoulderingRose" | "harvestedRitualPumpkin" | "harvestedTrophyThistle" | "astralMango" | "spectralPapaya" | "mysticMorel" | "otherworldlyOnion" | "bansheeBerry" | "secretSauce" | "cosmicSocks" | "compositionNotebook" | "shatteredSpyglassLens" | "shatteredSpyglassBody" | "shatteredSpyglassEyepiece" | "restoredSpyglass" | "netheriteVoucher" | "fatefulLoom" | "bullhorn" | "fleetingFeather" | "celestialStone" | "stellarvibePresentSmall2023" | "stellarvibePresentMedium2023" | "stellarvibePresentSmallGlowing2023" | "stellarvibePresentMediumGlowing2023" | "stellarvibePresent2024" | "stellarvibePresentGlowing2024" | "stellarvibePresent2024Max" | "stellarvibePresent2024GlowingMax" | "stellarvibePresentSmall" | "stellarvibePresentSmallGlowing" | "stellarvibePresentMedium" | "stellarvibePresentMediumGlowing" | "stellarvibePresentLarge" | "stellarvibePresentLargeGlowing" | "joyfultilizer" | "maxJoyfultilizer" | "joyrootSeed" | "recipeJoyfultilizer" | "recipeMaxJoyfultilizer" | "scrollOfCultivation" | "scrollOfGreaterCultivation" | "quantumSeed" | "mundaneSeed" | "voidIvySeed" | "crystalOrchidSeed" | "bloodLilySeed" | "obsidianRoseSeed" | "rainbowLotusSeed" | "dragonleafSeed" | "smoulderingRoseSeed" | "wanderingIceSeed" | "stardustBlossomSeed" | "celestialBulbSeed" | "celestialBoonflowerSeed" | "astralMangoTreeSeed" | "spectralPapayaTreeSeed" | "ritualPumpkinSeed" | "trophyThistleSeed" | "acidBlossomSeed";
    }>;
    readonly "mastodon:status": z.ZodObject<{
        id: z.ZodNumber;
        mastodonId: z.ZodString;
        createdAt: z.ZodString;
        authorIdentity: z.ZodObject<{
            mastodonIdentityId: z.ZodNumber;
            mastodonId: z.ZodString;
            camper: z.ZodNullable<z.ZodObject<{
                id: z.ZodNumber;
                name: z.ZodBranded<z.ZodString, "CamperDisplayName">;
                handle: z.ZodBranded<z.ZodString, "CamperHandle">;
                color: z.ZodNullable<z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">>;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarUrl: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            }>>;
            token: z.ZodNullable<z.ZodString>;
            handle: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            handle: string;
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            mastodonIdentityId: number;
            mastodonId: string;
            token: string | null;
        }, {
            handle: string;
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            mastodonIdentityId: number;
            mastodonId: string;
            token: string | null;
        }>;
        inReplyToId: z.ZodNullable<z.ZodString>;
        inReplyToAccountId: z.ZodNullable<z.ZodString>;
        contentWarning: z.ZodNullable<z.ZodString>;
        visibility: z.ZodString;
        language: z.ZodNullable<z.ZodString>;
        url: z.ZodString;
        replyCount: z.ZodNumber;
        repostCount: z.ZodNumber;
        favoriteCount: z.ZodNumber;
        editedAt: z.ZodNullable<z.ZodString>;
        content: z.ZodString;
        repostedStatusId: z.ZodNullable<z.ZodString>;
        attachments: z.ZodArray<z.ZodObject<{
            type: z.ZodEnum<["image", "video", "gifv", "audio", "unknown"]>;
            url: z.ZodString;
            description: z.ZodNullable<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            type: "unknown" | "image" | "video" | "gifv" | "audio";
            description: string | null;
            url: string;
        }, {
            type: "unknown" | "image" | "video" | "gifv" | "audio";
            description: string | null;
            url: string;
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        id: number;
        createdAt: string;
        content: string;
        mastodonId: string;
        url: string;
        authorIdentity: {
            handle: string;
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            mastodonIdentityId: number;
            mastodonId: string;
            token: string | null;
        };
        inReplyToId: string | null;
        inReplyToAccountId: string | null;
        contentWarning: string | null;
        visibility: string;
        language: string | null;
        replyCount: number;
        repostCount: number;
        favoriteCount: number;
        editedAt: string | null;
        repostedStatusId: string | null;
        attachments: {
            type: "unknown" | "image" | "video" | "gifv" | "audio";
            description: string | null;
            url: string;
        }[];
    }, {
        id: number;
        createdAt: string;
        content: string;
        mastodonId: string;
        url: string;
        authorIdentity: {
            handle: string;
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            mastodonIdentityId: number;
            mastodonId: string;
            token: string | null;
        };
        inReplyToId: string | null;
        inReplyToAccountId: string | null;
        contentWarning: string | null;
        visibility: string;
        language: string | null;
        replyCount: number;
        repostCount: number;
        favoriteCount: number;
        editedAt: string | null;
        repostedStatusId: string | null;
        attachments: {
            type: "unknown" | "image" | "video" | "gifv" | "audio";
            description: string | null;
            url: string;
        }[];
    }>;
    readonly "world:turn": z.ZodObject<{
        weather: z.ZodObject<{
            current: z.ZodObject<{
                conditions: z.ZodEnum<["blue lightning", "starfall", "full skies", "no sky", "moths... lots of moths", "cloudfall", "ducks", "a full moon", "ten full moons", "sunshine from a star long since forgotten", "dogs", "cats", "literally just rain", "moonbeams", "sunbeams", "auroras", "ghost showers", "red lightning", "purple lightning", "a bloodmoon", "twelve angry men", "reverse showers", "pumpkins", "pomegranite seeds", "more vibes than you'd expect", "a heavy ghost field", "a light ghost field", "quadruple rainbows", "silkwater rain", "acid storms"]>;
                temperature: z.ZodEnum<["freezing", "cold", "chilly", "temperate", "pretty much normal", "room temp", "a tad humid", "temporal temps", "unfathomably nice", "perfect", "no temperature", "warm", "hot", "sweltering"]>;
                effects: z.ZodArray<z.ZodObject<{
                    system: z.ZodString;
                    effect: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    system: string;
                    effect: string;
                }, {
                    system: string;
                    effect: string;
                }>, "many">;
                isCold: z.ZodBoolean;
                isHot: z.ZodBoolean;
                isGhostly: z.ZodBoolean;
            }, "strip", z.ZodTypeAny, {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }, {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }>;
            forecast: z.ZodArray<z.ZodObject<{
                conditions: z.ZodEnum<["blue lightning", "starfall", "full skies", "no sky", "moths... lots of moths", "cloudfall", "ducks", "a full moon", "ten full moons", "sunshine from a star long since forgotten", "dogs", "cats", "literally just rain", "moonbeams", "sunbeams", "auroras", "ghost showers", "red lightning", "purple lightning", "a bloodmoon", "twelve angry men", "reverse showers", "pumpkins", "pomegranite seeds", "more vibes than you'd expect", "a heavy ghost field", "a light ghost field", "quadruple rainbows", "silkwater rain", "acid storms"]>;
                temperature: z.ZodEnum<["freezing", "cold", "chilly", "temperate", "pretty much normal", "room temp", "a tad humid", "temporal temps", "unfathomably nice", "perfect", "no temperature", "warm", "hot", "sweltering"]>;
                effects: z.ZodArray<z.ZodObject<{
                    system: z.ZodString;
                    effect: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    system: string;
                    effect: string;
                }, {
                    system: string;
                    effect: string;
                }>, "many">;
                isCold: z.ZodBoolean;
                isHot: z.ZodBoolean;
                isGhostly: z.ZodBoolean;
            }, "strip", z.ZodTypeAny, {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }, {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            current: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            };
            forecast: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }[];
        }, {
            current: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            };
            forecast: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }[];
        }>;
        time: z.ZodObject<{
            ticksSinceEpoch: z.ZodNumber;
            daysSinceEpoch: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            ticksSinceEpoch: number;
            daysSinceEpoch: number;
        }, {
            ticksSinceEpoch: number;
            daysSinceEpoch: number;
        }>;
    }, "strip", z.ZodTypeAny, {
        weather: {
            current: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            };
            forecast: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }[];
        };
        time: {
            ticksSinceEpoch: number;
            daysSinceEpoch: number;
        };
    }, {
        weather: {
            current: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            };
            forecast: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }[];
        };
        time: {
            ticksSinceEpoch: number;
            daysSinceEpoch: number;
        };
    }>;
    readonly "world:daily-reset": z.ZodObject<{
        weather: z.ZodObject<{
            current: z.ZodObject<{
                conditions: z.ZodEnum<["blue lightning", "starfall", "full skies", "no sky", "moths... lots of moths", "cloudfall", "ducks", "a full moon", "ten full moons", "sunshine from a star long since forgotten", "dogs", "cats", "literally just rain", "moonbeams", "sunbeams", "auroras", "ghost showers", "red lightning", "purple lightning", "a bloodmoon", "twelve angry men", "reverse showers", "pumpkins", "pomegranite seeds", "more vibes than you'd expect", "a heavy ghost field", "a light ghost field", "quadruple rainbows", "silkwater rain", "acid storms"]>;
                temperature: z.ZodEnum<["freezing", "cold", "chilly", "temperate", "pretty much normal", "room temp", "a tad humid", "temporal temps", "unfathomably nice", "perfect", "no temperature", "warm", "hot", "sweltering"]>;
                effects: z.ZodArray<z.ZodObject<{
                    system: z.ZodString;
                    effect: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    system: string;
                    effect: string;
                }, {
                    system: string;
                    effect: string;
                }>, "many">;
                isCold: z.ZodBoolean;
                isHot: z.ZodBoolean;
                isGhostly: z.ZodBoolean;
            }, "strip", z.ZodTypeAny, {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }, {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }>;
            forecast: z.ZodArray<z.ZodObject<{
                conditions: z.ZodEnum<["blue lightning", "starfall", "full skies", "no sky", "moths... lots of moths", "cloudfall", "ducks", "a full moon", "ten full moons", "sunshine from a star long since forgotten", "dogs", "cats", "literally just rain", "moonbeams", "sunbeams", "auroras", "ghost showers", "red lightning", "purple lightning", "a bloodmoon", "twelve angry men", "reverse showers", "pumpkins", "pomegranite seeds", "more vibes than you'd expect", "a heavy ghost field", "a light ghost field", "quadruple rainbows", "silkwater rain", "acid storms"]>;
                temperature: z.ZodEnum<["freezing", "cold", "chilly", "temperate", "pretty much normal", "room temp", "a tad humid", "temporal temps", "unfathomably nice", "perfect", "no temperature", "warm", "hot", "sweltering"]>;
                effects: z.ZodArray<z.ZodObject<{
                    system: z.ZodString;
                    effect: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    system: string;
                    effect: string;
                }, {
                    system: string;
                    effect: string;
                }>, "many">;
                isCold: z.ZodBoolean;
                isHot: z.ZodBoolean;
                isGhostly: z.ZodBoolean;
            }, "strip", z.ZodTypeAny, {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }, {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            current: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            };
            forecast: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }[];
        }, {
            current: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            };
            forecast: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }[];
        }>;
        time: z.ZodObject<{
            ticksSinceEpoch: z.ZodNumber;
            daysSinceEpoch: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            ticksSinceEpoch: number;
            daysSinceEpoch: number;
        }, {
            ticksSinceEpoch: number;
            daysSinceEpoch: number;
        }>;
    }, "strip", z.ZodTypeAny, {
        weather: {
            current: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            };
            forecast: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }[];
        };
        time: {
            ticksSinceEpoch: number;
            daysSinceEpoch: number;
        };
    }, {
        weather: {
            current: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            };
            forecast: {
                conditions: "blue lightning" | "starfall" | "full skies" | "no sky" | "moths... lots of moths" | "cloudfall" | "ducks" | "a full moon" | "ten full moons" | "sunshine from a star long since forgotten" | "dogs" | "cats" | "literally just rain" | "moonbeams" | "sunbeams" | "auroras" | "ghost showers" | "red lightning" | "purple lightning" | "a bloodmoon" | "twelve angry men" | "reverse showers" | "pumpkins" | "pomegranite seeds" | "more vibes than you'd expect" | "a heavy ghost field" | "a light ghost field" | "quadruple rainbows" | "silkwater rain" | "acid storms";
                temperature: "freezing" | "cold" | "chilly" | "temperate" | "pretty much normal" | "room temp" | "a tad humid" | "temporal temps" | "unfathomably nice" | "perfect" | "no temperature" | "warm" | "hot" | "sweltering";
                effects: {
                    system: string;
                    effect: string;
                }[];
                isCold: boolean;
                isHot: boolean;
                isGhostly: boolean;
            }[];
        };
        time: {
            ticksSinceEpoch: number;
            daysSinceEpoch: number;
        };
    }>;
    readonly "discord:message": z.ZodObject<{
        id: z.ZodNumber;
        author: z.ZodObject<{
            id: z.ZodNumber;
            name: z.ZodBranded<z.ZodString, "CamperDisplayName">;
            handle: z.ZodBranded<z.ZodString, "CamperHandle">;
            color: z.ZodNullable<z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">>;
            pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
            avatarUrl: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
        }, "strip", z.ZodTypeAny, {
            color: (string & z.BRAND<"ColorString">) | null;
            handle: string & z.BRAND<"CamperHandle">;
            pronouns: (string & z.BRAND<"PronounString">) | null;
            id: number;
            name: string & z.BRAND<"CamperDisplayName">;
            avatarUrl: (string & z.BRAND<"URLString">) | null;
        }, {
            color: string | null;
            handle: string;
            pronouns: string | null;
            id: number;
            name: string;
            avatarUrl: string | null;
        }>;
        discordMessageId: z.ZodString;
        discordChannelId: z.ZodString;
        discordParentChannelId: z.ZodNullable<z.ZodString>;
        content: z.ZodString;
        createdAt: z.ZodBranded<z.ZodString, "TimestampString">;
        isThread: z.ZodBoolean;
        link: z.ZodBranded<z.ZodString, "URLString">;
    }, "strip", z.ZodTypeAny, {
        id: number;
        createdAt: string & z.BRAND<"TimestampString">;
        author: {
            color: (string & z.BRAND<"ColorString">) | null;
            handle: string & z.BRAND<"CamperHandle">;
            pronouns: (string & z.BRAND<"PronounString">) | null;
            id: number;
            name: string & z.BRAND<"CamperDisplayName">;
            avatarUrl: (string & z.BRAND<"URLString">) | null;
        };
        discordMessageId: string;
        discordChannelId: string;
        discordParentChannelId: string | null;
        content: string;
        isThread: boolean;
        link: string & z.BRAND<"URLString">;
    }, {
        id: number;
        createdAt: string;
        author: {
            color: string | null;
            handle: string;
            pronouns: string | null;
            id: number;
            name: string;
            avatarUrl: string | null;
        };
        discordMessageId: string;
        discordChannelId: string;
        discordParentChannelId: string | null;
        content: string;
        isThread: boolean;
        link: string;
    }>;
};
export type RelayEventIdentifier = keyof typeof RelayEvents;
export type RelayEventPayload<T extends RelayEventIdentifier> = z.infer<(typeof RelayEvents)[T]>;
export declare const GenericRelayEventSchema: z.ZodObject<{
    eventName: z.ZodString;
    payload: z.ZodUnknown;
}, "strip", z.ZodTypeAny, {
    eventName: string;
    payload?: unknown;
}, {
    eventName: string;
    payload?: unknown;
}>;
