/**
 * Selects a random element from the given array. Ensures an extant return value.
 *
 * @param {T[]} arr The array to sample from.
 * @returns {T} A randomly selected element from the array.
 * @throws {Error} If the array is empty or the selected element is undefined.
 */
export function pickOne(arr) {
    if (arr.length === 0) {
        throw new Error("Cannot sample from empty array");
    }
    const selected = arr[Math.floor(Math.random() * arr.length)];
    if (selected === undefined) {
        throw new Error("Failed to sample from array");
    }
    return selected;
}
