import { z } from "zod";
/*********************
 * VIBE CHECK SHAPES *
 *********************/
export declare const VibeCheckSchema: z.ZodObject<{
    id: z.ZodNumber;
    camperId: z.ZodNumber;
    timestamp: z.ZodString;
    content: z.ZodString;
}, "strip", z.ZodTypeAny, {
    id: number;
    content: string;
    camperId: number;
    timestamp: string;
}, {
    id: number;
    content: string;
    camperId: number;
    timestamp: string;
}>;
export type VibeCheck = z.infer<typeof VibeCheckSchema>;
/********************
 * VIBE CHECK VIEWS *
 ********************/
export declare const VibeCheckRelayViews: {
    readonly "vibe-check/history": {
        readonly params: z.ZodObject<{}, "strip", z.ZodTypeAny, {}, {}>;
        readonly response: z.ZodArray<z.ZodObject<{
            id: z.ZodNumber;
            camperId: z.ZodNumber;
            timestamp: z.ZodString;
            content: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id: number;
            content: string;
            camperId: number;
            timestamp: string;
        }, {
            id: number;
            content: string;
            camperId: number;
            timestamp: string;
        }>, "many">;
    };
    readonly "vibe-check/latest": {
        readonly params: z.ZodObject<{}, "strip", z.ZodTypeAny, {}, {}>;
        readonly response: z.ZodNullable<z.ZodObject<{
            id: z.ZodNumber;
            camperId: z.ZodNumber;
            timestamp: z.ZodString;
            content: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id: number;
            content: string;
            camperId: number;
            timestamp: string;
        }, {
            id: number;
            content: string;
            camperId: number;
            timestamp: string;
        }>>;
    };
    readonly "vibe-check/by-id": {
        readonly params: z.ZodObject<{
            id: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id: string;
        }, {
            id: string;
        }>;
        readonly response: z.ZodNullable<z.ZodObject<{
            id: z.ZodNumber;
            camperId: z.ZodNumber;
            timestamp: z.ZodString;
            content: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id: number;
            content: string;
            camperId: number;
            timestamp: string;
        }, {
            id: number;
            content: string;
            camperId: number;
            timestamp: string;
        }>>;
    };
};
/*********************
 * VIBE CHECK EVENTS *
 *********************/
export declare const VibeCheckRelayEvents: {
    readonly "vibe-check:new": z.ZodObject<{
        id: z.ZodNumber;
        camperId: z.ZodNumber;
        timestamp: z.ZodString;
        content: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id: number;
        content: string;
        camperId: number;
        timestamp: string;
    }, {
        id: number;
        content: string;
        camperId: number;
        timestamp: string;
    }>;
};
export type VibeCheckEventIdentifier = keyof typeof VibeCheckRelayEvents;
/**********************
 * VIBE CHECK ACTIONS *
 **********************/
export declare const VibeCheckRelayActions: {
    "vibe-check@create": {
        input: z.ZodObject<{
            content: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            content: string;
        }, {
            content: string;
        }>;
        output: z.ZodObject<{
            id: z.ZodNumber;
            camperId: z.ZodNumber;
            timestamp: z.ZodString;
            content: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id: number;
            content: string;
            camperId: number;
            timestamp: string;
        }, {
            id: number;
            content: string;
            camperId: number;
            timestamp: string;
        }>;
    };
};
