import { z } from "zod";
/*********************
 * VIBE CHECK SHAPES *
 *********************/
export const VibeCheckSchema = z.object({
    id: z.number(),
    camperId: z.number(),
    timestamp: z.string(),
    content: z.string(),
});
/********************
 * VIBE CHECK VIEWS *
 ********************/
export const VibeCheckRelayViews = {
    "vibe-check/history": {
        params: z.object({}),
        response: z.array(VibeCheckSchema),
    },
    "vibe-check/latest": {
        params: z.object({}),
        response: z.nullable(VibeCheckSchema),
    },
    "vibe-check/by-id": {
        params: z.object({ id: z.string() }),
        response: z.nullable(VibeCheckSchema),
    },
};
/*********************
 * VIBE CHECK EVENTS *
 *********************/
export const VibeCheckRelayEvents = {
    "vibe-check:new": VibeCheckSchema,
};
/**********************
 * VIBE CHECK ACTIONS *
 **********************/
export const VibeCheckRelayActions = {
    "vibe-check@create": {
        input: z.object({
            content: z.string(),
        }),
        output: VibeCheckSchema,
    },
};
